-- Aerosoft Catalina -- 


-- ## Floats #####################################

-- Floats down
function CAT_Float_down ()  

	ipc.writeLvar("L:Cat_float", 2)
	ipc.sleep(3000)
	ipc.writeLvar("L:Cat_float", 0)
end

-- Floats up
function CAT_Float_up ()   

	ipc.writeLvar("L:Cat_float", 1)
	ipc.sleep(3000)
	ipc.writeLvar("L:Cat_float", 0)
end


-- ## Carb Heat #####################################

-- Carb heat L up
function CAT_CarbheatL_up ()   

	ipc.sleep(2)
	ipc.writeLvar("Carbheat_pos_L", 1)
end

-- Carb heat L neutral
function CAT_CarbheatL_neutral ()   

	
	ipc.writeLvar("Carbheat_pos_L", 0)
	ipc.writeLvar("L:CAT_SWITCH_OFF", 1)
end

-- Carb heat L down
function CAT_CarbheatL_down ()   
	
	ipc.sleep(2)
	ipc.writeLvar("Carbheat_pos_L", 2)
end


-- Carb heat R up
function CAT_CarbheatR_up ()   

	ipc.sleep(2)
	ipc.writeLvar("Carbheat_pos_R", 1)
end

-- Carb heat R neutral
function CAT_CarbheatR_neutral ()  

	ipc.writeLvar("Carbheat_pos_R", 0)
	ipc.writeLvar("L:CAT_SWITCH_OFF", 1)
end


-- Carb heat R down
function CAT_CarbheatR_down ()  

	ipc.sleep(2)
	ipc.writeLvar("Carbheat_pos_R", 2)
end


-- ## Primer and Start #####################################

-- Primer L ON
function CAT_PrimerL_on ()

	ipc.writeLvar("L:Cat_prime", 2)
	ipc.writeLvar("L:CAT_SWITCH_ON", 1)
end

-- Primer OFF
function CAT_Primer_off ()

	ipc.writeLvar("L:Cat_prime", 0)
	ipc.writeLvar("L:CAT_SWITCH_ON", 1)
end

-- Primer R ON
function CAT_PrimerR_on ()

	ipc.writeLvar("L:Cat_prime", 1)
	ipc.writeLvar("L:CAT_SWITCH_ON", 1)
end

-- Primer L Toggle
function CAT_PrimerL_toggle ()

    Cat_prime = "L:Cat_prime"
    val = 0

    if ipc.readLvar(Cat_prime) == 0  then
       val = 2

    end
    ipc.writeLvar(Cat_prime, val)
   ipc.writeLvar("L:CAT_SWITCH_ON", 1)
end

-- Primer R Toggle
function CAT_PrimerR_toggle ()

    Cat_prime = "L:Cat_prime"
    val = 0

    if ipc.readLvar(Cat_prime) == 0  then
       val = 1

    end
    ipc.writeLvar(Cat_prime, val)
   ipc.writeLvar("L:CAT_SWITCH_ON", 1)

end

-- Starter L ON
function CAT_StarterL_on ()


    ipc.writeLvar("L:Cat_starter", 2)
	ipc.writeLvar("L:CAT_SWITCH_ON", 1)
end

-- Starter OFF
function CAT_Starter_off ()

   ipc.writeLvar("L:Cat_starter", 0)
	ipc.writeLvar("L:CAT_SWITCH_ON", 1)
end

-- Starter R on
function CAT_StarterR_on ()

   ipc.writeLvar("L:Cat_starter", 1)
	ipc.writeLvar("L:CAT_SWITCH_ON", 1)
end



-- ## Fuel #####################################

-- Both Mixture Lever Full Rich
function CAT_Mixture_FullRich ()

	ipc.writeLvar("L:Cat_mixture_L_pos", 0)
	ipc.writeLvar("L:CAT_LEVER", 1)
	ipc.sleep(50)
	ipc.writeLvar("L:Cat_mixture_R_pos", 0)
	ipc.writeLvar("L:CAT_LEVER", 1)
	ipc.sleep(50)
	ipc.writeLvar("L:A_MIX_MODE_L", 0)
	ipc.sleep(50)
	ipc.writeLvar("L:A_MIX_MODE_R", 0)
end

-- Both Mixture Lever Auto Rich
function CAT_Mixture_AutoRich ()

	ipc.writeLvar("L:Cat_mixture_L_pos", 25)
	ipc.writeLvar("L:CAT_LEVER", 1)
	ipc.sleep(50)
	ipc.writeLvar("L:Cat_mixture_R_pos", 25)
	ipc.writeLvar("L:CAT_LEVER", 1)
	ipc.sleep(50)
	ipc.writeLvar("L:A_MIX_MODE_L", 1)
	ipc.sleep(50)
	ipc.writeLvar("L:A_MIX_MODE_R", 1)
end

-- Both Mixture Lever Auto Lean
function CAT_Mixture_AutoLean ()

	ipc.writeLvar("L:Cat_mixture_L_pos", 50)
	ipc.writeLvar("L:CAT_LEVER", 1)
	ipc.sleep(50)
	ipc.writeLvar("L:Cat_mixture_R_pos", 50)
	ipc.writeLvar("L:CAT_LEVER", 1)
	ipc.sleep(50)
	ipc.writeLvar("L:A_MIX_MODE_L", 2)
	ipc.sleep(50)
	ipc.writeLvar("L:A_MIX_MODE_R", 2)
end

-- Both Mixture Lever Cutoff
function CAT_Mixture_CutOff ()

	ipc.writeLvar("L:Cat_mixture_L_pos", 75)
	ipc.writeLvar("L:CAT_LEVER", 1)
	ipc.sleep(50)
	ipc.writeLvar("L:Cat_mixture_R_pos", 75)
	ipc.writeLvar("L:CAT_LEVER", 1)
	ipc.sleep(50)
	ipc.writeLvar("L:A_MIX_MODE_L", 3)
	ipc.sleep(50)
	ipc.writeLvar("L:A_MIX_MODE_R", 3)

end

-- Both Fuel selectors OFF
function CAT_FuelSel_off ()

	ipc.control(66516)
	ipc.sleep(100)
	ipc.control(65955)
end

-- Both Fuel selectors ON - Both
function CAT_FuelSel_on ()

	ipc.control(66517)
	ipc.sleep(100)
	ipc.control(65956)

end

-- Left Fuel selector OFF
function CAT_FuelSelL_off ()


	ipc.control(65955)
end

-- Right Fuel selector OFF
function CAT_FuelSelR_off ()

	ipc.control(66516)
end

-- Left Fuel selector ON
function CAT_FuelSelL_on ()

	ipc.control(65956)
end

-- Right Fuel selector ON
function CAT_FuelSelR_on ()

	ipc.control(66517)
end


-- ## Autopilot controls #####################################

-- Gyro Pilot (AP) toggle
function CAT_GyroAP_toggle ()


    AP_Lever = "L:Cat_AP_Lever"
    
	val = 0
    if ipc.readLvar(AP_Lever) == 0 then
       val = 1
	DspShow("AP", "on")
	elseif ipc.readLvar(AP_Lever) == 0 then
       val = 0
	DspShow("AP", "off")
    end
    ipc.writeLvar(AP_Lever, val)
    ipc.writeLvar("L:CAT_LEVER", 1)
end

-- Gyro Pilot (AP) ON
function CAT_GyroAP_on ()

	ipc.writeLvar("L:Cat_AP_Lever", 1)
	ipc.writeLvar("L:CAT_LEVER", 1)
	DspShow("AP", "on")
end

-- Gyro Pilot (AP) OFF
function CAT_GyroAP_off ()

	ipc.writeLvar("L:Cat_AP_Lever", 0)
	ipc.writeLvar("L:CAT_LEVER", 1)
	DspShow("AP", "off")
end

-- Sperry Gain Elevator ON/OFF (value 3.5)
function CAT_SperryElev_toggle ()

    gain_elev = "L:Sperry_gain_elevator"
    val = 0
    if ipc.readLvar(gain_elev) <= 0 then
       val = 44
    end
    ipc.writeLvar(gain_elev, val)
end

-- Sperry Gain Elevator Inc 
function CAT_SperryElev_inc ()

	LVar = "L:Sperry_gain_elevator"
	Var = ipc.readLvar(LVar)
 	
	if Var < 100 then
	Var = Var + 1
	end

	ipc.writeLvar(LVar, Var)
	DspShow("Elev", Var/12.5)
end

-- Sperry Gain Elevator dec 
function CAT_SperryElev_dec ()

	LVar = "L:Sperry_gain_elevator"
	Var = ipc.readLvar(LVar)
 	
	if Var > 0 then
	Var = Var - 1
	end

	ipc.writeLvar(LVar, Var)
	DspShow("Elev", Var/12.5)
end

-- Sperry Gain Aileron ON/OFF (value 3.5)
function CAT_SperryAil_toggle ()


    gain_aileron = "L:Sperry_gain_aileron"
    val = 0
    if ipc.readLvar(gain_aileron) <= 0 then
       val = 44
    end
    ipc.writeLvar(gain_aileron, val)
end

-- Sperry Gain Aileron Inc 
function CAT_SperryAil_inc ()

	LVar = "L:Sperry_gain_aileron"
	Var = ipc.readLvar(LVar)
 	
	if Var < 100 then
	Var = Var + 1
	end

	ipc.writeLvar(LVar, Var)
	DspShow("Ail", Var/12.5)
end

-- Sperry Gain Aileron dec 
function CAT_SperryAil_dec ()

	LVar = "L:Sperry_gain_aileron"
	Var = ipc.readLvar(LVar)
 	
	if Var > 0 then
	Var = Var - 1
	end

	ipc.writeLvar(LVar, Var)
	DspShow("Ail", Var/12.5)
end

-- Sperry Gain Rudder ON/OFF (value 3.5)
function CAT_SperryRudd_toggle ()

    gain_rudder = "L:Sperry_gain_rudder"
    val = 0
    if ipc.readLvar(gain_rudder) <= 0 then
       val = 44
    end
    ipc.writeLvar(gain_rudder, val)
end

-- Sperry Gain Rudder Inc 
function CAT_SperryRudd_inc ()

	LVar = "L:Sperry_gain_rudder"
	Var = ipc.readLvar(LVar)
 	
	if Var < 100 then
	Var = Var + 1
	end

	ipc.writeLvar(LVar, Var)
	DspShow("Rudd", Var/12.5)
end

-- Sperry Gain Rudder dec 
function CAT_SperryRudd_dec ()

	LVar = "L:Sperry_gain_rudder"
	Var = ipc.readLvar(LVar)
 	
	if Var > 0 then
	Var = Var - 1
	end

	ipc.writeLvar(LVar, Var)
	DspShow("Rudd", Var/12.5)
end

-- Sperry Pitch Inc (down)
function CAT_SperryPitch_inc ()

	Sperry_pitch_set = "L:Sperry_pitch_set"
	Var = ipc.readLvar(Sperry_pitch_set)
 	
	if Var > -12 then
	Var = Var - 0.25

	end

	ipc.writeLvar(Sperry_pitch_set, Var)
	DspShow("Pitc", Var*-1)
end

-- Sperry Pitch Dec (up)
function CAT_SperryPitch_dec ()

	Sperry_pitch_set = "L:Sperry_pitch_set"
	Var = ipc.readLvar(Sperry_pitch_set)

	if Var < 12 then
	Var = Var + 0.25

	end

	ipc.writeLvar(Sperry_pitch_set, Var)
	DspShow("Pitc", Var*-1)
end

-- Sperry Bank Inc (left)
function CAT_SperryBank_dec ()

	Cat_Desired_Bank = "L:Cat_Desired_Bank"
	Var = ipc.readLvar(Cat_Desired_Bank)

	if Var < 26 then
	Var = Var + 1

	end

	ipc.writeLvar(Cat_Desired_Bank, Var)
	DspShow("Bank", Var*-1)
end

-- Sperry Bank Dec (right)
function CAT_SperryBank_inc ()


	Cat_Desired_Bank = "L:Cat_Desired_Bank"
	Var = ipc.readLvar(Cat_Desired_Bank)

	if Var > -26 then
	Var = Var - 1

	end

	ipc.writeLvar(Cat_Desired_Bank, Var)
	DspShow("Bank", Var*-1)
end

-- Sperry HDG Inc (left)
function CAT_SperryHDG_inc ()

	Desired_Heading = "L:Desired_Heading"
	Var = ipc.readLvar(Desired_Heading)

	if Var <= 360 then
	Var = Var + 1

	else Var = 1
	end

	ipc.writeLvar(Desired_Heading, Var) 
	DspShow("HDG", Var)
end

function CAT_SperryHDG_incfast ()

	Desired_Heading = "L:Desired_Heading"
	Var = ipc.readLvar(Desired_Heading)

	if Var <= 360 then
	Var = Var + 10

	else Var = 1
	end

	ipc.writeLvar(Desired_Heading, Var) 
	DspShow("HDG", Var)
end

-- Sperry HDG Dec (right)
function CAT_SperryHDG_dec ()

	Desired_Heading = "L:Desired_Heading"
	Var = ipc.readLvar(Desired_Heading)

	if Var >= 0 then
	Var = Var - 1

	else Var = 359
	end		
	
	ipc.writeLvar(Desired_Heading, Var)
	DspShow("HDG", Var)
	
end

function CAT_SperryHDG_decfast ()

	Desired_Heading = "L:Desired_Heading"
	Var = ipc.readLvar(Desired_Heading)

	if Var >= 0 then
	Var = Var - 10

	else Var = 359
	end		
	
	ipc.writeLvar(Desired_Heading, Var)
	DspShow("HDG", Var)
	
end


-- ## Electrics #####################################

-- Ignition ON and Magnetos both
function CAT_IGN_toggle ()

 	ipc.control(66535)
end

-- Master Battery
function CAT_Batt_toggle ()

	Cat_master = "L:Cat_master_batt_OFF"
	val = 0
	if ipc.readLvar(Cat_master) == 0 then
		val = 1
	end
	ipc.writeLvar(Cat_master, val)
	ipc.writeLvar("L:CAT_SWITCH_ON", 1)
end

-- Master Battery OFF
function CAT_Batt_off ()

	ipc.writeLvar("L:Cat_master_batt_OFF", 1)
	ipc.writeLvar("L:CAT_SWITCH_ON", 1)
end

-- Master Battery ON
function CAT_Batt_on ()

	ipc.writeLvar("L:Cat_master_batt_OFF", 0)
	ipc.writeLvar("L:CAT_SWITCH_ON", 1)
end

-- APU toggle
function CAT_APU_toggle ()

	Cat_APU_run = "L:Cat_APU_run"
    val = 0

    if ipc.readLvar(Cat_APU_run) == 0  then
       val = 2


	elseif ipc.readLvar(Cat_APU_run) == 1  then
       val = 0

    end

    	ipc.writeLvar("L:CAT_SWITCH_ON", 1)
	ipc.writeLvar("L:Cat_apu_control", val)

end

-- APU Gen toggle
function CAT_APUGen_toggle ()

	Cat_APU_gen = "L:Cat_APU_gen"
    val = 0

    if ipc.readLvar(Cat_APU_gen) == 0  then
       val = 1


    end

    	ipc.writeLvar("L:CAT_SWITCH_ON", 1)
	ipc.writeLvar("L:Cat_APU_Gen", val)

end


-- ## System functions ######

function InitVars ()

	-- uncomment to disable display
	 AutopilotDisplayBlocked ()
	
end

