-- EMPTY TEMPLATE -- 
-- Fill with what functions you need --


-- ## System functions ##

function InitVars ()

    -- uncomment to disable display
     AutopilotDisplayBlocked ()

end 

-- ## Lights ###############

function HueyX_Lights_DOME_white ()

    ipc.writeLvar("L:Huey_Domelight", 0)
    ipc.writeLvar("L:ASC_Huey_Flip_switch_up", 1)
    DspShow ("Dome", "Whte")
end

function HueyX_Lights_DOME_off ()

    LVarSet = "L:Huey_Domelight"
    SwitchVar = ipc.readLvar(LVarSet)
    if SwitchVar == 0 then
    SwitchLVar = "L:ASC_Huey_Flip_switch_dn"
    elseif SwitchVar == 50 then
    SwitchLVar = "L:ASC_Huey_Flip_switch_up"
    end
    ipc.writeLvar(LVarSet, 25)
    ipc.writeLvar(SwitchLVar, 1)
    DspShow ("Dome", "Off")
end

function HueyX_Lights_DOME_NVG ()

    ipc.writeLvar("L:Huey_Domelight", 50)
    ipc.writeLvar("L:ASC_Huey_Flip_switch_dn", 1)
    DspShow ("Dome", "NVG")
end

function HueyX_Lights_DOME_cycle ()

    local c = ipc.readLvar("L:Huey_Domelight")

    if c == 0 then

        HueyX_Lights_DOME_NVG ()

    elseif c == 25 then

        HueyX_Lights_DOME_white ()

    else

        HueyX_Lights_DOME_off ()

    end

end

function HueyX_Lights_NAV_steady ()

    ipc.writeLvar("L:navlight_mode", 2)
    ipc.writeLvar("L:ASC_Huey_Flip_switch_up", 1)
    DspShow ("NAV", "Stdy")
end

function HueyX_Lights_NAV_off ()

    LVarSet = "L:navlight_mode"
    SwitchVar = ipc.readLvar(LVarSet)
    if SwitchVar == 2 then
    SwitchLVar = "L:ASC_Huey_Flip_switch_dn"
    elseif SwitchVar == 0 then
    SwitchLVar = "L:ASC_Huey_Flip_switch_up"
    end
    ipc.writeLvar(LVarSet, 1)
    ipc.writeLvar(SwitchLVar, 1)
    DspShow ("NAV", "Off")
end

function HueyX_Lights_NAV_flash ()

    ipc.writeLvar("L:navlight_mode", 0)
    ipc.writeLvar("L:ASC_Huey_Flip_switch_dn", 1)
    DspShow ("NAV", "Flsh")
end

function HueyX_Lights_NAV_cycle ()

    local c = ipc.readLvar("L:navlight_mode")

    if c == 1 then

        HueyX_Lights_NAV_steady ()

    elseif c == 2 then

        HueyX_Lights_NAV_flash ()

    else

        HueyX_Lights_NAV_off ()

    end

end


function HueyX_Lights_NAVmode_NVG ()

    ipc.writeLvar("L:navlight_dimm", 1)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("NAV", "NVG")
end

function HueyX_Lights_NAVmode_bright ()

    ipc.writeLvar("L:navlight_dimm", 0)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("NVG", "Brgt")
end

function HueyX_Lights_NAVmode_toggle ()

    if _tl("navlight_dimm") then

        HueyX_Lights_NAVmode_NVG ()

    else

        HueyX_Lights_NAVmode_bright ()

    end

end

function HueyX_Lights_BCN_on ()

	ipc.setbitsUW("0D0C", 2)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
	DspShow ("BCN ", "On  ")
end

function HueyX_Lights_BCN_off ()

	ipc.clearbitsUW("0D0C", 2)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
	DspShow ("BCN ", "Off ")
end

function HueyX_Lights_BCN_toggle ()

    if logic.And(ipc.readUW("0D0C"), 2) == 2 then

        HueyX_Lights_BCN_off ()

    else

        HueyX_Lights_BCN_on ()

    end

end

function HueyX_Lights_PANEL_on ()

    ipc.setbitsUW("0D0C", 32)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("PNL ", "On  ")
end

function HueyX_Lights_PANEL_off ()

    ipc.clearbitsUW("0D0C", 32)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("PNL ", "Off  ")
end

function HueyX_Lights_BCN_toggle ()

    if logic.And(ipc.readUW("0D0C"), 32) == 32 then

        HueyX_Lights_PANEL_off ()

    else

        HueyX_Lights_PANEL_on ()

    end

end

-- ## Fuel ###############

function HueyX_Fuel_AUX_Left_on ()

    ipc.writeLvar("L:Huey_INT_Fuel_L_Switch", 1)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("AuxL", "On  ")

end

function HueyX_Fuel_AUX_Left_off ()

    ipc.writeLvar("L:Huey_INT_Fuel_L_Switch", 0)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("AuxL", "Off ")

end

function HueyX_Fuel_AUX_Left_toggle ()

    if _tl("Huey_INT_Fuel_L_Switch") then

        HueyX_Fuel_AUX_Left_on ()

    else

        HueyX_Fuel_AUX_Left_off ()

    end

end


function HueyX_Fuel_AUX_Right_on ()

    ipc.writeLvar("L:Huey_INT_Fuel_R_Switch", 1)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("AuxR", "On  ")

end

function HueyX_Fuel_AUX_Right_off ()

    ipc.writeLvar("L:Huey_INT_Fuel_R_Switch", 0)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("AuxR", "Off ")

end

function HueyX_Fuel_AUX_Right_toggle ()

    if _tl("Huey_INT_Fuel_R_Switch") then

        HueyX_Fuel_AUX_Right_on ()

    else

        HueyX_Fuel_AUX_Right_off ()

    end

end

function HueyX_Fuel_AUX_Both_on ()

    HueyX_Fuel_AUX_Left_on ()
    HueyX_Fuel_AUX_Right_on ()
end

function HueyX_Fuel_AUX_Both_off ()

    HueyX_Fuel_AUX_Left_off ()
    HueyX_Fuel_AUX_Right_off ()
end

function HueyX_Fuel_AUX_Both_toggle ()

    HueyX_Fuel_AUX_Left_toggle ()
    HueyX_Fuel_AUX_Right_toggle ()
end





function HueyX_Fuel_VALVE_Main_on ()

    ipc.writeLvar("L:Fuel_Valve_Switch", 1)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("VlvM", "On  ")

end

function HueyX_Fuel_VALVE_Main_off ()

    ipc.writeLvar("L:Fuel_Valve_Switch", 0)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("VlvM", "Off ")

end

function HueyX_Fuel_VALVE_Main_toggle ()

    if _tl("Fuel_Valve_Switch") then

        HueyX_Fuel_VALVE_Main_on ()

    else

        HueyX_Fuel_VALVE_Main_off ()

    end

end

function HueyX_Fuel_VALVE_Start_on ()

    ipc.writeLvar("L:START_Fuel_Valve_Switch", 1)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("VlvS", "On  ")

end

function HueyX_Fuel_VALVE_Start_off ()

    ipc.writeLvar("L:START_Fuel_Valve_Switch", 0)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("VlvS", "Off ")

end

function HueyX_Fuel_VALVE_Start_toggle ()

    if _tl("START_Fuel_Valve_Switch") then

        HueyX_Fuel_VALVE_Start_on ()

    else

        HueyX_Fuel_VALVE_Start_off ()

    end

end


-- ## Other ###############

function HueyX_LOWRPM_Warn_on ()

    ipc.writeLvar("L:Warn_Switch_LOWRPM", 0)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("RPM", "Warn")
end

function HueyX_LOWRPM_Warn_off ()

    ipc.writeLvar("L:Warn_Switch_LOWRPM", 1)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("RPM", "Off")
end

function HueyX_LOWRPM_Warn_toggle ()

    if _tl("Warn_Switch_LOWRPM") then

        HueyX_LOWRPM_Warn_on ()

    else

        HueyX_LOWRPM_Warn_off ()

    end

end

function HueyX_GOVERNOR_on ()

    ipc.writeLvar("L:Huey_Governor_emer", 1)
    ipc.writeLvar("L:ASC_Huey_Triangular_switch", 1)
    DspShow ("GVNR", "Emer")
end

function HueyX_GOVERNOR_off ()

    ipc.writeLvar("L:Huey_Governor_emer", 0)
    ipc.writeLvar("L:ASC_Huey_Triangular_switch", 1)
    DspShow ("GVNR", "Off")
end

function HueyX_GOVERNOR_toggle ()

    if _tl("Huey_Governor_emer") then

        HueyX_GOVERNOR_on ()

    else

        HueyX_GOVERNOR_off ()

    end

end


function HueyX_DeIce_on ()

    ipc.writeUW(0x08B2, 1)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("DICE", "On")
end

function HueyX_DeIce_off ()

    ipc.writeUW(0x08B2, 0)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("DICE", "Off")
end

function HueyX_DeIce_toggle ()

    if ipc.readUW(0x08B2) == 0 then

        HueyX_DeIce_on ()

    else

        HueyX_DeIce_off ()

    end

end

function HueyX_CAUTION_test ()

    ipc.writeLvar("L:Warnlight_test", 1)
    ipc.writeLvar("L:ASC_Huey_switch", 1)

    ipc.sleep(1000)

    ipc.writeLvar("L:Warnlight_test", 0)
    ipc.writeLvar("L:ASC_Huey_switch", 1)

    DspShow ("CAUT", "Test")
end

function HueyX_RadarAlt_inc ()

    RDRval = ipc.readLvar("L:Radar_alt_MAIN_warn_set")

    if RDRval <= 329 then
    RDRval = RDRval + 1
    end
    ipc.writeLvar("L:Radar_alt_MAIN_warn_set", RDRval)
end

function HueyX_RadarAlt_inc_fast ()

    RDRval = ipc.readLvar("L:Radar_alt_MAIN_warn_set")

    if RDRval <= 329 then
    RDRval = RDRval + 10
    end
    ipc.writeLvar("L:Radar_alt_MAIN_warn_set", RDRval)
end


function HueyX_RadarAlt_dec ()

    RDRval = ipc.readLvar("L:Radar_alt_MAIN_warn_set")

    if RDRval >= 0 then
    RDRval = RDRval - 1
    end
    ipc.writeLvar("L:Radar_alt_MAIN_warn_set", RDRval)
end

function HueyX_RadarAlt_dec_fast ()

    RDRval = ipc.readLvar("L:Radar_alt_MAIN_warn_set")

    if RDRval >= 0 then
    RDRval = RDRval - 10
    end

end

function HueyX_EVI_on ()

    ipc.writeLvar("L:EVI_knob", 1)
    ipc.writeLvar("L:ASC_Huey_Flip_switch_up", 1)
    DspShow ("EVI", " on ")
end

function HueyX_EVI_off ()

    ipc.writeLvar("L:EVI_knob", 0)
    ipc.writeLvar("L:ASC_Huey_Flip_switch_dn", 1)
    DspShow ("EVI", " off")
end

function HueyX_EVI_toggle ()

    if _tl("EVI_knob") then

        HueyX_EVI_on ()

    else

        HueyX_EVI_off ()

    end

end



-- ## Radios ###############

function HueyX_XPND_off ()

    ipc.writeLvar("L:XPONDER_POWER", 0)
    ipc.writeLvar("L:ASC_Huey_Xpdr_mainswitch", 1)
    DspShow ("XPND", "Off")
end

function HueyX_XPND_standby ()

    ipc.writeLvar("L:XPONDER_POWER", 1)
    ipc.writeLvar("L:ASC_Huey_Xpdr_mainswitch", 1)
    DspShow ("XPND", "STBY")
end

function HueyX_XPND_norm ()

    ipc.writeLvar("L:XPONDER_POWER", 2)
    ipc.writeLvar("L:ASC_Huey_Xpdr_mainswitch", 1)
    DspShow ("XPND", "NORM")
end

function HueyX_XPND_emer ()

    ipc.writeLvar("L:XPONDER_POWER", 3)
    ipc.writeLvar("L:ASC_Huey_Xpdr_mainswitch", 1)
    DspShow ("XPND", "EMER")
end

function HueyX_XPND_cycle ()

    local xpnd = ipc.readLvar("L:XPONDER_POWER")

    if xpnd == 0 then

        HueyX_XPND_standby ()

    elseif xpnd == 1 then

        HueyX_XPND_norm ()

    elseif xpnd == 2 then

        HueyX_XPND_emer ()

    elseif xpnd == 3 then

        HueyX_XPND_off ()

    end

end



-- ## Electrics ###############

function HueyX_Battery_on ()

    Battery_on ()
    ipc.writeLvar("L:ASC_Huey_switch", 1)

end

function HueyX_Battery_off ()

    Battery_off ()
    ipc.writeLvar("L:ASC_Huey_switch", 1)

end

function HueyX_Battery_toggle ()

    if ipc.readDD("281C") == 1 then

        HueyX_Battery_off ()

    else

        HueyX_Battery_on ()

    end

end


function HueyX_GenMain_on ()

    ipc.writeLvar("L:MAIN_GEN", 1)
    ipc.writeLvar("L:DC_Gen", 1)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
	DspShow ("GenM", "On  ")

end

function HueyX_GenMain_off ()

    ipc.writeLvar("L:MAIN_GEN", 0)
    ipc.writeLvar("L:DC_Gen", 0)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
	DspShow ("GenM", "Off ")

end

function HueyX_GenMain_toggle ()

    if _tl("MAIN_GEN") then

        HueyX_GenMain_on ()

    else

        HueyX_GenMain_off ()

    end

end


function HueyX_GenStarter_on ()

    ipc.writeLvar("L:STARTER_GEN", 1)
    ipc.writeLvar("L:ST_Gen", 1)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
	DspShow ("GenS", "On  ")

end

function HueyX_GenStarter_off ()

    ipc.writeLvar("L:STARTER_GEN", 0)
    ipc.writeLvar("L:ST_Gen", 0)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
	DspShow ("GenS", "Off ")

end

function HueyX_GenStarter_toggle ()

    if _tl("STARTER_GEN") then

        HueyX_GenStarter_on ()

    else

        HueyX_GenStarter_off ()

    end

end

function HueyX_GenBoth_on ()

    HueyX_GenStarter_on ()
    HueyX_GenMain_on ()
end

function HueyX_GenBoth_off ()

    HueyX_GenStarter_off ()
    HueyX_GenMain_off ()
end

function HueyX_GenBoth_toggle ()

    HueyX_GenStarter_toggle ()
    HueyX_GenMain_toggle ()
end

function HueyX_Inverter_1_on ()

    ipc.writeLvar("L:INVERTER1", 1)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("INV1 ", "On  ")

end

function HueyX_Inverter_1_off ()

    ipc.writeLvar("L:INVERTER1", 0)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("INV1 ", "Off  ")

end


function HueyX_Inverter_2_on ()

    ipc.writeLvar("L:INVERTER2", 1)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("INV2 ", "On  ")

end

function HueyX_Inverter_2_off ()

    ipc.writeLvar("L:INVERTER2", 0)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
    DspShow ("INV2 ", "Off  ")

end

function HueyX_Inverter_Both_on ()

    HueyX_Inverter_1_on ()
    HueyX_Inverter_2_on ()
    DspShow ("INVb", "On ")
end

function HueyX_BothInv_off ()

    HueyX_Inverter_1_off ()
    HueyX_Inverter_2_off ()
    DspShow ("INVb", "Off ")
end

-- ## Circuit Breakers ###############

function HueyX_CBFuel_left_on ()

    ipc.writeLvar("L:Fuel_Boost_L", 1)
    ipc.writeLvar("L:ASC_Huey_Fuse", 1)
end

function HueyX_CBFuel_left_off ()

    ipc.writeLvar("L:Fuel_Boost_L", 0)
    ipc.writeLvar("L:ASC_Huey_Fuse", 1)
end

function HueyX_CBFuel_left_toggle ()

    if _tl("Fuel_Boost_L") then

        HueyX_CBFuel_left_on ()

    else

        HueyX_CBFuel_left_off ()

    end
end

function HueyX_CBFuel_right_on ()

    ipc.writeLvar("L:Fuel_Boost_R", 1)
    ipc.writeLvar("L:ASC_Huey_Fuse", 1)
end

function HueyX_CBFuel_right_off ()

    ipc.writeLvar("L:Fuel_Boost_R", 0)
    ipc.writeLvar("L:ASC_Huey_Fuse", 1)
end

function HueyX_CBFuel_right_toggle ()

    if _tl("Fuel_Boost_R") then

        HueyX_CBFuel_right_on ()

    else

        HueyX_CBFuel_right_off ()

    end
end

function HueyX_CBWiper_left_on ()

    ipc.writeLvar("L:Wiper_CB_L", 1)
    ipc.writeLvar("L:ASC_Huey_Fuse", 1)
end

function HueyX_CBWiper_left_off ()

    ipc.writeLvar("L:Wiper_CB_L", 0)
    ipc.writeLvar("L:ASC_Huey_Fuse", 1)
end

function HueyX_CBWiper_left_toggle ()

    if _tl("Wiper_CB_L") then

        HueyX_CBWiper_left_on ()

    else

        HueyX_CBWiper_left_off ()

    end
end

function HueyX_CBWiper_right_on ()

    ipc.writeLvar("L:Wiper_CB_R", 1)
    ipc.writeLvar("L:ASC_Huey_Fuse", 1)
end

function HueyX_CBWiper_right_off ()

    ipc.writeLvar("L:Wiper_CB_R", 0)
    ipc.writeLvar("L:ASC_Huey_Fuse", 1)
end

function HueyX_CBWiper_right_toggle ()

    if _tl("Wiper_CB_R") then

        HueyX_CBWiper_right_on ()

    else

        HueyX_CBWiper_right_off ()

    end
end

-- ## Hydraulic and Trim ###############

 function HueyX_Hydraulic_on ()

    ipc.writeLvar("L:Hydraulic", 1)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
	DspShow ("Hydr", "On  ")

end

 function HueyX_Hydraulic_off ()

    ipc.writeLvar("L:Hydraulic", 0)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
	DspShow ("Hydr", "Off ")

end

function HueyX_Hydraulic_toggle ()

    if _tl("Hydraulic") then

        HueyX_Hydraulic_on ()

    else

        HueyX_Hydraulic_off ()

    end

end


function HueyX_ForceTrim_on ()

    ipc.writeLvar("L:Forcetrim", 1)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
	DspShow ("Trim", "On  ")

end

function HueyX_ForceTrim_off ()

    ipc.writeLvar("L:Forcetrim", 0)
    ipc.writeLvar("L:ASC_Huey_switch", 1)
	DspShow ("Trim", "Off  ")

end

function HueyX_ForceTrim_toggle ()

    if _tl("Forcetrim") then

        HueyX_ForceTrim_on ()

    else

        HueyX_ForceTrim_off ()

    end

end


-- ## Collective Lever ###############

function HueyX_Starter_on ()

    ipc.writeLvar("L:Huey_Starter_Switch", 1)
    DspShow ("Strt", "On  ")

end

function HueyX_Starter_off ()

    ipc.writeLvar("L:Huey_Starter_Switch", 0)
    DspShow ("Strt", "Off ")

end

function HueyX_Starter_on ()

    if _tl("Huey_Starter_Switch") then

        HueyX_ForceTrim_on ()

    else

        HueyX_ForceTrim_off ()

    end

end


function HueyX_Engine_Idle_on ()

    ipc.writeLvar("L:Huey_Idle_Release_Switch", 1)
    DspShow ("Idle", "On  ")

end

function HueyX_Engine_Idle_off ()

    ipc.writeLvar("L:Huey_Idle_Release_Switch", 0)
    DspShow ("Idle", "Off ")

end

function HueyX_GovernorRPM_incr ()

    ipc.writeLvar("L:GOVERNOR RPM SWITCH", 1)
    DspShow ("GOV ", "Incr")

end

function HueyX_GovernorRPM_reset ()

    ipc.writeLvar("L:GOVERNOR RPM SWITCH", 0)
    DspShow ("GOV ", "Rst ")

end

function HueyX_GovernorRPM_decr ()

    ipc.writeLvar("L:GOVERNOR RPM SWITCH", -1)
    DspShow ("GOV ", "Decr")

end


-- ## Collective Lever lights ###############



function HueyX_LandingLight_on ()
    ipc.writeLvar("L:Huey_Landinglight1_Guard", 1)
    ipc.writeLvar("L:ASC_Huey_Guard_up", 1)
    ipc.sleep(100)
    ipc.writeLvar("L:Huey_Landinglight1", 1)
    ipc.writeLvar("L:ASC_Huey_Switch", 1)
    DspShow ("Ldg", " on ")
end

function HueyX_LandingLight_off ()

    ipc.writeLvar("L:Huey_Landinglight1", 0)
    ipc.writeLvar("L:ASC_Huey_Switch", 1)
    ipc.sleep(100)
    ipc.writeLvar("L:Huey_Landinglight1_Guard", 0)
    ipc.writeLvar("L:ASC_Huey_Guard_up", 1)
    DspShow ("Ldg", " off")
end

function HueyX_LandingLight_toggle ()

    if _tl("Huey_Landinglight1") then

        HueyX_LandingLight_on ()

    else

        HueyX_LandingLight_off ()

    end
end


function HueyX_LandingLExtend_on ()

    ipc.writeLvar("L:Huey_Landinglight_Extend", 1)
    ipc.writeLvar("L:ASC_Huey_Switch", 1)
end

function HueyX_LandingLExtend_off ()

    ipc.writeLvar("L:Huey_Landinglight_Extend", 0)
    ipc.writeLvar("L:ASC_Huey_Switch", 1)
end

function HueyX_LandingLExtend_toggle ()

    if _tl("Huey_Landinglight_Extend") then

        HueyX_LandingLExtend_on ()

    else

        HueyX_LandingLExtend_off ()

    end
end


function HueyX_SearchLight_on ()

    ipc.writeLvar("L:Huey_Searchlight1", 1)
    ipc.writeLvar("L:ASC_Huey_Flip_switch_up", 1)
    DspShow ("Srch", "On  ")
end

function HueyX_SearchLight_off ()

    ipc.writeLvar("L:Huey_Searchlight1", 0)
    ipc.writeLvar("L:ASC_Huey_Flip_switch_dn", 1)

    DspShow ("Srch", "Off ")
end

function HueyX_SearchLight_toggle ()

    if _tl("Huey_Searchlight1") then

        HueyX_SearchLight_on ()

    else

        HueyX_SearchLight_off ()

    end
end

function HueyX_Searchlight_right ()

    SLval = ipc.readLvar("L:Searchlight_Lat_pos")

    if SLval <= 100 then
    SLval = SLval + 5
    end

    ipc.writeLvar("L:Searchlight_Lat_pos", SLval)
end

function HueyX_Searchlight_left ()

    SLval = ipc.readLvar("L:Searchlight_Lat_pos")

    if SLval >= -100 then
    SLval = SLval - 5
    end

    ipc.writeLvar("L:Searchlight_Lat_pos", SLval)
end

function HueyX_Searchlight_up ()

    SLval = ipc.readLvar("L:Searchlight_Vert_pos")

    if SLval <= 100 then
    SLval = SLval + 5
    end

    ipc.writeLvar("L:Searchlight_Vert_pos", SLval)
end

function HueyX_Searchlight_down ()

    SLval = ipc.readLvar("L:Searchlight_Vert_pos")

    if SLval >= -100 then
    SLval = SLval - 5
    end

    ipc.writeLvar("L:Searchlight_Vert_pos", SLval)
end

function HueyX_Searchlight_zero ()

    ipc.writeLvar("L:Searchlight_Vert_pos", 0)
    ipc.writeLvar("L:Searchlight_Lat_pos", 0)

    DspShow ("Srch", "Rst ")
end
