-- PMDG BAE JS41
-- version 1.1 September 2011   also for MCP2

-- ## Autopilot controls #####################################

function Autopilot_NAV_mode ()

	ipc.writeLvar("L:FdModeselNavSwitch", 1)
	ipc.control(66587,278)
	ipc.control(66587,8031)
	ipc.sleep(200)
	ipc.writeLvar("L:FdModeselNavSwitch", 0)
	ipc.control(66587,8031)

end

function Autopilot_ALT_mode ()

	ipc.writeLvar("L:FdModeselAltSwitch", 1)
	ipc.control(66587,281)
	ipc.control(66587,8031)
	ipc.sleep(200)
	ipc.writeLvar("L:FdModeselAltSwitch", 0)
	ipc.control(66587,8031)
	
end

function Autopilot_ALTSEL_mode ()

	ipc.writeLvar("L:FdModeselAltselSwitch", 1)
	ipc.control(66587,282)
	ipc.control(66587,8031)
	ipc.sleep(200)
	ipc.writeLvar("L:FdModeselAltselSwitch", 0)
	ipc.control(66587,8031)

end

function Autopilot_APR_mode ()

	ipc.writeLvar("L:FdModeselAprSwitch", 1)
	ipc.control(66587,279)
	ipc.control(66587,8031)
	ipc.sleep(200)
	ipc.writeLvar("L:FdModeselAprSwitch", 0)
	ipc.control(66587,8031)

end

function Autopilot_VS_mode ()

	ipc.writeLvar("L:FdModeselVsSwitch", 1)
	ipc.control(66587,283)
	ipc.control(66587,8031)
	ipc.sleep(200)
	ipc.writeLvar("L:FdModeselVsSwitch", 0)
	ipc.control(66587,8031)

end

function Autopilot_BC_mode ()

	ipc.writeLvar("L:FdModeselBcSwitch", 1)
	ipc.control(66587,280)
	ipc.control(66587,8031)
	ipc.sleep(200)
	ipc.writeLvar("L:FdModeselBcSwitch", 0)
	ipc.control(66587,8031)

end

function Autopilot_IAS_mode ()

	ipc.writeLvar("L:FdModeselIasSwitch", 1)
	ipc.control(66587,284)
	ipc.control(66587,8031)
	ipc.sleep(200)
	ipc.writeLvar("L:FdModeselIasSwitch", 0)
	ipc.control(66587,8031)

end

function Autopilot_HDG_mode ()

	ipc.writeLvar("L:FdModeselHdgSwitch", 1)
	ipc.control(66587,277)
	ipc.control(66587,8031)
	ipc.sleep(200)
	ipc.writeLvar("L:FdModeselHdgSwitch", 0)
	ipc.control(66587,8031)

end

function Autopilot_HDG_KNOB_press ()

	ipc.writeLvar("L:IrcHdgKnobPush", 1)            
	ipc.control(66587,2691)
	ipc.control(66587,8031)
	ipc.sleep(200)
	ipc.writeLvar("L:IrcHdgKnobPush", 0)
	ipc.control(66587,8031)

end

function Autopilot_CRS_KNOB_press ()

	ipc.writeLvar("L:LeftIrcCrsKnobPush", 1)
	ipc.control(66587,2671)
	ipc.control(66587,8031)
	ipc.sleep(200)
	ipc.writeLvar("L:LeftIrcCrsKnobPush", 0)
	ipc.control(66587,8031)

end

function Autopilot_IAS_KNOB_press ()
				
	ipc.writeLvar("L:IrcIasKnobPush", 1)
	ipc.control(66587,2681)
	ipc.control(66587,8031)
	ipc.sleep(200)
	ipc.writeLvar("L:IrcIasKnobPush", 0)
	ipc.control(66587,8031)
	
	ias_bug = ias_bug + 1
	if ias_bug > 4 then ias_bug = 1 end

	-- showing current bug selected
	SPD_show ()

	_log("SPD press (IAS bug) " .. ias_bug)
	
end

function Autopilot_STBY_mode ()

	ipc.writeLvar("L:FdModeselSbySwitch", 1)
	ipc.control(66587,2851)
	ipc.control(66587,8031)
	ipc.sleep(200)
	ipc.writeLvar("L:FdModeselSbySwitch", 0)
	ipc.control(66587,2850)
	ipc.control(66587,8031)

end

function Autopilot_TRIM_PWR_on ()

	ipc.writeLvar("L:ApTrimPowerSwitch", 1)
	ipc.control(66587,8034)

end

function Autopilot_TRIM_PWR_off ()

	ipc.writeLvar("L:ApTrimPowerSwitch", 0)
	ipc.control(66587,8034)

end

function Autopilot_MASTER_on ()

	ipc.writeLvar("L:APEngageSwitchSelect", 1)
	ipc.control(65580)
	ipc.control(66587,8038)
	ipc.sleep(200)
	ipc.writeLvar("L:APEngageSwitchSelect", 0)
	ipc.control(66587,8038)

end

function Autopilot_MASTER_off ()

	ipc.writeLvar("L:APEngageSwitchSelect", 1)
	ipc.control(65791)
	ipc.control(66587,8038)
	ipc.sleep(200)
	ipc.writeLvar("L:APEngageSwitchSelect", 0)
	ipc.control(66587,8038)

end



-- ## EFIS controls #####################################

function EFIS_FULL_MAP ()

	ipc.control(66587,214)
	ipc.control(66587,8031)
	ipc.sleep(200)
	ipc.control(66587,8031)

end

function EFIS_TCAS ()

	ipc.control(66587,215)
	ipc.control(66587,8031)
	ipc.sleep(200)
	ipc.control(66587,8031)

end

function EFIS_GSPD_TTG ()

	ipc.control(66587,217)
	ipc.control(66587,8031)
	ipc.sleep(200)
	ipc.control(66587,8031)

end

function EFIS_ET ()

	ipc.control(66587,218)
	ipc.control(66587,8031)
	ipc.sleep(200)
	ipc.control(66587,8031)

end

function EFIS_VL ()

	ipc.control(66587,21901)
	ipc.control(66587,8031)
	ipc.sleep(200)
	ipc.control(66587,8031)

end

function EFIS_LNAV ()

	ipc.control(66587,21910)
	ipc.control(66587,8031)
	ipc.sleep(200)
	ipc.control(66587,8031)

end

---------------------------------------------------------

function EFIS_ADF1_VOR1_toggle ()

	LVarSet = "L:LeftAdfVorSwitch"
	val = 1

	if ipc.readLvar(LVarSet) == 1  then
	val = 2
	end

	ipc.writeLvar(LVarSet, val)
	ipc.control(66587, 8024)

end

function EFIS_ADF2_VOR2_toggle ()

	LVarSet = "L:LeftVorAdfSwitch"
	val = 1

	if ipc.readLvar(LVarSet) == 1  then
	val = 2
	end

	ipc.writeLvar(LVarSet, val)
	ipc.control(66587, 8024)

end

function EFIS_ADF1 ()

	ipc.writeLvar("L:LeftAdfVorSwitch", 0)
	ipc.control(66587, 8024)

end

function EFIS_VOR1 ()

	ipc.writeLvar("L:LeftAdfVorSwitch", 1)
	ipc.control(66587, 8024)

end

function EFIS_ADF2 ()

	ipc.writeLvar("L:LeftVorAdfSwitch", 1)
	ipc.control(66587, 8024)

end

function EFIS_VOR2 ()

	ipc.writeLvar("L:LeftVorAdfSwitch", 0)
	ipc.control(66587, 8024)

end

---------------------------------------------------------

function Bearing_CIRCLE_plus ()

	efis_brg1 = ipc.readLvar("L:LeftBearingCircleKnob")

	efis_brg1 = efis_brg1 + 1
	if efis_brg1 > 3 then efis_brg1 = 3 end			

	ipc.writeLvar("L:LeftBearingCircleKnob", efis_brg1)
	ipc.control(66587,220)
	ipc.control(66587,8031)

	Bearing_CIRCLE_show ()
	
end

function Bearing_CIRCLE_minus ()

	efis_brg1 = ipc.readLvar("L:LeftBearingCircleKnob")

	efis_brg1 = efis_brg1 - 1
	if efis_brg1 < 0 then efis_brg1 = 0 end 
	
	ipc.writeLvar("L:LeftBearingCircleKnob", efis_brg1)
	ipc.control(66587,220)
	ipc.control(66587,8031)
		
	Bearing_CIRCLE_show ()
	
end

function Bearing_DIAMOND_plus ()

	efis_brg2 = ipc.readLvar("L:LeftBearingDiamondKnob")

	efis_brg2 = efis_brg2 + 1
	if efis_brg2 > 3 then efis_brg2 = 3 end			

	ipc.writeLvar("L:LeftBearingDiamondKnob", efis_brg2)
	ipc.control(66587,223)
	ipc.control(66587,8031)

	Bearing_DIAMOND_show ()
	
end

function Bearing_DIAMOND_minus ()
	
	efis_brg2 = ipc.readLvar("L:LeftBearingDiamondKnob")
	
	efis_brg2 = efis_brg2 - 1
	if efis_brg2 < 0 then efis_brg2 = 0 end 
	
	ipc.writeLvar("L:LeftBearingDiamondKnob", efis_brg2)
	ipc.control(66587,223)
	ipc.control(66587,8031)

	Bearing_DIAMOND_show ()
	
end

function Bearing_CIRCLE_show ()

	efis_brg1 = ipc.readLvar("L:LeftBearingCircleKnob")

	if efis_brg1 == 0 then
		DspShow("Brg1", "Off ", true)
	elseif efis_brg1 == 1 then
		DspShow("Brg1", "Vor1", true)
	elseif efis_brg1 == 2 then
		DspShow("Brg1", "Adf1", true)
	else
		DspShow("Brg1", "Lnav ", true)
	end

end

function Bearing_DIAMOND_show ()

	efis_brg2 = ipc.readLvar("L:LeftBearingDiamondKnob")

	if efis_brg2 == 0 then
		DspShow("Brg2", "Off ", true)
	elseif efis_brg2 == 1 then
		DspShow("Brg2", "Vor2", true)
	elseif efis_brg2 == 2 then
		DspShow("Brg2", "Adf2", true)
	else
		DspShow("Brg2", "Lnav", true)
	end

end


-- ## Lights/Signs controls ###################################

function Lights_CONSOLE_on ()

	ipc.control(66056)
	ipc.writeLvar("L:InstrConsolesLightSwitch", 1)
	ipc.writeLvar("L:InstrRoofLightSwitch", 1)
	ipc.writeLvar("L:InstrGlareshieldLightSwitch", 1)
	ipc.control(66587, 8031)

end

function Lights_CONSOLE_off ()

	ipc.control(66057)
	ipc.writeLvar("L:InstrConsolesLightSwitch", 0)
	ipc.writeLvar("L:InstrRoofLightSwitch", 0)
	ipc.writeLvar("L:InstrGlareshieldLightSwitch", 0)
	ipc.control(66587, 8031)

end

function Lights_CONSOLE_toggle ()

	if _t("console") then
	
		Lights_CONSOLE_on ()
	
	else
	
		Lights_CONSOLE_off ()
	
	end

end

function Flood_FLIGHTDECK_toggle ()

	ipc.control(66376)
	ipc.control(66587,8027)

end

function Flood_PANEL_on ()

	ipc.writeLvar("L:PanelFloodSW", 1)
	ipc.control(66587, 8029)

end

function Flood_PANEL_off ()

	ipc.writeLvar("L:PanelFloodSW", 0)
	ipc.control(66587, 8029)

end

function Flood_PANEL_toggle ()

	if _t("panel") then 
	
		Flood_PANEL_on ()
		
	else
	
		Flood_PANEL_off ()
		
	end

end

function Lights_BEACON_toggle ()

	ipc.control(66239)
	ipc.control(66587,8027)

end

function Lights_STROB_toggle ()

	ipc.control(65560)
	ipc.control(66587,8028)

end

function Lights_NAV_on ()

	ipc.writeLvar("L:NavLightSwitch", 2)
	ipc.control(66587, 8028)

end

function Lights_NAV_off ()

	ipc.writeLvar("L:NavLightSwitch", 1)
	ipc.control(66587, 8027)

end

function Lights_NAV_toggle ()

	LVarSet = "L:NavLightSwitch"
	val = 1
	val2 = 8027
	if ipc.readLvar(LVarSet) == 1 then
		val = 2
		val2 = 8028
	end

	ipc.writeLvar(LVarSet, val)
	ipc.control(66587, val2)

end

function Lights_LANDING_toggle ()

	ipc.control(65751)
	ipc.control(66587,8027)

end

function Lights_TAXI_toggle ()

	ipc.control(66240)
	ipc.control(66587,8028)

end

function Lights_CONSP_on ()

	ipc.writeLvar("L:ConspicLight", 1)
	ipc.control(66587, 8028)
	ipc.control(66377)

end

function Lights_CONSP_off ()

	ipc.writeLvar("L:ConspicLight", 0)
	ipc.control(66587, 8027)
	ipc.control(66377)

end

function Lights_CONSP_toggle ()

	LVarSet = "L:ConspicLight"
	val = 0
	val2 = 8027
	if ipc.readLvar(LVarSet) == 0 then
		val = 1
		val2 = 8028
	end

	ipc.writeLvar(LVarSet, val)
	ipc.control(66587, val2)
	ipc.control(66377)

end

function Lights_ICE_OBS_on ()

	ipc.writeLvar("IceOBSSwitch", 2)
	ipc.control(66587,8027)

end

function Lights_ICE_OBS_off ()

	ipc.writeLvar("IceOBSSwitch", 0)
	ipc.control(66587,8028)

end

function Sign_SEATBELTS_on ()

	ipc.writeLvar("L:FastenSeatbeltSigns", 1)
	ipc.control(66587, 8028)
	ipc.sleep(10)
	ipc.control(66587, 74)

end

function Sign_SEATBELTS_off ()

	ipc.writeLvar("L:FastenSeatbeltSigns", 0)
	ipc.control(66587, 8027)
	ipc.sleep(10)
	ipc.control(66587, 74)

end

function Sign_NOSMOKING_on ()

	ipc.writeLvar("L:NoSmokingSigns", 1)
	ipc.control(66587, 8028)
	ipc.sleep(10)
	ipc.control(66587, 74)

end

function Sign_NOSMOKING_off ()

	ipc.writeLvar("L:NoSmokingSigns", 0)
	ipc.control(66587, 8027)
	ipc.sleep(10)
	ipc.control(66587, 74)

end

function Sign_NOSMOKING_toggle ()

	if _t("nosmoking") then
	
		Sign_NOSMOKING_on ()
		
	else
	
		Sign_NOSMOKING_off ()
		
	end

end


-- ## De-Ice controls ###################################

function DeIce_WINDSHIELD_on ()

	ipc.writeLvar("LeftWSAntice", 2)
	ipc.writeLvar("RightWSAntice", 1)
	ipc.control(66587,8027)

end

function DeIce_WINDSHIELD_off ()

	ipc.writeLvar("LeftWSAntice", 1)
	ipc.writeLvar("RightWSAntice", 0)
	ipc.control(66587,8028)

end

function DeIce_AIRDATA_on ()

	ipc.writeLvar("LeftAirData", 1)
	ipc.writeLvar("RightAirData", 1)
	ipc.control(66587,8027)

end

function DeIce_AIRDATA_off ()

	ipc.writeLvar("LeftAirData", 0)
	ipc.writeLvar("RightAirData", 0)
	ipc.control(66587,8028)

end

function DeIce_PROP_SHORT_toggle ()

	val = 2
	SWvar = ipc.readLvar("LeftPropDeice")
	if SWvar == 0 then
		val = 1 
	end
	ipc.writeLvar("LeftPropDeice", val)
	ipc.writeLvar("RightPropDeice", val)
	ipc.control(66587,8027)

end

function DeIce_PROP_LONG_toggle ()

	val = 0
	SWvar = ipc.readLvar("LeftPropDeice")
	if SWvar == 2 then
		val = 1 
	end
	ipc.writeLvar("LeftPropDeice", val)
	ipc.writeLvar("RightPropDeice", val)
	ipc.control(66587,8027)

end

function DeIce_PROP_off ()

	ipc.writeLvar("LeftPropDeice", 1)
	ipc.writeLvar("RightPropDeice", 1)
	ipc.control(66587,8028)

end

function DeIce_CCT_CYCLE_toggle ()

	ipc.writeLvar("L:AutoAnticeCycle", 2)
	ipc.control(66587, 8028)

	ipc.sleep(400)
	ipc.writeLvar("L:AutoAnticeCycle", 1)
	ipc.control(66587, 8027)
	
end


-- ## Overhead controls ###################################

function Battery_LEFT_toggle ()

if _t("BatL") then
    JS41_Battery_left_on ()
else
    JS41_Battery_left_off ()
end

end

function Battery_RIGHT_toggle ()

if _t("BatR") then
    JS41_Battery_right_on ()
else
    JS41_Battery_right_off ()
end


end

function JS41_Battery_left_on ()

    ipc.writeLvar("L:LeftBatSwitch", 1)
	ipc.control(66587, 8028)

    if _MCP1() then
    DspShow("BatL", " on ")
    elseif _MCP2() then
    DspMed1("BattLeft")
    DspMed2("on")
    end

end

function JS41_Battery_right_on ()

    ipc.writeLvar("L:RightBatSwitch", 1)
	ipc.control(66587, 8028)

    if _MCP1() then
    DspShow("BatR", " on ")
    elseif _MCP2() then
    DspMed1("BattRght")
    DspMed2("on")
    end

end

function JS41_Battery_left_off ()

    ipc.writeLvar("L:LeftBatSwitch", 0)
	ipc.control(66587, 8028)

    if _MCP1() then
    DspShow("BatL", " off")
    elseif _MCP2() then
    DspMed1("BattLeft")
    DspMed2("off")
    end

end

function JS41_Battery_right_off ()

    ipc.writeLvar("L:RightBatSwitch", 0)
	ipc.control(66587, 8028)

    if _MCP1() then
    DspShow("BatR", " off")
    elseif _MCP2() then
    DspMed1("BattRght")
    DspMed2("off")
    end

end




function Battery_BOTH_on ()

    JS41_Battery_left_on ()
	_sleep(150, 400)
    JS41_Battery_right_on ()

end

function Battery_BOTH_off ()

    JS41_Battery_left_off ()
	_sleep(150, 400)
    JS41_Battery_right_off ()

end

function JS41_Avionics_left_on ()

	ipc.writeLvar("L:LeftAvionicsMaster", 1)
	ipc.control(66587, 8026)
	_sleep(150, 550)
	ipc.writeLvar("L:LeftAvionicsMasterGuard", 1)
	ipc.control(66587, 8028)
    _sleep(150, 550)

    if _MCP1() then
    DspShow("AviL", " on ")
    elseif _MCP2() then
    DspMed1("AvioLeft")
    DspMed2("on")
    end

end

function JS41_Avionics_right_on ()

	ipc.writeLvar("L:RightAvionicsMaster", 1)
	ipc.control(66587, 8026)
	_sleep(150, 550)
	ipc.writeLvar("L:RightAvionicsMasterGuard", 1)
	ipc.control(66587, 8028)
    _sleep(150, 550)

    if _MCP1() then
    DspShow("AviR", " on ")
    elseif _MCP2() then
    DspMed1("AvioRght")
    DspMed2("on")
    end

end

function JS41_Avionics_left_off ()

	ipc.writeLvar("L:LeftAvionicsMasterGuard", 0)
	ipc.control(66587, 8026)
	_sleep(350, 550)
	ipc.writeLvar("L:LeftAvionicsMaster", 0)
	ipc.control(66587, 8028)
    _sleep(350, 550)

    if _MCP1() then
    DspShow("AviL", " off")
    elseif _MCP2() then
    DspMed1("AvioLeft")
    DspMed2("off")
    end

end

function JS41_Avionics_right_off ()

	ipc.writeLvar("L:RightAvionicsMasterGuard", 0)
	ipc.control(66587, 8026)
	_sleep(350, 550)
	ipc.writeLvar("L:RightAvionicsMaster", 0)
	ipc.control(66587, 8028)
    _sleep(350, 550)

    if _MCP1() then
    DspShow("AviR", " off")
    elseif _MCP2() then
    DspMed1("AvioRght")
    DspMed2("off")
    end

end


function Avionics_LEFT_toggle ()

if _t("AvioL") then
    JS41_Avionics_left_on ()

else
    JS41_Avionics_left_off ()
end

end

function Avionics_RIGHT_toggle ()

if _t("AvioR") then
   JS41_Avionics_right_on ()
else
  JS41_Avionics_right_off ()
end


end

function Avionics_BOTH_on ()
   JS41_Avionics_left_on ()
   JS41_Avionics_right_on ()


end

function Avionics_BOTH_off ()

    JS41_Avionics_left_off ()
   JS41_Avionics_right_off ()

end

function Generator_LEFT_on ()

	ipc.writeLvar("L:LeftGenSwitch", 2)
	ipc.control(66587, 8027)

    if _MCP1() then
    DspShow("GenL", " on ")
    elseif _MCP2() then
    DspMed1("Gen left")
    DspMed2("on")
    end

end

function Generator_LEFT_off ()

	ipc.writeLvar("L:LeftGenSwitch", 1)
	ipc.control(66587, 8028)

    if _MCP1() then
    DspShow("GenL", " off")
    elseif _MCP2() then
    DspMed1("Gen left")
    DspMed2("off")
    end

end

function Generator_LEFT_toggle ()

if _t("GenL") then
    Generator_LEFT_on ()
else
    Generator_LEFT_off ()
end


end

function Generator_RIGHT_on ()

	ipc.writeLvar("L:RightGenSwitch", 2)
	ipc.control(66587, 8027)

    if _MCP1() then
    DspShow("GenR", " on ")
    elseif _MCP2() then
    DspMed1("GenRight")
    DspMed2("on")
    end

end

function Generator_RIGHT_off ()

	ipc.writeLvar("L:RightGenSwitch", 1)
	ipc.control(66587, 8028)

    if _MCP1() then
    DspShow("GenR", " off")
    elseif _MCP2() then
    DspMed1("GenRight")
    DspMed2("off")
    end

end

function Generator_RIGHT_toggle ()

if _t("GenR") then
    Generator_RIGHT_on ()
else
    Generator_RIGHT_off ()
end


end

function Pump_LEFT_on ()

	ipc.writeLvar("L:LeftStbyFuelPump", 1)
	ipc.control(66587, 8028)

    if _MCP1() then
    DspShow("Pump", "L on")
    elseif _MCP2() then
    DspMed1("F Pump L")
    DspMed2("on")
    end

end

function Pump_LEFT_off ()

	ipc.writeLvar("L:LeftStbyFuelPump", 0)
	ipc.control(66587, 8027)

    if _MCP1() then
    DspShow("Pump", "Loff")
    elseif _MCP2() then
    DspMed1("F Pump L")
    DspMed2("off")
    end

end

function Pump_RIGHT_on ()

	ipc.writeLvar("L:RightStbyFuelPump", 1)
	ipc.control(66587, 8028)

    if _MCP1() then
    DspShow("Pump", "R on")
    elseif _MCP2() then
    DspMed1("F Pump R")
    DspMed2("on")
    end

end

function Pump_RIGHT_off ()

	ipc.writeLvar("L:RightStbyFuelPump", 0)
	ipc.control(66587, 8027)

    if _MCP1() then
    DspShow("Pump", "Roff")
    elseif _MCP2() then
    DspMed1("F Pump R")
    DspMed2("off")
    end

end

function JS41_FuelPump_left_toggle ()

if _t("PumpL") then
    Pump_LEFT_on ()
else
    Pump_LEFT_off ()
end

end

function JS41_FuelPump_right_toggle ()

if _t("PumpR") then
    Pump_RIGHT_on ()
else
    Pump_RIGHT_off ()
end

end


function Prop_SYNC_toggle ()

	LVarSet = "L:PropSync"
	val = 0
	val2 = 8027
	if ipc.readLvar(LVarSet) == 0 then
		val = 1
		val2 = 8028
	end

	ipc.writeLvar(LVarSet, val)
	ipc.control(66587, val2)

end


-- ## Other systems ######################

function GroundSpoiler_on ()

	ipc.writeLvar("L:GrndSpoilersSwitch", 1)
	ipc.control(66587,8034)

    if _MCP1() then
    DspShow("Splr", " on ")
    elseif _MCP2() then
    DspMed1("GSpoiler")
    DspMed2("on")
    end

end

function GroundSpoiler_off ()

	ipc.writeLvar("L:GrndSpoilersSwitch", 0)
	ipc.control(66587,8034)

    if _MCP1() then
    DspShow("Splr", " off")
    elseif _MCP2() then
    DspMed1("GSpoiler")
    DspMed2("off")
    end

end

function GroundSpoiler_toggle ()

if _t("Spoiler") then
    GroundSpoiler_on ()
else
    GroundSpoiler_off ()
end


end

function AntiSkid_on ()

	ipc.writeLvar("L:AntiSkid", 1)
	ipc.control(66587,8029)

    if _MCP1() then
    DspShow("Skid", " on ")
    elseif _MCP2() then
    DspMed1("AntiSkid")
    DspMed2("on")
    end

end

function AntiSkid_off ()

	ipc.writeLvar("L:AntiSkid", 0)
	ipc.control(66587,8029)

    if _MCP1() then
    DspShow("Skid", " off")
    elseif _MCP2() then
    DspMed1("AntiSkid")
    DspMed2("off")
    end

end

function AntiSkid_toggle ()
if _t("AntiSkid") then
    AntiSkid_on ()
else
    AntiSkid_off ()
end


end

function Engine_1_unfeather ()

	ipc.writeLvar("L:UnFeather", -1)
	ipc.control(66587, 1420)
	ipc.control(66587, 8029) -- knob sound

    FeathLeftVar = round(ipc.readLvar("PropLeftPctFeather"))

    while FeathLeftVar > 0 do

    if _MCP1() then
    DspShow("LFth", FeathLeftVar .. "%")
    elseif _MCP2() then
    DspMed1("LFeather")
    DspMed2(FeathLeftVar .. "%")
    end
    FeathLeftVar = round(ipc.readLvar("PropLeftPctFeather"))
    end

    if _MCP1() then
    DspShow("LFth", FeathLeftVar .. "%")
    elseif _MCP2() then
    DspMed1("LFeather")
    DspMed2(FeathLeftVar .. "%")
    end
end

function Engine_2_unfeather ()

	ipc.writeLvar("L:UnFeather", 1)
	ipc.control(66587, 1421)
	ipc.control(66587, 8029) -- knob sound

    FeathRightVar = round(ipc.readLvar("PropRightPctFeather"))

    while FeathRightVar > 0 do
    if _MCP1() then
    DspShow("RFth", FeathRightVar .. "%")
    elseif _MCP2() then
    DspMed1("RFeather")
    DspMed2(FeathRightVar .. "%")
    end
    FeathRightVar = round(ipc.readLvar("PropRightPctFeather"))
    end
    if _MCP1() then
    DspShow("RFth", FeathRightVar .. "%")
    elseif _MCP2() then
    DspMed1("RFeather")
    DspMed2(FeathRightVar .. "%")
    end
end

function Engine_NO_unfeather ()

	ipc.writeLvar("L:UnFeather", 0)
	ipc.control(66587, 8029) -- knob sound

end

function JS41_GPU_on ()


	ipc.writeLvar("L:PowerCartVis", 1)
	ipc.sleep (300)
	ipc.writeLvar("L:GndPowerSwitch", 0)

	ipc.control(66587, 8027)


    DspShow("GPU", " on ")

end

function JS41_GPU_off ()

	ipc.writeLvar("L:GndPowerSwitch", 1)
	ipc.sleep (300)
	ipc.writeLvar("L:PowerCartVis", 0)

	ipc.control(66587, 8027)


    DspShow("GPU", " off")

end



function GPU_CART_toggle ()

if _t("GPU") then
    JS41_GPU_on ()
else
   JS41_GPU_off ()
end


end

function Engine_1_START_select ()

	ipc.writeLvar("L:StartMasterKnob", 0)
	DspShow("ENG1", "SEL", true)
	ipc.control(66587, 8029) -- knob sound
	
end

function Engine_2_START_select ()

	ipc.writeLvar("L:StartMasterKnob", 2)

	DspShow("ENG2", "SEL", true)
	ipc.control(66587, 8029) -- knob sound

end

function Engine_START_unselect ()

	ipc.writeLvar("L:StartMasterKnob", 1)

	DspShow("NO", "ENG")
	ipc.control(66587, 8029) -- knob sound

end

function Engine_SELECTED_start ()

	-- Feathering and starting left engine
    if ipc.readLvar("L:StartMasterKnob") == 0  then


        ipc.control(66587, 1420)
        ipc.control(66587, 8029) -- knob sound
        ipc.display("feathering left engine...")

        ipc.sleep(8000) -- waiting for feathering

        ipc.display("feathering left engine...\n Starting left engine")


        ipc.writeLvar("L:LeftStart", 1)

        ipc.writeLvar("L:StartOneToggle", 1)
        ipc.writeLvar("L:LeftStartCheck", 1)
        ipc.writeLvar("L:LeftStartTimer", 1)


    end

	-- Feathering and starting right engine
    if ipc.readLvar("L:StartMasterKnob") == 2  then


        ipc.control(66587, 1421)
        ipc.control(66587, 8029) -- knob sound
        ipc.display("feathering right engine...")

        ipc.sleep(8000) -- waiting for feathering

        ipc.display("feathering right engine...\n Starting right engine")


        ipc.writeLvar("L:RightStart", 1)

        ipc.writeLvar("L:StartTwoToggle", 1)
        ipc.writeLvar("L:RightStartCheck", 1)
        ipc.writeLvar("L:RightStartTimer", 1)

    end

	ipc.display("")

end

function Engine_SELECTED_stop ()

	-- right engine stop
	if ipc.readLvar("L:StartMasterKnob") == 2  then
	DspShow("ENG1", "STOP")
        -- Open the stop switch guard
        RSG = ipc.readLvar("L:RightEngStopSwitchGuard")
        
		if RSG == 0 then
			ipc.writeLvar("L:RightEngStopSwitchGuard", 1)
			ipc.control(66587, 8010)
        end

        -- Press the stop switch
        ipc.sleep(700)
        ipc.writeLvar("L:StopTwoToggle", 1)
        ipc.control(66587, 100001)

        ipc.control(66587, 8042)
        ipc.control(66587, 16)
        ipc.control(66301)

        ipc.control(66587, 100002)

        ipc.sleep(200)
        ipc.writeLvar("L:StopTwoToggle", 0)
        ipc.control(66587, 8042)

        -- Close the stop switch guard
        ipc.sleep(200)
        ipc.writeLvar ("L:RightEngStopSwitchGuard", 0)
        ipc.control (66587, 8010)

	DspShow("ENG1", "STOP")

    end

	-- left engine stop
    if ipc.readLvar("L:StartMasterKnob") == 0  then
	DspShow("ENG2", "STOP")
		-- Open the stop switch guard
        LSG = ipc.readLvar("L:LeftEngStopSwitchGuard")
        
		if LSG == 0 then
			ipc.writeLvar("L:LeftEngStopSwitchGuard", 1)
			ipc.control(66587, 8010)
        end

        -- Press the stop switch
        ipc.sleep(700)
        ipc.writeLvar("L:StopOneToggle", 1)
        ipc.control(66587, 100001)

        ipc.control(66587, 8042)
        ipc.control(66587, 15)
        ipc.control(66300)

        ipc.control(66587, 100002)

        ipc.sleep(200)
        ipc.writeLvar("L:StopOneToggle", 0)
        ipc.control(66587, 8042)

        -- Close the stop switch guard
        ipc.sleep(200)
        ipc.writeLvar ("L:LeftEngStopSwitchGuard", 0)
        ipc.control (66587, 8010)
	DspShow("ENG2", "STOP")
    end



end

function Engine_start ()

	-- starting left engine
    if ipc.readLvar("L:StartMasterKnob") == 0  then
	DspShow("ENG1", "STRT")
        ipc.writeLvar("L:LeftStart", 1)
        ipc.writeLvar("L:StartOneToggle", 1)
        ipc.writeLvar("L:LeftStartCheck", 1)
        ipc.writeLvar("L:LeftStartTimer", 1)
	DspShow("ENG1", "STRT")
	end

	-- starting right engine
	if ipc.readLvar("L:StartMasterKnob") == 2  then
	DspShow("ENG2", "STRT")
        ipc.writeLvar("L:RightStart", 1)
        ipc.writeLvar("L:StartTwoToggle", 1)
        ipc.writeLvar("L:RightStartCheck", 1)
        ipc.writeLvar("L:RightStartTimer", 1)
	DspShow("ENG2", "STRT")
	end

end

function GustLocks_toggle ()

	LVarSet = "L:GustLocks"
	val = 0

	if ipc.readLvar(LVarSet) == 0  then
		val = 1
	end

	ipc.writeLvar(LVarSet, val)
	ipc.control(66587, 141)

end


-- ## Alarms / Tests ######################

function Alarms_YELLOW_ATTENTION_get ()

	ipc.writeLvar("L:LeftAmberAtgetSwitch", 1)
	ipc.control(66587,2090)
	ipc.control(66587,8044)
	ipc.sleep(400)
	ipc.writeLvar("L:LeftAmberAtgetSwitch", 0)
	ipc.control(66587,2091)
	ipc.control(66587,8045)

end

function Alarms_WORNING_MUTE_toggle ()

	LVarSet = "L:CapMuted"
	val = 0

	if ipc.readLvar(LVarSet) == 0  then
		val = 1
	end

	ipc.writeLvar(LVarSet, val)
	ipc.control(66587, 8031)
	ipc.sleep(100)
	ipc.writeLvar("L:CapMuteSwitch", val)

	ipc.control(66587, 8031)

end

function Test_TOCW_on ()

	ipc.control(66587, 8021)        
	ipc.writeLvar("L:TocwTestSwitch", 1)
    DspShow("TOCW", "test")
end

function Test_TOCW_off ()

	ipc.control(66587, 8021)        
	ipc.writeLvar("L:TocwTestSwitch", 0)

end

function JS41_Transponder_show ()

    XPDR = ipc.readLvar("L:TCASModes")

        if XPDR == 0 then
        XPDRText = "OFF"
        elseif XPDR == 1 then
        XPDRText = "STBY"
        elseif XPDR == 2 then
        XPDRText = "TA"
        end

    if _MCP1() then
     DspShow("XPDR", XPDRText)

    elseif _MCP2() then
    DspRadioShort(XPDRText)
    end
end


function JS41_Transponder_inc ()


    XPDR = ipc.readLvar("L:TCASModes")
	XPDR = XPDR + 1
	if XPDR > 2 then XPDR = 2
    end

	ipc.writeLvar("L:TCASModes", XPDR)
	ipc.control(66587, 3180)
    JS41_Transponder_show ()
end

function JS41_Transponder_dec ()


    XPDR = ipc.readLvar("L:TCASModes")
	XPDR = XPDR - 1
	if XPDR < 0 then XPDR = 0 end

	ipc.writeLvar("L:TCASModes", XPDR)
	ipc.control(66587, 3180)
    JS41_Transponder_show ()
end



function Transponder_MODE_toggle ()

	tcas_mode = tcas_mode + 1
	
	if tcas_mode > 2 then tcas_mode = 0 end

	ipc.writeLvar("L:TCASModes", tcas_mode)
	ipc.control(66587, 3180)
	JS41_Transponder_show ()
end


-- ## Autopilot rotaries  ##

function HDG_plus ()

	ipc.control(66587,26902)
	ipc.control(66587,8031)

	HDG_show ()
	
end

function HDG_plusfast ()

	for n=1, fast_hdg, 1 do ipc.control(66587,26902) end
	ipc.control(66587,8031)

	HDG_show ()
	
end

function HDG_minus ()

	ipc.control(66587,26901)
	ipc.control(66587,8031)

	HDG_show ()
	
end

function HDG_minusfast ()

	for n=1, fast_hdg, 1 do ipc.control(66587,26901)end
	ipc.control(66587,8031)

	HDG_show ()
	
end

function HDG_show ()

	ipc.sleep(100) -- << waiting for FSX data update -- DO NOT DELETE!
		
	buffer = ipc.readLvar("L:HDGBug")
	DspHDG(buffer)

end


function ALT_plus ()

	Var = ipc.readLvar("IrcAltSelKnob")
	if Var > 100 then Var = 1 end
	ipc.writeLvar("IrcAltSelKnob", Var+1)

	ipc.control(66587,3921)
	ipc.control(66587,8031)

	ALT_show ()
	
end

function ALT_plusfast ()

	Var = ipc.readLvar("IrcAltSelKnob")
	if Var > 100 then Var = 1 end
	ipc.writeLvar("IrcAltSelKnob", Var+5)

	for n=1, fast_alt, 1 do ipc.control(66587,3921) end
	ipc.control(66587,8031)

	ALT_show ()
	
end
	
function ALT_minus ()

	Var = ipc.readLvar("IrcAltSelKnob")
	if Var < 1 then Var = 100 end
	ipc.writeLvar("IrcAltSelKnob", Var-1)

	ipc.control(66587,3920)
	ipc.control(66587,8031)

	ALT_show ()
	
end

function ALT_minusfast ()

	Var = ipc.readLvar("IrcAltSelKnob")
	if Var < 1 then Var = 100 end
	ipc.writeLvar("IrcAltSelKnob", Var-5)

	for n=1, fast_alt, 1 do ipc.control(66587,3920) end
	ipc.control(66587,8031)

	ALT_show ()
	
end

function ALT_show ()

	ipc.sleep(50) -- << waiting for FSX data update
	
	buffer = ipc.readLvar("L:AltSelAlt")/100
	if buffer < 0 then buffer = 0 end		
	DspALT(buffer)

end


function VVS_plus ()

	buffer = ipc.readLvar("L:VSIASTarget") + 100
	ipc.writeLvar("L:VSIASTarget", buffer)

	ipc.control(66587,1500)
	ipc.control(66587,8031)

	VVS_show ()

end
	
function VVS_minus ()

	buffer = ipc.readLvar("L:VSIASTarget") - 100
	ipc.writeLvar("L:VSIASTarget", buffer)

	ipc.control(66587,1501)
	ipc.control(66587,8031)

	VVS_show ()

end

function VVS_show ()

	VVSbuffer = ipc.readLvar("L:VSIASTarget")
	
	-- _log("AP VS " .. buffer)
	
	if VVSbuffer == 0 then
		line2 = " 000"
	elseif VVSbuffer > 0 then
		line2 = string.format("+%03d ", round(VVSbuffer/100)*10)
	else  
		line2 = string.format("-%03d ", round(VVSbuffer/100)*(-10))
	end

    if _MCP1() then
	DspShow(" VS ", line2, true)
	elseif _MCP2() then
    DspVVSs(line2)
    end

end


function SPD_plus ()

	ipc.control(66587,26802)
	ipc.control(66587,8031)
	
	if ias_bug == 1 then
	
		ias_v1 = ias_v1 + 1
		if ias_v1 > 400 then ias_v1 = 400 end
		
	elseif ias_bug == 2 then
	
		ias_vr = ias_vr + 1
		if ias_vr > 400 then ias_vr = 400 end
		
	elseif ias_bug == 3 then
	
		ias_v2 = ias_v2 + 1
		if ias_v2 > 400 then ias_v2 = 400 end
		
	elseif ias_bug == 4 then
	
		ias_vy = ias_vy + 1
		if ias_vy > 400 then ias_vy = 400 end
		
	end

	SPD_show ()

end

function SPD_plusfast ()

	for n=1, fast_ias, 1 do  ipc.control(66587,26802) end
	ipc.control(66587,8031)
	
	if ias_bug == 1 then
	
		ias_v1 = ias_v1 + fast_ias
		if ias_v1 > 400 then ias_v1 = 400 end
		
	elseif ias_bug == 2 then
	
		ias_vr = ias_vr + fast_ias
		if ias_vr > 400 then ias_vr = 400 end
		
	elseif ias_bug == 3 then
	
		ias_v2 = ias_v2 + fast_ias
		if ias_v2 > 400 then ias_v2 = 400 end
		
	elseif ias_bug == 4 then
	
		ias_vy = ias_vy + fast_ias
		if ias_vy > 400 then ias_vy = 400 end
		
	end
	
	SPD_show ()
	
end

function SPD_minus ()

	ipc.control(66587,26801)
	ipc.control(66587,8031)

	if ias_bug == 1 then
	
		ias_v1 = ias_v1 - 1
		if ias_v1 < 0 then ias_v1 = 0 end
		
	elseif ias_bug == 2 then
	
		ias_vr = ias_vr - 1
		if ias_vr < 0 then ias_vr = 0 end
		
	elseif ias_bug == 3 then
	
		ias_v2 = ias_v2 - 1
		if ias_v2 < 0 then ias_v2 = 0 end
		
	elseif ias_bug == 4 then
	
		ias_vy = ias_vy - 1
		if ias_vy < 0 then ias_vy = 0 end
		
	end

	SPD_show ()
	
end

function SPD_minusfast ()

	for n=1, fast_ias, 1 do ipc.control(66587,26801) end
	ipc.control(66587,8031)

	if ias_bug == 1 then
	
		ias_v1 = ias_v1 - fast_ias
		if ias_v1 < 0 then ias_v1 = 0 end
		
	elseif ias_bug == 2 then
	
		ias_vr = ias_vr - fast_ias
		if ias_vr < 0 then ias_vr = 0 end
		
	elseif ias_bug == 3 then
	
		ias_v2 = ias_v2 - fast_ias
		if ias_v2 < 0 then ias_v2 = 0 end
		
	elseif ias_bug == 4 then
	
		ias_vy = ias_vy - fast_ias
		if ias_vy < 0 then ias_vy = 0 end
		
	end

	SPD_show ()
	
end

function SPD_show ()
	
	if ias_bug == 1 then
	
		DspShow("V1  ", "    ")
		DspSPD(ias_v1)
		
	elseif ias_bug == 2 then
	
		DspShow("Vr  ", "    ")
		DspSPD(ias_vr)
		
	elseif ias_bug == 3 then
	
		DspShow("V2  ", "    ")
		DspSPD(ias_v2)
		
	elseif ias_bug == 4 then
	
		DspShow("Vyse", "    ")
		DspSPD(ias_vy)
		
	end	
end


function CRS_plus ()

	ipc.control(66587,26702)
	ipc.control(66587,8031)
	
	CRS_show ()

end

function CRS_plusfast ()

	for n=1, fast_crs, 1 do ipc.control(66587,26702) end
	ipc.control(66587,8031)
	
	CRS_show ()
	
end

function CRS_minus ()

	ipc.control(66587,26701)
	ipc.control(66587,8031)
	
	CRS_show ()
	
end

function CRS_minusfast ()

	for n=1, fast_crs, 1 do ipc.control(66587,26701) end
	ipc.control(66587,8031)

	CRS_show ()

end

function CRS_show ()
	
	ipc.sleep(140)
	buffer = ipc.readLvar("L:LeftCRS")
	DspShow("CRS ", DspNum(buffer), true)

end

-- ## EFIS rotaries ######

function DesicionHeight_plus ()

	ipc.control(66587,22111)
	
	if efis_dh_alt < 200 then 
		efis_dh_alt = efis_dh_alt + 5
	else
		efis_dh_alt = efis_dh_alt + 10
	end
	
	if efis_dh_alt > 990 then efis_dh_alt = 990 end
	
	DesicionHeight_show ()

end

function DesicionHeight_plusfast ()

	for n=1, fast_dh, 1 do 
		ipc.control(66587,22111) 
		if efis_dh_alt < 200 then 
			efis_dh_alt = efis_dh_alt + 5
		else
			efis_dh_alt = efis_dh_alt + 10
		end
	end

	if efis_dh_alt > 990 then efis_dh_alt = 990 end
		
	DesicionHeight_show ()	
	
end

function DesicionHeight_minus ()

	ipc.control(66587,22110)
	if efis_dh_alt <= 200 then 
		efis_dh_alt = efis_dh_alt - 5
	else
		efis_dh_alt = efis_dh_alt - 10
	end
	
	if efis_dh_alt < 5 then efis_dh_alt = 5 end
	
	DesicionHeight_show ()
	
end

function DesicionHeight_minusfast ()

	for n=1, fast_dh, 1 do 
		ipc.control(66587,22110) 
		if efis_dh_alt <= 200 then 
			efis_dh_alt = efis_dh_alt - 5
		else
			efis_dh_alt = efis_dh_alt - 10
		end
	end
	
	if efis_dh_alt < 5 then efis_dh_alt = 5 end

	DesicionHeight_show ()
	
end

function DesicionHeight_show ()

	if efis_dh_alt == 5 then
		DspShow(" DH ", " -- ", true)
	else
		DspShow(" DH ", string.format(" %03d", efis_dh_alt), true)
	end

end


function LandingElev_plus ()

	ipc.control(66587,1021)
	
	LandingElev_show ()

end

function LandingElev_plusfast ()

	for n=1, fast_elev, 1 do ipc.control(66587,1021) end
		
	LandingElev_show ()	
	
end

function LandingElev_minus ()

	ipc.control(66587,1020)
	
	LandingElev_show ()
	
end

function LandingElev_minusfast ()

	for n=1, fast_elev, 1 do ipc.control(66587,1020) end

	LandingElev_show ()
	
end

function LandingElev_show ()

	DspShow("Elev"," -- ", true)

end


function FlightmapZoom_plus ()
	
	ipc.control(66587,4930)
	ipc.control(66587,8031)

	FlightmapZoom_show ()

end

function FlightmapZoom_minus ()
	
	ipc.control(66587,4940)
	ipc.control(66587,8031)

	FlightmapZoom_show ()
	
end

function FlightmapZoom_show ()

	DspShow("Map ", "zoom", true)

end


function DisplaysBrightness_plus ()
	
	-- ADI plus
	buffer = ipc.readLvar("LeftAdiDimKnob")
	if buffer < 96 then buffer = buffer + 5 end
	-- ipc.control(66587,2210)
	ipc.sleep(5)
	ipc.control(66587,8031)
	ipc.writeLvar("LeftAdiDimKnob",buffer)
	
	-- HSI plus
	buffer = ipc.readLvar("LeftHsiDimKnob")
	if buffer < 95 then buffer = buffer + 5 end
	ipc.sleep(5)
	ipc.control(66587,8031)
	ipc.writeLvar("LeftHsiDimKnob",buffer)

	DisplaysBrightness_show ()

end

function DisplaysBrightness_minus ()
	
	-- ADI minus
	buffer = ipc.readLvar("LeftAdiDimKnob")
	if buffer > 5 then buffer = buffer - 5 end
	-- ipc.control(66587,2210)
	ipc.sleep(5)
	ipc.control(66587,8031)
	ipc.writeLvar("LeftAdiDimKnob",buffer)
	
	-- HSI minus
	buffer = ipc.readLvar("LeftHsiDimKnob")
	if buffer > 5 then buffer = buffer - 5 end
	-- ipc.control(66587,21907)
	ipc.sleep(5)
	ipc.control(66587,8031)
	ipc.writeLvar("LeftHsiDimKnob",buffer)

	DisplaysBrightness_show ()
	
end

function DisplaysBrightness_show ()

	DspShow("Disp", "dim ", true)

end


-- ## Macros ######

function JS41_Cold_and_Dark ()

ipc.sleep(1000)

ipc.display("Cold&Dark Sequence initiated...")
ipc.sleep(3000)

	questvar = ipc.ask("Captain, do you want to go cold&dark? (y / n)")

	if questvar == "y" then

ipc.display ("Please wait, going Cold and Dark!")
ipc.sleep(1000)
ipc.display ("Please wait, going Cold and Dark!\n Mute Button:")

-- MUTE button ON

    if ipc.readLvar("L:CapMuted") == 0 then
       ipc.writeLvar("L:CapMuteSwitch", 1)
       ipc.control(66587,8031)
       ipc.writeLvar("L:CapMuted", 1)
       ipc.sleep(200)
       ipc.writeLvar("L:CapMuteSwitch", 0)
       ipc.control(66587,8031)
    end

ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set")

ipc.sleep(200)



-- RIGHT Engine OFF

ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF:")

    -- Open the stop switch guard
    RSG = ipc.readLvar("L:RightEngStopSwitchGuard")
    if RSG == 0 then
       ipc.writeLvar("L:RightEngStopSwitchGuard", 1)
       ipc.control(66587, 8010)
    end

    -- Press the stop switch
    ipc.sleep(700)
    ipc.writeLvar("L:StopTwoToggle", 1)
    ipc.control(66587, 100001)

    ipc.control(66587, 8042)
    ipc.control(66587, 16)
    ipc.control(66301)

    ipc.control(66587, 100002)

    ipc.sleep(200)
    ipc.writeLvar("L:StopTwoToggle", 0)
    ipc.control(66587, 8042)

    -- Close the stop switch guard
    ipc.sleep(200)
    ipc.writeLvar ("L:RightEngStopSwitchGuard", 0)
    ipc.control (66587, 8010)

    -- Move the throttle to full reverse for start latch
    ipc.control (65972)
    for i = 1, 50 do
       ipc.control (65971)
    end
    ipc.sleep(5000)
    ipc.control (65972)

ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set")

ipc.sleep(200)

ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set\n LEFT Engine OFF:")


-- LEFT Engine OFF

    -- Open the stop switch guard
    LSG = ipc.readLvar("L:LeftEngStopSwitchGuard")
    if LSG == 0 then
       ipc.writeLvar("L:LeftEngStopSwitchGuard", 1)
       ipc.control(66587, 8010)
    end

    -- Press the stop switch
    ipc.sleep(700)
    ipc.writeLvar("L:StopOneToggle", 1)
    ipc.control(66587, 100001)

    ipc.control(66587, 8042)
    ipc.control(66587, 15)
    ipc.control(66300)

    ipc.control(66587, 100002)

    ipc.sleep(200)
    ipc.writeLvar("L:StopOneToggle", 0)
    ipc.control(66587, 8042)

    -- Close the stop switch guard
    ipc.sleep(200)
    ipc.writeLvar ("L:LeftEngStopSwitchGuard", 0)
    ipc.control (66587, 8010)

    -- Move the throttle to full reverse for start latch
    ipc.control (65967)
    for i = 1, 50 do
       ipc.control (65966)
    end
    ipc.sleep(5000)
    ipc.control (65967)


ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set\n LEFT Engine OFF: set")

ipc.sleep(200)

-- LEFT Generator Switch OFF

ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set\n LEFT Engine OFF: set\n Generator Switches:")


    LGen = ipc.readLvar("L:LeftGenSwitch")
    if LGen == 2 then
       ipc.writeLvar("L:LeftGenSwitch", 1)
       ipc.control(66587, 8027)
    end


ipc.sleep(200)

-- RIGHT Generator Switch OFF


    RGen = ipc.readLvar("L:RightGenSwitch")
    if RGen == 2 then
       ipc.writeLvar("L:RightGenSwitch", 1)
       ipc.control(66587, 8027)
    end

ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set\n LEFT Engine OFF: set\n Generator Switches: set")

ipc.sleep(200)

-- LEFT Battery Switch OFF

ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set\n LEFT Engine OFF: set\n Generator Switches: set\n Battery Switches:")

    LBat = ipc.readLvar("L:LeftBatSwitch")
    if LBat == 1 then
       ipc.writeLvar("L:LeftBatSwitch", 0)
       ipc.control(66587, 8028)
    end

ipc.sleep(200)

-- Right Battery Switch OFF

    RBat = ipc.readLvar("L:RightBatSwitch")
    if RBat == 1 then
       ipc.writeLvar("L:RightBatSwitch", 0)
       ipc.control(66587, 8028)
    end

ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set\n LEFT Engine OFF: set\n Generator Switches: set\n Battery Switches: set")

ipc.sleep(200)

-- Left Avionics Switch OFF

ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set\n LEFT Engine OFF: set\n Generator Switches: set\n Battery Switches: set\n Avionic Switches:")

    LAvM = ipc.readLvar("L:LeftAvionicsMaster")
    if LAvM == 1 then
       ipc.writeLvar("L:LeftAvionicsMasterGuard", 0)
       ipc.control(66587, 8026)
       ipc.sleep(500)
       ipc.writeLvar("L:LeftAvionicsMaster", 0)
       ipc.control(66587, 8027)
    end

ipc.sleep(200)

-- RIGHT Avionics Switch OFF

    RAvM = ipc.readLvar("L:RightAvionicsMaster")
    if RAvM == 1 then
       ipc.writeLvar("L:RightAvionicsMasterGuard", 0)
       ipc.control(66587, 8026)
       ipc.sleep(500)
       ipc.writeLvar("L:RightAvionicsMaster", 0)
       ipc.control(66587, 8027)
    end

ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set\n LEFT Engine OFF: set\n Generator Switches: set\n Battery Switches: set\n Avionic Switches: set")

ipc.sleep(100)

-- LEFT Fuel Pump Switch OFF

ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set\n LEFT Engine OFF: set\n Generator Switches: set\n Battery Switches: set\n Avionic Switches: set\n Fuel Pump Switches:")

    LFuel = ipc.readLvar("L:LeftStbyFuelPump")
    if LFuel == 1 then
       ipc.writeLvar("L:LeftStbyFuelPump", 0)
       ipc.control(66587, 8027)
    end

ipc.sleep(250)

-- RIGHT Fuel Pump Switch OFF

    RFuel = ipc.readLvar("L:RightStbyFuelPump")
    if RFuel == 1 then
       ipc.writeLvar("L:RightStbyFuelPump", 0)
       ipc.control(66587, 8027)
    end

ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set\n LEFT Engine OFF: set\n Generator Switches: set\n Battery Switches: set\n Avionic Switches: set\n Fuel Pump Switches: set")


ipc.sleep(200)



-- DC Power Source Knob OFF

    DCP = ipc.readLvar("L:DCPowerSourceKnob")
    if DCP >= 1 then
       ipc.writeLvar("L:DCPowerSourceKnob", 0)
       ipc.control(66587, 8039)
    end

ipc.sleep(200)


-- Beacon OFF

ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set\n LEFT Engine OFF: set\n Generator Switches: set\n Battery Switches: set\n Avionic Switches: set\n Fuel Pump Switches: set\n Lights and signs:")

   BCN = logic.And(ipc.readUW(0x0D0C), 0x2)
   if BCN ~= 0 then
      ipc.control(66239)
      ipc.control(66587,8027)
   end

ipc.sleep(200)


-- NAV Lights OFF
	
	ipc.writeLvar("L:NavLightSwitch", 1)
	ipc.control(66587, 8028)



ipc.sleep(300)


-- Console lights OFF

	ipc.control(66057)
	ipc.writeLvar("L:InstrConsolesLightSwitch", 0)
	ipc.writeLvar("L:InstrRoofLightSwitch", 0)
	ipc.writeLvar("L:InstrGlareshieldLightSwitch", 0)
	ipc.control(66587, 8031)



ipc.sleep(200)


-- Seatbelt off

ipc.writeLvar("L:FastenSeatbeltSigns", 0)
        ipc.control(66587, 8028)
	ipc.sleep(10)
        ipc.control(66587, 74)


ipc.sleep(200)


-- no skmoking off

ipc.writeLvar("L:NoSmokingSigns", 0)
        ipc.control(66587, 8028)
	ipc.sleep(10)
        ipc.control(66587, 74)



ipc.sleep(250)


-- Left Windshield Antiice OFF

   LWS = ipc.readLvar("L:LeftWSAntice")
   if (LWS == 2 or LWS == 0) then
      ipc.writeLvar("L:LeftWSAntice",1)
      ipc.control(66587,8027)
   end

ipc.sleep(200)


-- Right Windshield Antiice OFF

   RWS = ipc.readLvar("L:RightWSAntice")
   if RWS == 1 then
      ipc.writeLvar("L:RightWSAntice",0)
      ipc.control(66587,8027)
   end

ipc.sleep(200)


-- Left Air Data OFF

   LAD = ipc.readLvar("L:LeftAirData")

   if LAD == 1 then
      ipc.writeLvar("L:LeftAirData",0)
      ipc.control(66587,8027)
   end

ipc.sleep(150)



-- Right Air Data OFF

   RAD = ipc.readLvar("L:RightAirData")

   if RAD == 1 then
      ipc.writeLvar("L:RightAirData",0)
      ipc.control(66587,8027)
   end

ipc.sleep(200)


-- prop sync switch OFF

    ipc.writeLvar("L:PropSync", 0)
	ipc.control(66587, 8027)


ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set\n LEFT Engine OFF: set\n Generator Switches: set\n Battery Switches: set\n Avionic Switches: set\n Fuel Pump Switches: set\n Lights and signs: set")

ipc.sleep(200)




-- Move Yokes to Lower Position

ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set\n LEFT Engine OFF: set\n Generator Switches: set\n Battery Switches: set\n Avionic Switches: set\n Fuel Pump Switches: set\n Lights and signs: set\n Move Yokes:")

   ipc.writeLvar("L:CPYokeUpDown", 1)
   ipc.writeLvar("L:PICYokeUpDown", 1)

ipc.sleep(200)

ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set\n LEFT Engine OFF: set\n Generator Switches: set\n Battery Switches: set\n Avionic Switches: set\n Fuel Pump Switches: set\n Lights and signs: set\n Move Yokes: set")

ipc.sleep(200)


ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set\n LEFT Engine OFF: set\n Generator Switches: set\n Battery Switches: set\n Avionic Switches: set\n Fuel Pump Switches: set\n Lights and signs: set\n Move Yokes: set\n Gust Locks:")

-- Gust Locks
ipc.writeLvar("L:GustLocks", 1)
ipc.control(66587, 141)

ipc.sleep(200)


ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set\n LEFT Engine OFF: set\n Generator Switches: set\n Battery Switches: set\n Avionic Switches: set\n Fuel Pump Switches: set\n Lights and signs: set\n Move Yokes: set\n Gust Locks: set")

ipc.sleep(200)


ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set\n LEFT Engine OFF: set\n Generator Switches: set\n Battery Switches: set\n Avionic Switches: set\n Fuel Pump Switches: set\n Lights and signs: set\n Move Yokes: set\n Gust Locks: set\n Condition levers:")

-- Condition levers taxi
ipc.control(66291, -16384)

ipc.sleep(200)

ipc.display ("Please wait, going Cold and Dark!\n Mute Button: set\n RIGHT engine OFF: set\n LEFT Engine OFF: set\n Generator Switches: set\n Battery Switches: set\n Avionic Switches: set\n Fuel Pump Switches: set\n Lights and signs: set\n Move Yokes: set\n Gust Locks: set\n Condition levers: taxi")

ipc.sleep(500)


ipc.display("cold & dark READY!\n Thanks for your patience, Captain!")
ipc.sleep(2500)
ipc.display ("")



	

	elseif questvar ~= "y" then

	ipc.display("Ok, was just a question, Sir!\nHave a nice day...")
	
	ipc.sleep(3000)

	end


ipc.display("")


end


-- ## System functions ## 

-- Initial info on MCP display
function InitDsp ()

	buffer = ipc.readLvar("L:AltSelAlt")/100
	DspALT(buffer)

	DspSPD(ias_v1)

	buffer = ipc.readLvar("L:HDGBug")
	DspHDG(buffer)
	
	DspShow("V1  ", "    ")

end

-- Initial variables
function InitVars ()

	-- Tuning fast rotation speeds
	fast_alt = 10 -- << increment value when rotary in fast mode 
	fast_hdg = 10 
	fast_crs = 10
	fast_ias = 10
	fast_dh = 5      -- << Decision height
	
	fast_elev = 10	 -- << Landing Elevation


	-- Setting initial varibles values
	prev_mask = 0
	prev_num = 0
	efis_brg1 = ipc.readLvar("L:LeftBearingCircleKnob")
	efis_brg2 = ipc.readLvar("L:LeftBearingDiamondKnob")
	efis_dh_alt = 5
	dim = 0 -- << Brightness / BRG toggle
	mins = 1 -- << MINS / Landing Elev toggle
	brg = 1 -- << BRG1 / BRG2 toggle
	zoom = 0 -- << Dim / Zoom toggle
	ias_bug = 1

	ias_v1 = ipc.readLvar("L:IASBug")
	ias_vr = 45
	ias_v2 = 50
	ias_vy = 55
	
	tcas_mode = 0


--	JS41_StartUp ()

end






