-- Weather functions

function weather_OAT_inCelsius ()

	OATval = ipc.readUW("0E8C")/256

    if OATval > 100 then
    OATval = OATval-256
    end

	DspShow ("OAT", round(OATval) .. 'C')

end


function weather_OAT_inFahrenheit ()

	OATval = ipc.readUW("0E8C")/256

    if OATval > 100 then
    OATval = (((OATval-256)*9)/5)+32
    end

	DspShow ("OAT", round(OATval) .. 'F')

end

function MCP2weather_OAT_Wind_inCelsius ()

	OATval = ipc.readUW("0E8C")/256
    WINDval = ipc.readUW("0E90")
    WindDir = round(ipc.readUW("0E92")*360/65536)

    if OATval > 100 then
    OATval = OATval-256
    end
    DspMed1("OAT WIND")
	DspMed2 (round(OATval) .. 'C  ' .. WINDval ..'kt')

    ipc.sleep(1500)

    DspMed1("MAG WIND")
	DspMed2 (WindDir.. '  ' .. WINDval ..'kt')

end

function MCP2weather_OAT_Wind_inFahrenheit ()

	OATval = ipc.readUW("0E8C")/256
    WINDval = ipc.readUW("0E90")
    WindDir = round(ipc.readUW("0E92")*360/65536)

    if OATval > 100 then
    OATval = (((OATval-256)*9)/5)+32
    end
    DspMed1("OAT WIND")
	DspMed2 (round(OATval) .. 'F ' .. WINDval ..'kt')

    ipc.sleep(1500)

    DspMed1("MAG WIND")
	DspMed2 (WindDir.. '  ' .. WINDval ..'kt')
end





