-- A2A B17    1.2

-- ## System functions ##

function InitVars ()

	-- uncomment to disable display
	 AutopilotDisplayBlocked ()

function Timer ()

    if _MCP2() then

	Cval1 = math.floor(ipc.readLvar("L:CowlFlap1"))
	Cval2 = math.floor(ipc.readLvar("L:CowlFlap2"))
	Cval3 = math.floor(ipc.readLvar("L:CowlFlap3"))
	Cval4 = math.floor(ipc.readLvar("L:CowlFlap4"))

    if Cval1 >= Cval2 and Cval1 >= Cval3 and Cval1 >= Cval4 then
    Ctext = Cval1
    CNum = 1
    elseif Cval2 >= Cval1 and Cval2 >= Cval3 and Cval2 >= Cval4 then
    Ctext = Cval2
    CNum = 2
    elseif Cval3 >= Cval1 and Cval3 >= Cval2 and Cval3 >= Cval4 then
    Ctext = Cval3
    CNum = 3
    elseif Cval4 >= Cval1 and Cval4 >= Cval2 and Cval4 >= Cval3 then
    Ctext = Cval4
    CNum = 4
    end

    ICval1 = math.floor(ipc.readLvar("L:Eng1_IntercoolerFlap"))
    ICval2 = math.floor(ipc.readLvar("L:Eng2_IntercoolerFlap"))
    ICval3 = math.floor(ipc.readLvar("L:Eng3_IntercoolerFlap"))
    ICval4 = math.floor(ipc.readLvar("L:Eng4_IntercoolerFlap"))

    if ICval1 >= ICval2 and ICval1 >= ICval3 and ICval1 >= ICval4 then
    ICtext = ICval1
    ICNum = 1
    elseif ICval2 >= ICval1 and ICval2 >= ICval3 and ICval2 >= ICval4 then
    ICtext = ICval2
    ICNum = 2
    elseif ICval3 >= ICval1 and ICval3 >= ICval2 and ICval3 >= ICval4 then
    ICtext = ICval3
    ICNum = 3
    elseif ICval4 >= ICval1 and ICval4 >= ICval2 and ICval4 >= ICval3 then
    ICtext = ICval4
    ICNum = 4
    end

    FLIGHT_INFO1 = 'IC' .. ICNum .. ' CF' .. CNum

    FLIGHT_INFO2 = ICtext .. '% ' .. Ctext .. '%'

    end

    HydrPumpActive = ipc.readLvar("L:HydraulicPump1On")
    if HydrPumpActive == 1 then
    HydrVar = math.floor(ipc.readLvar("L:HydraulicPressure"))

        if _MCP1 () then
        DspShow("HyPr", HydrVar)
        elseif _MCP2 () then
        DspMed1("Hyd.Prss")
        DspMed2(HydrVar .. " Psi")
        end
    end
end


end

-- ## Electrics #####################################

function B17_Battery1_on ()

   	ipc.writeLvar("L:Battery1Switch", 1)
    DspShow("Batt", "1 on")

end

function B17_Battery2_on ()

   	ipc.writeLvar("L:Battery2Switch", 1)
    DspShow("Batt", "2 on")

end

function B17_Battery3_on ()

	ipc.writeLvar("L:Battery3Switch", 1)
    DspShow("Batt", "3 on")

end

function B17_Batteries_all_on ()

    B17_Battery1_on ()
	_sleep(200, 500)

    B17_Battery2_on ()
	_sleep(200, 500)

    B17_Battery3_on ()
end

function B17_Battery1_off ()

	ipc.writeLvar("L:Battery1Switch", 0)
    DspShow("Batt", "1off")
end

function B17_Battery2_off ()

	ipc.writeLvar("L:Battery2Switch", 0)
    DspShow("Batt", "2off")
end

function B17_Battery3_off ()

	ipc.writeLvar("L:Battery3Switch", 0)
    DspShow("Batt", "3off")
end


function B17_Batteries_all_off ()

    B17_Battery1_off ()
	_sleep(200, 500)

    B17_Battery2_off ()
	_sleep(200, 500)

    B17_Battery3_off ()
end



function B17_MasterIgnition_on ()

	ipc.writeLvar("L:MasterIgnitionSwitch", 1)
    DspShow(" Ign", " on ")
end

function B17_MasterIgnition_off ()

	ipc.writeLvar("L:MasterIgnitionSwitch", 0)
    DspShow(" Ign", " off")
end

function B17_APU_on ()

    ipc.writeLvar("L:APUSwitch", 1)
    DspShow(" APU", " on ")
end

function B17_APU_off ()

    ipc.writeLvar("L:APUSwitch", 0)
    DspShow(" APU", " off")
end

function B17_APU_toggle ()

    if _t("APU") then
    B17_APU_on ()
    else
    B17_APU_off ()
    end
end

function B17_Generator1_on ()
    ipc.writeLvar("L:Eng1_GeneratorSwitch", 1)
    DspShow(" Gen", "1 on")
end

function B17_Generator2_on ()
    ipc.writeLvar("L:Eng2_GeneratorSwitch", 1)
    DspShow(" Gen", "2 on")
end

function B17_Generator3_on ()
    ipc.writeLvar("L:Eng3_GeneratorSwitch", 1)
    DspShow(" Gen", "3 on")
end

function B17_Generator4_on ()
    ipc.writeLvar("L:Eng4_GeneratorSwitch", 1)
    DspShow(" Gen", "4 on")
end




function B17_GeneratorsAll_on ()

    B17_Generator1_on ()
	_sleep(200, 500)
    B17_Generator4_on ()
	_sleep(200, 500)
    B17_Generator2_on ()
	_sleep(200, 500)
    B17_Generator3_on ()

end

function B17_Generator1_off ()
    ipc.writeLvar("L:Eng1_GeneratorSwitch", 0)
    DspShow(" Gen", "1off")
end

function B17_Generator2_off ()
    ipc.writeLvar("L:Eng2_GeneratorSwitch", 0)
    DspShow(" Gen", "2off")
end

function B17_Generator3_off ()
    ipc.writeLvar("L:Eng3_GeneratorSwitch", 0)
    DspShow(" Gen", "3off")
end

function B17_Generator4_off ()
    ipc.writeLvar("L:Eng4_GeneratorSwitch", 0)
    DspShow(" Gen", "4off")
end

function B17_GeneratorsAll_off ()

    B17_Generator1_off ()
	_sleep(200, 500)
    B17_Generator4_off ()
	_sleep(200, 500)
    B17_Generator2_off ()
	_sleep(200, 500)
    B17_Generator3_off ()

end

function B17_Inverter_on ()


	ipc.writeLvar("L:InverterSwitch", 0)
    DspShow(" Inv", " on ")
end

function B17_Inverter_off ()


	ipc.writeLvar("L:InverterSwitch", 1)
    DspShow(" Inv", " off")



end


-- ## Engine start #####################################


function B17_Auto_Primer ()
-- Primer with auto selection

Tvar = ipc.readLvar("L:EngineSelection")


if Tvar == 1 then PVar = 1
end
if Tvar == 2 then PVar = 2
end
if Tvar == 4 then PVar = 3
end
if Tvar == 8 then PVar = 4
end
if Tvar == 15 then Pvar = 0
end

PrimVar = PVar

ipc.writeLvar("L:PrimerSel", PVar)
DspShow("Prim", 'Eng' .. tostring(PrimVar))
ipc.sleep(500)
ipc.writeLvar("L:PrimerOn", 1)

end



function B17_EngineSelection_Eng1 ()

ipc.writeLvar("L:EngineSelection", 1)
DspShow(" ENG", "  1 ")
end

function B17_EngineSelection_Eng2 ()

ipc.writeLvar("L:EngineSelection", 2)
DspShow(" ENG", "  2 ")
end

function B17_EngineSelection_Eng3 ()

ipc.writeLvar("L:EngineSelection", 4)
DspShow(" ENG", "  3 ")
end

function B17_EngineSelection_Eng4 ()

ipc.writeLvar("L:EngineSelection", 8)
DspShow(" ENG", "  4 ")
end

function B17_EngineSelection_all ()

ipc.writeLvar("L:EngineSelection", 15)
DspShow(" ENG", " all")
end

function B17_EngineStart_stop ()
    ipc.writeLvar("L:Starter12Start", 1)
    ipc.writeLvar("L:Starter34Start", 1)
    DspMed1("")
    DspShow("stop", "")
    end

function B17_Selected_Engine_Start ()
-- Starting the selected engine

Tvar = ipc.readLvar("L:EngineSelection")


if Tvar == 1 then SVar = 1
end
if Tvar == 2 then SVar = 2
end
if Tvar == 4 then SVar = 3
end
if Tvar == 8 then SVar = 4
end
if Tvar == 15 then Svar = 0
end

    if SVar == 1 then
    ipc.writeLvar("L:Starter12Start", 0)
    elseif SVar == 2 then
    ipc.writeLvar("L:Starter12Start", 2)
    elseif SVar == 3 then
    ipc.writeLvar("L:Starter34Start", 2)
    elseif SVar == 4 then
    ipc.writeLvar("L:Starter34Start", 0)
    elseif SVar == 0 then
    end


    Inert = round(ipc.readLvar("L:StarterInertiaSoundVolume")/2.5)
    if _MCP1 () then
    DspShow("Inrt", Inert .."%")
    elseif _MCP2 () then
    DspMed1("InrtStrt")
    DspMed2(" " .. Inert .."%")
    end

end


function B17_EngineMesh_stop ()
    ipc.writeLvar("L:Starter12Mesh", 1)
    ipc.writeLvar("L:Starter34Mesh", 1)
    DspMed1("")
    DspShow("stop", "")
    end

function B17_Selected_Engine_Mesh ()
-- Mesh the selected engine

Tvar = ipc.readLvar("L:EngineSelection")


if Tvar == 1 then SVar = 1
end
if Tvar == 2 then SVar = 2
end
if Tvar == 4 then SVar = 3
end
if Tvar == 8 then SVar = 4
end
if Tvar == 15 then Svar = 0
end

    if SVar == 1 then
    ipc.writeLvar("L:Starter12Mesh", 0)
    elseif SVar == 2 then
    ipc.writeLvar("L:Starter12Mesh", 2)
    elseif SVar == 3 then
    ipc.writeLvar("L:Starter34Mesh", 2)
    elseif SVar == 4 then
    ipc.writeLvar("L:Starter34Mesh", 0)
    elseif SVar == 0 then
    end
    DspShow("Mesh", " " .. SVar .. " ")
end

-- ## Fuel #####################################

function B17_FuelValvesSafe_on ()

    ipc.writeLvar("L:FuelValvesSafe", 1)
end

function B17_FuelValvesSafe_off ()

    if ipc.readLvar("L:Eng1FuelCutOffSwitch", 0) == 0 and
    ipc.readLvar("L:Eng2FuelCutOffSwitch", 0) == 0 and
    ipc.readLvar("L:Eng3FuelCutOffSwitch", 0) == 0 and
    ipc.readLvar("L:Eng4FuelCutOffSwitch", 0) == 0
    then
    ipc.writeLvar("L:FuelValvesSafe", 0)
    end
end



function B17_FuelValve1_on ()

    B17_FuelValvesSafe_on ()
    _sleep(200, 500)
    ipc.writeLvar("L:Eng1FuelCutOffSwitch", 1)
    DspShow("Fuel", "1 on")
end

function B17_FuelValve2_on ()

    B17_FuelValvesSafe_on ()
    _sleep(200, 500)
    ipc.writeLvar("L:Eng2FuelCutOffSwitch", 1)
    DspShow("Fuel", "2 on")
end

function B17_FuelValve3_on ()

    B17_FuelValvesSafe_on ()
    _sleep(200, 500)
    ipc.writeLvar("L:Eng3FuelCutOffSwitch", 1)
    DspShow("Fuel", "3 on")
end

function B17_FuelValve4_on ()

    B17_FuelValvesSafe_on ()
    _sleep(200, 500)
    ipc.writeLvar("L:Eng4FuelCutOffSwitch", 1)
    DspShow("Fuel", "4 on")
end


function B17_Fuel_Valves_on ()
    B17_FuelValve1_on ()
    B17_FuelValve2_on ()
    B17_FuelValve3_on ()
    B17_FuelValve4_on ()
end

function B17_FuelValve1_off ()

    ipc.writeLvar("L:Eng1FuelCutOffSwitch", 0)
    DspShow("Fuel", "4off")
    _sleep(200, 500)
    B17_FuelValvesSafe_off ()
end

function B17_FuelValve2_off ()

    ipc.writeLvar("L:Eng2FuelCutOffSwitch", 0)
    DspShow("Fuel", "2off")
    _sleep(200, 500)
    B17_FuelValvesSafe_off ()
end

function B17_FuelValve3_off ()

    ipc.writeLvar("L:Eng3FuelCutOffSwitch", 0)
    DspShow("Fuel", "3off")
    _sleep(200, 500)
    B17_FuelValvesSafe_off ()
end

function B17_FuelValve4_off ()

    ipc.writeLvar("L:Eng4FuelCutOffSwitch", 0)
    DspShow("Fuel", "4off")
    _sleep(200, 500)
    B17_FuelValvesSafe_off ()
end


function B17_Fuel_Valves_off ()

    B17_FuelValve1_off ()
    B17_FuelValve2_off ()
    B17_FuelValve3_off ()
    B17_FuelValve4_off ()
end

function B17_FuelPump1_toggle ()

	ipc.control(66340)
    DspShow("Pump", "  1 ")
end

function B17_FuelPump2_toggle ()

	ipc.control(66341)
    DspShow("Pump", "  2 ")
end

function B17_FuelPump3_toggle ()

	ipc.control(66342)
    DspShow("Pump", "  3 ")
end

function B17_FuelPump4_toggle ()

	ipc.control(66343)
    DspShow("Pump", "  4 ")
end


function B17_FuelPumpsAll_toggle ()
    B17_FuelPump1_toggle ()
	_sleep(200, 500)
    B17_FuelPump2_toggle ()
	_sleep(200, 500)
    B17_FuelPump3_toggle ()
	_sleep(200, 500)
    B17_FuelPump4_toggle ()
end


function B17_Mixture1_inc ()

	i = ipc.readLvar("L:MixtureRatioLever1Position")

	if i < 3 then
	ipc.writeLvar("L:MixtureRatioLever1Position", i+1)
	ipc.sleep(10)

	end

	if i == 3 then
	ipc.writeLvar("L:MixtureRatioLever1Position", 3)

	end
end


function B17_Mixture1_dec ()

	i = ipc.readLvar("L:MixtureRatioLever1Position")

	if i > 0 then
	ipc.writeLvar("L:MixtureRatioLever1Position", i-1)
	ipc.sleep(10)

	end

	if i == 0 then
	ipc.writeLvar("L:MixtureRatioLever1Position", 0)

	end
end


-----------------------------------------------------


function B17_Mixture2_inc ()

	i = ipc.readLvar("L:MixtureRatioLever2Position")

	if i < 3 then
	ipc.writeLvar("L:MixtureRatioLever2Position", i+1)
	ipc.sleep(10)

	end

	if i == 3 then
	ipc.writeLvar("L:MixtureRatioLever2Position", 3)

	end
end


function B17_Mixture2_dec ()

	i = ipc.readLvar("L:MixtureRatioLever2Position")

	if i > 0 then
	ipc.writeLvar("L:MixtureRatioLever2Position", i-1)
	ipc.sleep(10)

	end

	if i == 0 then
	ipc.writeLvar("L:MixtureRatioLever2Position", 0)

	end
end

-----------------------------------------------------


function B17_Mixture3_inc ()

	i = ipc.readLvar("L:MixtureRatioLever3Position")

	if i < 3 then
	ipc.writeLvar("L:MixtureRatioLever3Position", i+1)
	ipc.sleep(10)

	end

	if i == 3 then
	ipc.writeLvar("L:MixtureRatioLever3Position", 3)

	end
end


function B17_Mixture3_dec ()

	i = ipc.readLvar("L:MixtureRatioLever3Position")

	if i > 0 then
	ipc.writeLvar("L:MixtureRatioLever3Position", i-1)
	ipc.sleep(10)

	end

	if i == 0 then
	ipc.writeLvar("L:MixtureRatioLever3Position", 0)

	end
end

-----------------------------------------------------


function B17_Mixture4_inc ()

	i = ipc.readLvar("L:MixtureRatioLever4Position")

	if i < 3 then
	ipc.writeLvar("L:MixtureRatioLever4Position", i+1)
	ipc.sleep(10)

	end

	if i == 3 then
	ipc.writeLvar("L:MixtureRatioLever4Position", 3)

	end
end


function B17_Mixture4_dec ()

	i = ipc.readLvar("L:MixtureRatioLever4Position")

	if i > 0 then
	ipc.writeLvar("L:MixtureRatioLever4Position", i-1)
	ipc.sleep(10)

	end

	if i == 0 then
	ipc.writeLvar("L:MixtureRatioLever4Position", 0)

	end
end


-- ## Lights #####################################



function B17_lights_Panel_on ()

	ipc.writeLvar("L:InstrumentLightKnob1State", 2)
    DspShow("Panl", " on ")
end


function B17_lights_Panel_off ()

	ipc.writeLvar("L:InstrumentLightKnob1State", 0)
    DspShow("Panl", " off")
end


function B17_lights_PanelUV_on ()

	ipc.writeLvar("L:InstrumentLightKnob1State", 1)
    DspShow(" UV ", " on ")
end

function B17_lights_PanelUV_off ()

	ipc.writeLvar("L:InstrumentLightKnob1State", 0)
    DspShow(" UV ", " off")
end


function B17_lights_Landing_on ()

	ipc.control(66059)
    DspShow("LLgt", " on ")
end

function B17_lights_Landing_off ()

	ipc.control(66060)
    DspShow("LLgt", " off")
end

function B17_lights_BCN_toggle ()

	ipc.control(66239)
    DspShow("BCN", "")
end

function B17_lights_Strobe_on ()

	ipc.control(66052)
    DspShow("Strb", " on ")
end

function B17_lights_Strobe_off ()

	ipc.control(66053)
    DspShow("Strb", " off")
end



function B17_lights_NAV_toggle ()

	ipc.control(66379)
    DspShow("NAV ", "")
end



-- ## Other #####################################

function B17_GunnerOnStation ()


    ipc.writeLvar("L:TurretsON", 1)
end


function B17_GunnerOFFStation ()


    ipc.writeLvar("L:TurretsON", 0)
end


function B17_AlarmBell_on ()


    ipc.writeLvar("L:AlarmBellSwitch", 1)
end


function B17_AlarmBell_off ()


    ipc.writeLvar("L:AlarmBellSwitch", 0)
end



function B17_HydraulicPump_on ()


    ipc.writeLvar("L:HydrModeSwitch", 1)


end


function B17_HydraulicPump_off ()

    ipc.writeLvar("L:HydrModeSwitch", 0)

end



function B17_Tailwheel_locked ()

    ipc.writeLvar("L:TailWheelLock", 1)
    DspShow("Tail", "lock")

end

function B17_Tailwheel_unlocked ()

    ipc.writeLvar("L:TailWheelLock", 0)
    DspShow("Tail", "unlk")

end



function B17_CarbFilter_on ()

	ipc.writeLvar("L:CarbFilterOnSwitch", 1)
    DspShow("Carb", " on ")
end

function B17_CarbFilter_off ()

	ipc.writeLvar("L:CarbFilterOnSwitch", 0)
    DspShow("Carb", " off")
end


function B17_CarbFilter_toggle ()

    if _t("Carb") then
    B17_CarbFilter_on ()
    else
    B17_CarbFilter_off ()
    end

end




function B17_TurboDialOverride_toggle ()


    LVarSet = "L:FullDial"
    val = 0

    if ipc.readLvar(LVarSet) == 0  then
    val = 1
    end

    ipc.writeLvar(LVarSet, val)
end

-------------------------------------------------------------- Cabin Vent


function SPIT_CabinVent_inc ()

	Def = "L:CabinVent"
	Var = ipc.readLvar(Def)

	if Var < 100 then
	Var = Var + 5
	ipc.sleep(1)
	end

	ipc.writeLvar(Def, Var)
	CabVent_show ()

end


function SPIT_CabinVent_dec ()

	Def = "L:CabinVent"
	Var = ipc.readLvar(Def)

	if Var > 0 then
	Var = Var - 5
	ipc.sleep(1)
	end

	ipc.writeLvar(Def, Var)
	CabVent_show ()

end


function CabVent_show ()

	Def = "L:CabinVent"
	Var = ipc.readLvar(Def)

	DspShow("VENT", Var)

end



-- ## Radios #####################################


function EFIS_VOR1 ()


    ipc.writeLvar("L:RadioCompassControl", 3)
    DspShow(" VOR", "  1 ")
end


function EFIS_VOR2 ()


    ipc.writeLvar("L:RadioCompassControl", 2)
    DspShow(" VOR", "  2 ")
end

function EFIS_ADF1 ()


    ipc.writeLvar("L:RadioCompassControl", 0)
    DspShow(" ADF", "  1 ")
end

function EFIS_ADF2 ()


    ipc.writeLvar("L:RadioCompassControl", 1)
    DspShow(" ADF", "  2 ")
end



function B17_Interphone_liaison ()

-- Interphone Jack Liaison (Music on)
    ipc.writeLvar("L:InterphoneJack1SwitchState", 3)
    DspShow("IPhn", "Liai")
end



function B17_Interphone_Inter ()

-- Interphone Jack Inter (Music off)
    ipc.writeLvar("L:InterphoneJack1SwitchState", 1)
    DspShow("IPhn", "Intr")
end






-- ## Cowl Flaps #####################################
--################################################# cowl1

function B17_Cowl1_inc ()

    	ipc.writeLvar("L:CowlFlap1SwitchPos", 2)
	B17_Cowl1_show ()

end

function B17_Cowl1_stop ()

    	ipc.writeLvar("L:CowlFlap1SwitchPos", 1)
end

function B17_Cowl1_dec ()

    	ipc.writeLvar("L:CowlFlap1SwitchPos", 0)
	B17_Cowl1_show ()
end


--################################################# cowl2
function B17_Cowl2_inc ()

    	ipc.writeLvar("L:CowlFlap2SwitchPos", 2)
	B17_Cowl2_show ()
end

function B17_Cowl2_stop ()

    	ipc.writeLvar("L:CowlFlap2SwitchPos", 1)
end

function B17_Cowl2_dec ()

    	ipc.writeLvar("L:CowlFlap2SwitchPos", 0)
	B17_Cowl2_show ()
end


--################################################# cowl3
function B17_Cowl3_inc ()

    	ipc.writeLvar("L:CowlFlap3SwitchPos", 2)
	B17_Cowl3_show ()
end

function B17_Cowl3_stop ()

    	ipc.writeLvar("L:CowlFlap3SwitchPos", 1)
end

function B17_Cowl3_dec ()

    	ipc.writeLvar("L:CowlFlap3SwitchPos", 0)
	B17_Cowl3_show ()
end

--################################################# cowl4
function B17_Cowl4_inc ()

    	ipc.writeLvar("L:CowlFlap4SwitchPos", 2)
	B17_Cowl4_show ()
end

function B17_Cowl4_stop ()

    	ipc.writeLvar("L:CowlFlap4SwitchPos", 1)
end

function B17_Cowl4_dec ()

    	ipc.writeLvar("L:CowlFlap4SwitchPos", 0)
	B17_Cowl4_show ()
end


function B17_Cowl1_show ()
	val = math.floor(ipc.readLvar("L:CowlFlap1"))
	DspShow("CWL1", val)
end

function B17_Cowl2_show ()
	val = math.floor(ipc.readLvar("L:CowlFlap2"))
	DspShow("CWL2", val)
end

function B17_Cowl3_show ()
	val = math.floor(ipc.readLvar("L:CowlFlap3"))
	DspShow("CWL3", val)
end

function B17_Cowl4_show ()
	val = math.floor(ipc.readLvar("L:CowlFlap4"))
	DspShow("CWL4", val)
end

-- ## Fire Extinguisher ###############

function B17_FEselect_engine_1 ()

    ipc.writeLvar("L:FireEngineSelected", 1)
    DspShow("ExtS", " 1 ")
end

function B17_FEselect_engine_2 ()

    ipc.writeLvar("L:FireEngineSelected", 2)
    DspShow("ExtS", " 2 ")
end

function B17_FEselect_engine_3 ()

    ipc.writeLvar("L:FireEngineSelected", 3)
    DspShow("ExtS", " 3 ")
end

function B17_FEselect_engine_4 ()

    ipc.writeLvar("L:FireEngineSelected", 4)
    DspShow("ExtS", " 4 ")
end

function B17_CO2Bottle1_on ()
    ipc.writeLvar("L:Co2ReleaseBottle1Switch", 1)
    DspShow("CO2", "1 on")
end

function B17_CO2Bottle1_off ()
    ipc.writeLvar("L:Co2ReleaseBottle1Switch", 0)
    DspShow("CO2", "1off")
end

function B17_CO2Bottle1_toggle ()
    if _t("CO2") then
    B17_CO2Bottle1_on ()
    else
    B17_CO2Bottle1_off ()
    end
end



function B17_CO2Bottle2_on ()
    ipc.writeLvar("L:Co2ReleaseBottle2Switch", 1)
    DspShow("CO2", "2 on")
end

function B17_CO2Bottle2_off ()
    ipc.writeLvar("L:Co2ReleaseBottle2Switch", 0)
    DspShow("CO2", "2off")
end

function B17_CO2Bottle2_toggle ()
    if _t("CO2") then
    B17_CO2Bottle2_on ()
    else
    B17_CO2Bottle2_off ()
    end
end


-- ## Feathering ###############

function B17_Feathering1_on ()
    ipc.writeLvar("L:Feather1Switch", 1)
    DspShow("Fthr", "1 on")
end

function B17_Feathering1_off ()
    ipc.writeLvar("L:Feather1Switch", 0)
    DspShow("Fthr", "1off")
end

function B17_Feathering1_toggle ()
    if _t("Fthr") then
    B17_Feathering1_on ()
    else
    B17_Feathering1_off ()
    end
end



function B17_Feathering2_on ()
    ipc.writeLvar("L:Feather2Switch", 1)
    DspShow("Fthr", "2 on")
end

function B17_Feathering2_off ()
    ipc.writeLvar("L:Feather2Switch", 0)
    DspShow("Fthr", "2off")
end

function B17_Feathering2_toggle ()
    if _t("Fthr") then
    B17_Feathering2_on ()
    else
    B17_Feathering2_off ()
    end
end

function B17_Feathering3_on ()
    ipc.writeLvar("L:Feather3Switch", 1)
    DspShow("Fthr", "3 on")
end

function B17_Feathering3_off ()
    ipc.writeLvar("L:Feather3Switch", 0)
    DspShow("Fthr", "3off")
end

function B17_Feathering3_toggle ()
    if _t("Fthr") then
    B17_Feathering3_on ()
    else
    B17_Feathering3_off ()
    end
end

function B17_Feathering4_on ()
    ipc.writeLvar("L:Feather4Switch", 1)
    DspShow("Fthr", "4 on")
end

function B17_Feathering4_off ()
    ipc.writeLvar("L:Feather4Switch", 0)
    DspShow("Fthr", "4off")
end

function B17_Feathering4_toggle ()
    if _t("Fthr") then
    B17_Feathering4_on ()
    else
    B17_Feathering4_off ()
    end
end
-- ## Autopilot C1 #####################################

function B17_C1Master_on ()

    	ipc.writeLvar("L:c1MasterSwitch", 1)
        DspShow(" C1 ", " on ")
end

function B17_C1Master_off ()


    	ipc.writeLvar("L:c1ServoPdiSwitch", 0)
    	ipc.writeLvar("L:c1ElevSwitch", 0)
    	ipc.writeLvar("L:c1RudSwitch", 0)
    	ipc.writeLvar("L:c1AilSwitch", 0)
    	ipc.writeLvar("L:c1MasterSwitch", 0)
        DspShow(" C1 ", " off")
end


function B17_C1TellTellLight_on ()

	ipc.writeLvar("L:c1TellTaleLightsSwitch", 1)

end

function B17_C1TellTellLight_off ()

	ipc.writeLvar("L:c1TellTaleLightsSwitch", 1)

end

function B17_C1TellTellLight_toggle ()

	LVarSet = "c1TellTaleLightsSwitch"

	val = 0
 	LVarVar = ipc.readLvar(LVarSet)

	if LVarVar == 0 then
	val = 1
	end

	ipc.writeLvar(LVarSet, val)

end

----------------------------------Center Elevator

function B17_C1Elev_inc ()

	Def = "L:c1CenterElevatorKnob"
	Var = ipc.readLvar(Def)

	if Var < 100 then
	Var = Var + 1

	end

	ipc.writeLvar(Def, Var)
	C1Elev_show ()

end


function B17_C1Elev_dec ()

	Def = "L:c1CenterElevatorKnob"
	Var = ipc.readLvar(Def)

	if Var > -100 then
	Var = Var - 1

	end

	ipc.writeLvar(Def, Var)
	C1Elev_show ()

end


function B17_C1Elev_reset ()

	Def = "L:c1CenterElevatorKnob"
	Var = 0

	ipc.writeLvar(Def, Var)
	C1Elev_show ()

end

function C1Elev_show ()

	Def = "L:c1CenterElevatorKnob"
	Var = ipc.readLvar(Def)

	DspShow("C1_E", Var)

end

----------------------------------Center Rudder

function B17_C1Rudder_inc ()

	Def = "L:c1CenterRudderKnob"
	Var = ipc.readLvar(Def)

	if Var < 100 then
	Var = Var + 1

	end

	ipc.writeLvar(Def, Var)
	C1Rudder_show ()

end


function B17_C1Rudder_dec ()

	Def = "L:c1CenterRudderKnob"
	Var = ipc.readLvar(Def)

	if Var > -100 then
	Var = Var - 1

	end

	ipc.writeLvar(Def, Var)
	C1Rudder_show ()

end


function B17_C1Rudder_reset ()

	Def = "L:c1CenterRudderKnob"
	Var = 0

	ipc.writeLvar(Def, Var)
	C1Rudder_show ()

end

function C1Rudder_show ()

	Def = "L:c1CenterRudderKnob"
	Var = ipc.readLvar(Def)

	DspShow("C1_R", Var)

end

----------------------------------Center Aileron

function B17_C1Aileron_inc ()

	Def = "L:c1CenterAileronKnob"
	Var = ipc.readLvar(Def)

	if Var < 100 then
	Var = Var + 1

	end

	ipc.writeLvar(Def, Var)
	C1Aileron_show ()

end


function B17_C1Aileron_dec ()

	Def = "L:c1CenterAileronKnob"
	Var = ipc.readLvar(Def)

	if Var > -100 then
	Var = Var - 1

	end

	ipc.writeLvar(Def, Var)
	C1Aileron_show ()

end


function B17_C1Aileron_reset ()

	Def = "L:c1CenterAileronKnob"
	Var = 0

	ipc.writeLvar(Def, Var)
	C1Aileron_show ()

end

function C1Aileron_show ()

	Def = "L:c1CenterAileronKnob"
	Var = ipc.readLvar(Def)

	DspShow("C1_A", Var)

end



----------------------------------Turn Control knob

function B17_C1TurnControl_inc ()

	Def = "L:c1TurnControlKnob"
	Var = ipc.readLvar(Def)

	if Var < 100 then
	Var = Var + 1

	end

	ipc.writeLvar(Def, Var)
	C1TurnControl_show ()

end


function B17_C1TurnControl_dec ()

	Def = "L:c1TurnControlKnob"
	Var = ipc.readLvar(Def)

	if Var > -100 then
	Var = Var - 1

	end

	ipc.writeLvar(Def, Var)
	C1TurnControl_show ()

end


function B17_C1TurnControl_reset ()

	Def = "L:c1TurnControlKnob"
	Var = 0

	ipc.writeLvar(Def, Var)
	C1TurnControl_show ()

end

function C1TurnControl_show ()

	Def = "L:c1TurnControlKnob"
	Var = ipc.readLvar(Def)

	DspShow("C1_T", Var)

end

------------------------------------------------------

function B17_C1Ail_toggle ()

	LVarSet = "c1AilSwitch"

 	LVarVar = ipc.readLvar(LVarSet)
 	LVarVarC1 = ipc.readLvar("L:c1MasterSwitch")

	val = 0
	if LVarVar == 0 then
	val = 1
	end
	if LVarVarC1 == 0 then
	val = 0
	end

	ipc.writeLvar(LVarSet, val)

end


function B17_C1Elev_toggle ()

	LVarSet = "c1ElevSwitch"

 	LVarVar = ipc.readLvar(LVarSet)
 	LVarVarC1 = ipc.readLvar("L:c1MasterSwitch")

	val = 0
	if LVarVar == 0 then
	val = 1
	end
	if LVarVarC1 == 0 then
	val = 0
	end

	ipc.writeLvar(LVarSet, val)

end


function B17_C1Rud_toggle ()

	LVarSet = "c1RudSwitch"

 	LVarVar = ipc.readLvar(LVarSet)
 	LVarVarC1 = ipc.readLvar("L:c1MasterSwitch")

	val = 0
	if LVarVar == 0 then
	val = 1
	end
	if LVarVarC1 == 0 then
	val = 0
	end

	ipc.writeLvar(LVarSet, val)

end

function B17_C1ServoPDI_toggle ()

	LVarSet = "c1ServoPdiSwitch"

 	LVarVar = ipc.readLvar(LVarSet)
 	LVarVarC1 = ipc.readLvar("L:c1MasterSwitch")

	val = 0
	if LVarVar == 0 then
	val = 1
	end
	if LVarVarC1 == 0 then
	val = 0
	end

	ipc.writeLvar(LVarSet, val)

end



