
-- A2A Spitfire accusim

-- LUA Script V 1.3
-- nov 2011
--
--
-- (C) Guenter Steiner/guenseli


-- ## System functions ###############

function InitVars ()

	-- uncomment to disable display
     -- AutopilotDisplayBlocked ()
     -- AutoDisplay = false
     -- RadFlaps_state = "close"
     DSP_MODE_two ()
end

function InitDsp ()

    -- override default behavior

end

function Timer ()

    GearL = math.floor(ipc.readLvar("LandingGearL"))
    GearR = math.floor(ipc.readLvar("LandingGearR"))


    RadFlaps_val = round(ipc.readLvar("Eng1_RadiatorFlap"))
    if RadFlaps_val == 0 then
    RadFlaps_state = "close"
    elseif RadFlaps_val == 20 then
    RadFlaps_state = "norml"
    elseif RadFlaps_val == 40 then
    RadFlaps_state = "1/4"
    elseif RadFlaps_val == 60 then
    RadFlaps_state = "2/4"
    elseif RadFlaps_val == 80 then
    RadFlaps_state = "3/4"
    elseif RadFlaps_val == 100 then
    RadFlaps_state = "fully"
    end

    Gear_stateAll = round(ipc.readLvar("GearHandlePosition"))
    if Gear_stateAll == 0 then
    Gear_stateText = "up"
    else
    Gear_stateText = "dn"
    end

    FLIGHT_INFO1 = 'GR RadFl'
    FLIGHT_INFO2 = (Gear_stateText .. ' '.. RadFlaps_state)


end

function SPIT_GearPosition_show ()

   GearL = math.floor(ipc.readLvar("LandingGearL"))
   GearR = math.floor(ipc.readLvar("LandingGearR"))
   GearEnd = GearL + GearR
   if GearEnd == 0 then
   GearState = '  up   '

   elseif GearEnd == 200 then
   GearState = ' down   '

   else
   GearState = 'L' .. tostring(GearL) .. ' R' .. tostring(GearR)

   end

   if _MCP1 () then
   DspShow('L' .. tostring(GearL), 'R' .. tostring(GearR))
   elseif _MCP2 () then
   DspMed1("GearPos")
   DspMed2(GearState)
   end
end


-- ## Electrics #####################################

-------------------------------------------------------------- GEN

function SPIT_Generator_on ()

    LVarSet = "L:Eng1_GeneratorSwitch"

    ipc.writeLvar(LVarSet, 1)

end



function SPIT_Generator_off ()


    LVarSet = "L:Eng1_GeneratorSwitch"


    ipc.writeLvar(LVarSet, 0)

end



function SPIT_Generator_toggle ()


    LVarSet = "L:Eng1_GeneratorSwitch"
    val = 0

    if ipc.readLvar(LVarSet) == 0 then
    val = 1
    end

    ipc.writeLvar(LVarSet, val)

end

-------------------------------------------------------------- APU

function SPIT_APU_on ()


    LVarSet = "L:APUSwitch"


    ipc.writeLvar(LVarSet, 1)
    ipc.writeLvar("L:SystemCondValueFSX", 1)
	ipc.writeLvar("L:SystemCondSelectFSX", 53)
	DspShow(" APU", " on ")
end



function SPIT_APU_off ()


    LVarSet = "L:APUSwitch"


    ipc.writeLvar(LVarSet, 0)
    ipc.writeLvar("L:SystemCondValueFSX", 0)
	ipc.writeLvar("L:SystemCondSelectFSX", 53)
	DspShow(" APU", " off")
end



function SPIT_APU_toggle ()


    LVarSet = "L:APUSwitch"
    val = 0
    APUtext = " off"
    if ipc.readLvar(LVarSet) == 0 then
    val = 1
    APUtext = " on "
    end

    ipc.writeLvar(LVarSet, val)
    ipc.writeLvar("L:SystemCondValueFSX", val)
	ipc.writeLvar("L:SystemCondSelectFSX", 53)
	DspShow(" APU", APUtext)
end



-- ## Prime and Start #####################################

-------------------------------------------------------------- Primer



function SPIT_Primer_State_open ()


    LVarSet = "L:PrimerState"


    ipc.writeLvar(LVarSet, 1)
    SPIT_Primestate_show ()
end



function SPIT_Primer_State_closed ()


    LVarSet = "L:PrimerState"


    ipc.writeLvar(LVarSet, 0)
    SPIT_Primestate_show ()
end



function SPIT_Primer_State_toggle ()


    LVarSet = "L:PrimerState"
    val = 0

    if ipc.readLvar(LVarSet) == 0 then
    val = 1
    end

    ipc.writeLvar(LVarSet, val)
	SPIT_Primestate_show ()
end




function SPIT_Primer_openandpull ()



    LVarSet = "L:PrimerState"


	if ipc.readLvar(LVarSet) == 0 then

    	ipc.writeLvar(LVarSet, 1)
        SPIT_Primestate_show ()
	ipc.sleep(1300)
	end

	ipc.writeLvar(LVarSet, 2)
    SPIT_Primestate_show ()

end

function SPIT_Primestate_show ()

    LVarSet = "L:PrimerState"
    if _MCP1 () then
	   if ipc.readLvar(LVarSet) == 0 then
        PrimText = "clos"
        elseif ipc.readLvar(LVarSet) == 1 then
        PrimText = "open"
        elseif ipc.readLvar(LVarSet) == 2 then
        PrimText = "pull"
        end
        DspShow("Prim", PrimText)
    elseif _MCP2 () then
        if ipc.readLvar(LVarSet) == 0 then
        PrimText = "closed"
        elseif ipc.readLvar(LVarSet) == 1 then
        PrimText = "open"
        elseif ipc.readLvar(LVarSet) == 2 then
        PrimText = "pull"
        end

        DspMed1("Primer")
        DspMed2(PrimText)
     end
end




-------------------------------------------------------------- Starter

function SPIT_Starter_start ()



	ipc.writeLvar("L:Eng1_StarterSwitchLid", 1)
	ipc.sleep(200)

	ipc.writeLvar("L:Eng1_StarterSwitch", 1)
    DspShow("Strt", " on ")

end


function SPIT_Starter_stop ()


	ipc.writeLvar("L:Eng1_StarterSwitch", 0)
    	ipc.sleep(500)

	ipc.writeLvar("L:Eng1_StarterSwitchLid", 0)
	DspShow("Strt", "stop")

end





-------------------------------------------------------------- Boost Cut out

function SPIT_Boostcutout_off ()


    LVarSet = "L:BoostCutout"


    ipc.writeLvar(LVarSet, 1)

end



function SPIT_Boostcutout_on ()


    LVarSet = "L:BoostCutout"


    ipc.writeLvar(LVarSet, 0)

end



function SPIT_Boostcutout_toggle ()


    LVarSet = "L:BoostCutout"
    val = 0

    if ipc.readLvar(LVarSet) == 0 then
    val = 1
    end

    ipc.writeLvar(LVarSet, val)

end


-------------------------------------------------------------- Engine cartridge reload switch

function SPIT_Cartridge_Reload_or_Starting_Magneto ()

  acftname = ipc.readSTR("3D00", 35)

  if string.find(acftname,"Mk Ia",0,true)
  then
    LVarSet = "Eng1_StartingMagneto"
    val = 0
    MagText = " off"
    if ipc.readLvar(LVarSet) == 0 then
    val = 1
    MagText = " on "
    end

    ipc.writeLvar(LVarSet, val)
    if _MCP1() then
    DspShow("SMag", MagText)
    elseif _MCP2() then
    DspMed1("StartMagn")
    DspMed2(MagText)
    end
  else
    LVarSet = "L:Eng1_StarterCartridgeReloadSwitch"
    ipc.writeLvar(LVarSet, 1)
    CartVar = ipc.readLvar("L:Eng1_StarterCartridgeCount")
    if _MCP1() then
    DspShow("Cart", CartVar)
    elseif _MCP2() then
    DspMed1("CartRel")
    DspMed2(CartVar ..' left')
    end
  end
--ipc.display(acftname)
--ipc.sleep(2000)

end



-------------------------------------------------------------- Engine cut out

function SPIT_EngineCutOut_on ()


    LVarSet = "L:SlowRunningCutoutSwitch"


    ipc.writeLvar(LVarSet, 1)

end



function SPIT_EngineCutOut_off ()


    LVarSet = "L:SlowRunningCutoutSwitch"


    ipc.writeLvar(LVarSet, 0)

end



function SPIT_EngineCutOut_toggle ()


    LVarSet = "L:SlowRunningCutoutSwitch"
    val = 0

    if ipc.readLvar(LVarSet) == 0 then
    val = 1
    end

    ipc.writeLvar(LVarSet, val)

end



-- ## Fuel #####################################

-------------------------------------------------------------- Mixture


function SPIT_Mixture_weak ()


    LVarSet = "L:MixtureRatioLever1Position"


    ipc.writeLvar(LVarSet, 1)

end


function SPIT_Mixture_rich ()


    LVarSet = "L:MixtureRatioLever1Position"


    ipc.writeLvar(LVarSet, 0)

end


function SPIT_Mixture_toggle ()


    LVarSet = "L:MixtureRatioLever1Position"
    val = 0

    if ipc.readLvar(LVarSet) == 0 then
    val = 1
    end

    ipc.writeLvar(LVarSet, val)

end

-------------------------------------------------------------- Fuel Selectors
-- left
function SPIT_FuelTopState_show ()

    LVarSet = "L:FuelSelTop"


    FuelVar = ipc.readLvar(LVarSet)
    if FuelVar == 1 then
    FuelText = " on "
    elseif FuelVar == 0 then
    FuelText = " off"
    end
    if _MCP1() then
    DspShow("FTop", FuelText)
    elseif _MCP2() then
    DspMed1("Fuel Top")
    DspMed2(FuelText)
    end
end



function SPIT_FuelSelTop_on ()


    LVarSet = "L:FuelSelTop"


    ipc.writeLvar(LVarSet, 1)
    SPIT_FuelTopState_show ()
end



function SPIT_FuelSelTop_off ()


    LVarSet = "L:FuelSelTop"


    ipc.writeLvar(LVarSet, 0)
	SPIT_FuelTopState_show ()
end



function SPIT_FuelSelTop_toggle ()


    LVarSet = "L:FuelSelTop"
    val = 0

    if ipc.readLvar(LVarSet) == 0 then
    val = 1
    end

    ipc.writeLvar(LVarSet, val)
	SPIT_FuelTopState_show ()
end

-------------------------------- right

function SPIT_FuelBotState_show ()

    LVarSet = "L:FuelSelBott"


    FuelVar = ipc.readLvar(LVarSet)
    if FuelVar == 1 then
    FuelText = " on "
    elseif FuelVar == 0 then
    FuelText = " off"
    end
    if _MCP1() then
    DspShow("FBot", FuelText)
    elseif _MCP2() then
    DspMed1("FuelBott")
    DspMed2(FuelText)
    end
end

function SPIT_FuelSelBot_on ()


    LVarSet = "L:FuelSelBott"


    ipc.writeLvar(LVarSet, 1)
	SPIT_FuelBotState_show ()
end



function SPIT_FuelSelBot_off ()


    LVarSet = "L:FuelSelBott"


    ipc.writeLvar(LVarSet, 0)
	SPIT_FuelBotState_show ()
end



function SPIT_FuelSelBot_toggle ()


    LVarSet = "L:FuelSelBott"
    val = 0

    if ipc.readLvar(LVarSet) == 0 then
    val = 1
    end

    ipc.writeLvar(LVarSet, val)
	SPIT_FuelBotState_show ()
end


-------------------------------------------------------------- Bottom tank state

-- Bottom tank state for 5 seconds ON

function SPIT_FuelBott_show ()

    LVarSet = "L:FuelTankBott"


    FuelBott = round(ipc.readLvar(LVarSet)/1.20095042)

    DspShow("Bott", tostring(FuelBott) .. 'Ig')


end




function SPIT_BottTankstateTimer_on ()


	LVarSet = "L:BottTankOn"


	ipc.writeLvar(LVarSet, 1)
    SPIT_FuelBott_show ()
	ipc.sleep(4000)
    LVarSet = "L:BottTankOn"
	ipc.writeLvar(LVarSet, 0)


 end


function SPIT_BottTankstate_on ()

	LVarSet = "L:BottTankOn"

	ipc.writeLvar(LVarSet, 1)
    SPIT_FuelBott_show ()
end


function SPIT_BottTankstate_off ()


	LVarSet = "L:BottTankOn"


	ipc.writeLvar(LVarSet, 0)

 end



-------------------------------------------------------------- Top tank state

function SPIT_FuelTop_show ()

    LVarSet = "L:FuelTankTop"


    FuelTop = math.floor(ipc.readLvar(LVarSet)/1.20095042)

    DspShow(" Top", tostring(FuelTop) .. 'Ig')


end


-- Top tank state for 4 seconds ON

function SPIT_TopTankstateTimer_on ()


	LVarSet = "L:TopTankOn"


	ipc.writeLvar(LVarSet, 1)
    SPIT_FuelTop_show ()
	ipc.sleep(4000)
    LVarSet = "L:TopTankOn"
	ipc.writeLvar(LVarSet, 0)


 end


function SPIT_TopTankstate_on ()


	LVarSet = "L:TopTankOn"


	ipc.writeLvar(LVarSet, 1)
    SPIT_FuelTop_show ()
 end


function SPIT_TopTankstate_off ()


	LVarSet = "L:TopTankOn"


	ipc.writeLvar(LVarSet, 0)

 end


-- ## Lights #####################################



function SPIT_light_RecogVentral_on ()


    LVarSet = "L:LightRecogVentralSwitch"


    ipc.writeLvar(LVarSet, 0)

end


function SPIT_light_RecogVentral_off ()


    LVarSet = "L:LightRecogVentralSwitch"


    ipc.writeLvar(LVarSet, 1)

end



function SPIT_light_RecogVentral_morse ()


    LVarSet = "L:LightRecogVentralSwitch"


    ipc.writeLvar(LVarSet, 2)

end

----------------------------------------------

function SPIT_light_RecogDorsal_on ()


    LVarSet = "L:LightRecogDorsalSwitch"


    ipc.writeLvar(LVarSet, 0)

end


function SPIT_light_RecogDorsal_off ()


    LVarSet = "L:LightRecogDorsalSwitch"


    ipc.writeLvar(LVarSet, 1)

end



function SPIT_light_RecogDorsal_morse ()


    LVarSet = "L:LightRecogDorsalSwitch"


    ipc.writeLvar(LVarSet, 2)

end

---------------------------------------------- morse

function SPIT_morsekey ()


    LVarSet = "L:KeyMorseArm"

	ipc.writeLvar(LVarSet, 1)
	ipc.sleep(100)
    ipc.writeLvar(LVarSet, 0)

end



function SPIT_morsekey_on ()


    LVarSet = "L:KeyMorseArm"

	ipc.writeLvar(LVarSet, 1)

end


function SPIT_morsekey_off ()


    LVarSet = "L:KeyMorseArm"

	ipc.writeLvar(LVarSet, 0)

end

----------------------------------------------


function SPIT_light_LLextending ()


    LVarSet = "L:LandingLightExtendSwitch"


    ipc.writeLvar(LVarSet, 1)

end

function SPIT_light_LLretracting ()


    LVarSet = "L:LandingLightExtendSwitch"


    ipc.writeLvar(LVarSet, 0)

end


function SPIT_light_LLextretr_toggle ()


    LVarSet = "L:LandingLightExtendSwitch"
    val = 0

    if ipc.readLvar(LVarSet) == 0 then
    val = 1
    end

    ipc.writeLvar(LVarSet, val)

end

----------------------------------------------

function SPIT_light_LLleft_on ()


    LVarSet = "L:LandingLightSwitch"


    ipc.writeLvar(LVarSet, 0)

end


function SPIT_light_LLleft_off ()


    LVarSet = "L:LandingLightSwitch"


    ipc.writeLvar(LVarSet, 1)

end

function SPIT_light_LLright_on ()


    LVarSet = "L:LandingLightSwitch"


    ipc.writeLvar(LVarSet, 2)

end


function SPIT_light_LLright_off ()


    LVarSet = "L:LandingLightSwitch"


    ipc.writeLvar(LVarSet, 1)

end

----------------------------------------------

function SPIT_light_LLleftExt_and_on ()


    ipc.writeLvar("L:LandingLightExtendSwitch", 1)
	ipc.sleep(100)

    ipc.writeLvar("L:LandingLightSwitch", 0)

end



function SPIT_light_LLleftRetr_and_off ()


    ipc.writeLvar("L:LandingLightSwitch", 1)
	ipc.sleep(100)

    ipc.writeLvar("L:LandingLightExtendSwitch", 0)

end


function SPIT_light_LLrightExt_and_on ()


    ipc.writeLvar("L:LandingLightExtendSwitch", 1)
	ipc.sleep(100)

    ipc.writeLvar("L:LandingLightSwitch", 2)

end



function SPIT_light_LLrightRetr_and_off ()


    ipc.writeLvar("L:LandingLightSwitch", 1)
	ipc.sleep(100)

    ipc.writeLvar("L:LandingLightExtendSwitch", 0)

end

----------------------------------------


function SPIT_light_LLBeam_up ()

	LLBeam = "L:LeverLandingLightBeam"
	Var = ipc.readLvar(LLBeam)

	if Var < 100 then
	Var = Var + 1
	ipc.sleep(1)
	end

	ipc.writeLvar(LLBeam, Var)

end


function SPIT_light_LLBeam_down ()

	LLBeam = "L:LeverLandingLightBeam"
	Var = ipc.readLvar(LLBeam)

	if Var > 0 then
	Var = Var - 1
	ipc.sleep(1)
	end

	ipc.writeLvar(LLBeam, Var)

end



-- ## Other #####################################

function SPIT_defroster_inc ()

	Def = "L:WindowDefrosterSwitch"

	ipc.writeLvar(Def, 1)
	Defroster_show_on ()

end



function SPIT_defroster_dec ()

	Def = "L:WindowDefrosterSwitch"


	ipc.writeLvar(Def, 0)
	Defroster_show_off ()

end

function Defroster_show_on ()

	DspShow("DEFR", "on ")

end


function Defroster_show_off ()

	DspShow("DEFR", "off ")

end

-------------------------------------------------------------- Gunsight switch

function SPIT_Gunsight_on ()


    LVarSet = "L:GunSightSwitchOn"


    ipc.writeLvar(LVarSet, 1)

end



function SPIT_Gunsight_off ()


    LVarSet = "L:GunSightSwitchOn"


    ipc.writeLvar(LVarSet, 0)

end



function SPIT_Gunsight_toggle ()


    LVarSet = "L:GunSightSwitchOn"
    val = 0

    if ipc.readLvar(LVarSet) == 0 then
    val = 1
    end

    ipc.writeLvar(LVarSet, val)

end







-------------------------------------------------------------- Cabin Vent


function SPIT_CabinVent_inc ()

	Def = "L:CabinVent"
	Var = ipc.readLvar(Def)

	if Var < 100 then
	Var = Var + 10
	ipc.sleep(1)
	end

	ipc.writeLvar(Def, Var)
	CabVent_show ()

end


function SPIT_CabinVent_dec ()

	Def = "L:CabinVent"
	Var = ipc.readLvar(Def)

	if Var > 0 then
	Var = Var - 10
	ipc.sleep(1)
	end

	ipc.writeLvar(Def, Var)
	CabVent_show ()

end


function CabVent_show ()

	Def = "L:CabinVent"
	Var = ipc.readLvar(Def)

	DspShow("VENT", Var)

end


-------------------------------------------------------------- Landing gear silencer

function SPIT_LandingGearSilencer ()


    LVarSet = "L:GearHornSilencerSwitch"


    ipc.writeLvar(LVarSet, 1)

end

function SPIT_Gear_up ()
   ipc.control(66079)
   DspShow("Gear", " up ")


end

function SPIT_Gear_down ()
   ipc.control(66080)
   DspShow("Gear", "down")


end



function SPIT_Gear_pump ()
   ipc.control(65852)
   SPIT_GearPosition_show ()
end

function SPIT_Automatic_Gear_Pump ()

    ipc.control(65852)
    i = 0
    GroundVal = ipc.readUW("0366")
    if GroundVal == 0 then
        while i ~= 1 do

        ipc.sleep(1000)
        a = ipc.readLvar('LGearSafeLamp')
        b = ipc.readLvar('LGearUpSafeLamp')
        i = a + b
        SPIT_GearPosition_show ()

        end
        ipc.control(65852)
    end

end







-- ## Oxygen #####################################

-------------------------------------------------------------- oxygen


function SPIT_OXYAltSet_inc ()

	Oxy = "L:OxyAltSetValve"
	Var = ipc.readLvar(Oxy)



	if Var < 100 then
	Var = Var + 2
	ipc.sleep(1)
	end

	ipc.writeLvar(Oxy, Var)
	OXYAlt_show ()


end


function SPIT_OXYAltSet_dec ()

	Oxy = "L:OxyAltSetValve"
	Var = ipc.readLvar(Oxy)


	if Var > 0 then
	Var = Var - 2
	ipc.sleep(1)
	end

	ipc.writeLvar(Oxy, Var)

	OXYAlt_show ()

end

function OXYAlt_show ()

	OxyVar = "L:OxyAltSetValve"
	OxVar = ipc.readLvar(OxyVar)*5
    OxVar2 = ipc.readLvar(OxyVar)*0.5
    if _MCP1() then

	DspShow("o2_A", OxVar)
    elseif _MCP2 () then
    DspMed1("Oxy Alt")
    DspMed2(OxVar2 .. '.000ft')
    end
end
-------------------------------------------------------------- Oxymask and valve

function SPIT_OXYMask_andValve_on ()



	  ipc.writeLvar("L:SystemCondValueFSX", 1)
	ipc.writeLvar("L:SystemCondSelectFSX", 58)
	DspShow("OXY", "Mask")


	ipc.sleep(1000)



	if ipc.readLvar("L:OxyMaster") < 100 then

	i = 0
	while i <= 100 do
   ipc.writeLvar("L:OxyMaster", i)
      ipc.sleep(1)


   	i = i + 10
    OxyState_show ()
	end

	end

end






function SPIT_OXYMask_andValve_off ()


	  ipc.writeLvar("L:SystemCondValueFSX", 0)
	ipc.writeLvar("L:SystemCondSelectFSX", 58)



	ipc.sleep(1000)



	if ipc.readLvar("L:OxyMaster") > 0 then

	i = 100
	while i >= 0 do
   ipc.writeLvar("L:OxyMaster", i)
      ipc.sleep(1)


   	i = i - 10
    OxyState_show ()
	end

	end

end



function SPIT_OXYMask_andValve_toggle ()


	LVarSet = "L:SystemCondValueFSX"

	val = 0
	val2 = 0
    MaskVal = "off"
 	LVarVar = ipc.readLvar(LVarSet)



	if LVarVar == 0 then
	val = 1
	val2 = 100
    MaskVal = "Mask"
	end


	ipc.writeLvar(LVarSet, val)
	DspShow("OXY", MaskVal)
	ipc.writeLvar("L:SystemCondSelectFSX", 58)

	ipc.sleep(1000)

	ipc.writeLvar("L:OxyMaster", val2)
    OxyState_show ()
end




-- ## Display functions

function OxyState_show ()



 	OxyState = ipc.readLvar("L:OxyMaster")
    --if LVarShow == 100 then OxyState = "on "
	--elseif LVarShow == 0 then OxyState = "off" end
	DspShow("OXY", OxyState)

end




