-- AEROSOFT AIRBUS X


-- ## Autopilot controls #####################################

function Autopilot_AP1_on ()

    LVarSet = "L:AB_AP_AP1"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_AP1_off ()

    LVarSet = "L:AB_AP_AP1"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_AP1_toggle ()

	if _tt("L:AB_AP_AP1") then
	
		Autopilot_AP1_on ()
	
	else
	
		Autopilot_AP1_off ()
	
	end

end

function Autopilot_AP2_on ()

    LVarSet = "L:AB_AP_AP2"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_AP2_off ()

    LVarSet = "L:AB_AP_AP2"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_AP2_toggle ()

	if _tt("L:AB_AP_AP2") then
	
		Autopilot_AP2_on ()
	
	else
	
		Autopilot_AP2_off ()
	
	end

end

function Autopilot_ATHR_on ()

    LVarSet = "L:AB_AP_ATHR"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_ATHR_off ()

    LVarSet = "L:AB_AP_ATHR"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_ATHR_toggle ()

	if _tt("L:AB_AP_ATHR") then
	
		Autopilot_ATHR_on ()
	
	else
	
		Autopilot_ATHR_off ()
	
	end

end

function Autopilot_LOC_on ()

    LVarSet = "L:AB_AP_LOC"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_LOC_off ()

    LVarSet = "L:AB_AP_LOC"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_LOC_toggle ()

	if _tt("L:AB_AP_LOC") then
	
		Autopilot_LOC_on ()
	
	else
	
		Autopilot_LOC_off ()
	
	end

end

function Autopilot_APPR_on ()

    LVarSet = "L:AB_AP_LOC2"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_APPR_off ()

    LVarSet = "L:AB_AP_LOC2"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_APPR_toggle ()

	if _tt("L:AB_AP_LOC2") then
	
		Autopilot_APPR_on ()
	
	else
	
		Autopilot_APPR_off ()
	
	end

end

function Autopilot_EXPED_on ()

    LVarSet = "L:AB_AP_EXP"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_EXPED_off ()

    LVarSet = "L:AB_AP_EXP"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_EXPED_toggle ()

	if _tt("L:AB_AP_EXP") then
	
		Autopilot_EXPED_on ()
	
	else
	
		Autopilot_EXPED_off ()
	
	end

end

function Autopilot_HDG_normal ()

    LVarSet = "L:AB_AP_HDGmode"

    ipc.writeLvar(LVarSet, -1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

	-- sync back to DSP
	DspHDG(ipc.readDBL(0x2B00))

end

function Autopilot_HDG_managed ()

    LVarSet = "L:AB_AP_HDGmode"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)
	
	
end

function Autopilot_HDG_toggle ()

	if _t("L:AB_AP_HDGmode") then

		Autopilot_HDG_normal ()
	
	else
	
		Autopilot_HDG_managed ()
	
	end

end

function Autopilot_SPD_normal ()

    LVarSet = "L:AB_AP_SPDmode"

    ipc.writeLvar(LVarSet, -1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_SPD_managed ()

    LVarSet = "L:AB_AP_SPDmode"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_SPD_toggle ()

	if _t("L:AB_AP_SPDmode") then
	
		Autopilot_SPD_normal ()
	
	else
	
		Autopilot_SPD_managed ()
	
	end

end

function Autopilot_ALT_normal ()

    LVarSet = "L:AB_AP_ALTmode"

    ipc.writeLvar(LVarSet, -1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)
	
	VVS_show ()

end

function Autopilot_ALT_managed ()

	_log("AP ALT managed")

    LVarSet = "L:AB_AP_ALTmode"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_ALT_toggle ()

	if _t("L:AB_AP_ALTmode") then
	
		Autopilot_ALT_normal ()
	
	else
	
		Autopilot_ALT_managed ()
	
	end

end

function Autopilot_VS_level ()

	LVarSet = "L:AB_AP_VSlevel"

	LVarGet = ipc.readLvar(LVarSet)
	ipc.writeLvar(LVarSet, 1)

end

function Autopilot_FD_on ()

    LVarSet = "L:AB_MPL_FD"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_FD_off ()

    LVarSet = "L:AB_MPL_FD"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_FD_toggle ()

	if _tt("L:AB_MPL_FD") then
	
		Autopilot_FD_on ()
	
	else
	
		Autopilot_FD_off ()
	
	end

end

function Autopilot_LS_on ()

    LVarSet = "L:AB_MPL_ILS"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_LS_off ()

    LVarSet = "L:AB_MPL_ILS"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autopilot_LS_toggle ()

	if _tt("L:AB_MPL_ILS") then
	
		Autopilot_LS_on ()
	
	else
	
		Autopilot_LS_off ()
	
	end

end


-- ## ND controls #####################################

function ND_CSTR_on ()

    ipc.writeLvar("L:AB_MPL_ND_CSTR", 1)
	ipc.writeLvar("L:AB_MPL_ND_WPT", 0)
	ipc.writeLvar("L:AB_MPL_ND_VOR", 0)
	ipc.writeLvar("L:AB_MPL_ND_NDB", 0)
	ipc.writeLvar("L:AB_MPL_ND_ARPT", 0)

	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function ND_WPT_on ()

    ipc.writeLvar("L:AB_MPL_ND_CSTR", 0)
	ipc.writeLvar("L:AB_MPL_ND_WPT", 1)
	ipc.writeLvar("L:AB_MPL_ND_VOR", 0)
	ipc.writeLvar("L:AB_MPL_ND_NDB", 0)
	ipc.writeLvar("L:AB_MPL_ND_ARPT", 0)

	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function ND_VOR_on ()

    ipc.writeLvar("L:AB_MPL_ND_CSTR", 0)
	ipc.writeLvar("L:AB_MPL_ND_WPT", 0)
	ipc.writeLvar("L:AB_MPL_ND_VOR", 1)
	ipc.writeLvar("L:AB_MPL_ND_NDB", 0)
	ipc.writeLvar("L:AB_MPL_ND_ARPT", 0)

	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function ND_NDB_on ()

    ipc.writeLvar("L:AB_MPL_ND_CSTR", 0)
	ipc.writeLvar("L:AB_MPL_ND_WPT", 0)
	ipc.writeLvar("L:AB_MPL_ND_VOR", 0)
	ipc.writeLvar("L:AB_MPL_ND_NDB", 1)
	ipc.writeLvar("L:AB_MPL_ND_ARPT", 0)

	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function ND_ARPT_on ()

    ipc.writeLvar("L:AB_MPL_ND_CSTR", 0)
	ipc.writeLvar("L:AB_MPL_ND_WPT", 0)
	ipc.writeLvar("L:AB_MPL_ND_VOR", 0)
	ipc.writeLvar("L:AB_MPL_ND_NDB", 0)
	ipc.writeLvar("L:AB_MPL_ND_ARPT", 1)

	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function ND_MODE_toggle ()

	nd_mode = nd_mode + 1

	if nd_mode > 5 then nd_mode = 1 end
	
	if nd_mode == 1 then
	
		ND_CSTR_on ()
	
	elseif nd_mode == 2 then
	
		ND_WPT_on ()
	
	elseif nd_mode == 3 then
	
		ND_VOR_on ()

	elseif nd_mode == 4 then
	
		ND_NDB_on ()

	else
	
		ND_ARPT_on ()
	
	end
	
end

function ND_MODE_inc ()

	nd_mode = nd_mode + 1

	if nd_mode > 4 then nd_mode = 4 end
	
	ipc.writeLvar("L:AB_MPL_ND_Mode", nd_mode)

end

function ND_MODE_dec ()

	nd_mode = nd_mode - 1

	if nd_mode < 0 then nd_mode = 0 end
	
	ipc.writeLvar("L:AB_MPL_ND_Mode", nd_mode)
	
end

function ND_RANGE_inc ()

	i = ipc.readLvar("L:AB_MPL_ND_Range")
	
	if i < 5 then

		ipc.writeLvar("L:AB_MPL_ND_Range", i+1)
		ipc.sleep(10)
		ipc.writeLvar("L:SmallOverheadPushButtons", 1)

	end

end

function ND_RANGE_dec ()

	i = ipc.readLvar("L:AB_MPL_ND_Range")
	
	if i > 0 then
	
		ipc.writeLvar("L:AB_MPL_ND_Range", i-1)
		ipc.sleep(10)
		ipc.writeLvar("L:SmallOverheadPushButtons", 1)
	
	end

end

function ND_ARROW1_vor ()

    LVarSet = "L:AB_MPL_ND_Arrow1"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function ND_ARROW1_adf ()

    LVarSet = "L:AB_MPL_ND_Arrow1"

    ipc.writeLvar(LVarSet, 2)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function ND_ARROW1_off ()

    LVarSet = "L:AB_MPL_ND_Arrow1"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function ND_ARROW2_vor ()

    LVarSet = "L:AB_MPL_ND_Arrow2"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function ND_ARROW2_adf ()

    LVarSet = "L:AB_MPL_ND_Arrow2"

    ipc.writeLvar(LVarSet, 2)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function ND_ARROW2_off ()

    LVarSet = "L:AB_MPL_ND_Arrow2"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end


-- ## Barometric #######

function Baro_MODE_std ()

    LVarSet = "L:AB_MPL_Baro_STD"

	ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Baro_MODE_normal ()

    LVarSet = "L:AB_MPL_Baro_STD"

	ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Baro_MODE_toggle ()

	if _t("BARO") then
	
		Baro_MODE_std ()
		DspShow("BARO", "STD", true)
	
	else
	
		Baro_MODE_normal ()
		DspShow("BARO", "Norm", true)
	
	end

end

-- Custom BARO toggle function to sync indications on MCP display and Airbus' EFIS panel
function BARO_MODE_toggle ()

	if _t("D_BARO") then
	
		Altimeter_BARO_MODE_inHg ()
		
		LVarSet = "L:AB_MPL_Baro_Unit"

		ipc.writeLvar(LVarSet, 1)
		ipc.writeLvar("L:SmallOverheadPushButtons", 1)
	
	else
	
		Altimeter_BARO_MODE_hPa ()
	
		LVarSet = "L:AB_MPL_Baro_Unit"

		ipc.writeLvar(LVarSet, 0)
		ipc.writeLvar("L:SmallOverheadPushButtons", 1)
		
	end

end


-- ## Alarms / Tests ###################################

function Alarms_WARN_off ()

    LVarSet = "L:AB_MPL_Master_Warning_Light"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Alarms_CAUTION_off ()

    LVarSet = "L:AB_MPL_Master_Caution_Light"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Alarms_BOTH_off ()

	Alarms_WARN_off ()
	Alarms_CAUTION_off ()

end


-- ## LIGHTS / SIGNS ###################################

function Lights_STROBE_on ()

    LVarSet = "L:Strobe_light"

    ipc.writeLvar(LVarSet, 2)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Lights_STROBE_off ()

    LVarSet = "L:Strobe_light"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Lights_STROBE_auto ()

    LVarSet = "L:Strobe_light"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Lights_STROBE_toggle ()

	if _t("STROBE") then
	
		Lights_STROBE_on ()
	
	else
	
		Lights_STROBE_off ()
	
	end

end


function Lights_RUNWAY_on ()

    LVarSet = "L:AB_OVH_LIGHTS_RWYTURNOFF"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Lights_RUNWAY_off ()

    LVarSet = "L:AB_OVH_LIGHTS_RWYTURNOFF"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Lights_RUNWAY_toggle ()

	if _t("RUNWAY") then
	
		Lights_RUNWAY_on ()
	
	else
	
		Lights_RUNWAY_off ()
	
	end

end


function Lights_LANDING_on ()

    LVarSet = "L:Landlight_switch"

	ipc.writeLvar(LVarSet, 2)
	
   	ipc.control(66059)

	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Lights_LANDING_off ()

    LVarSet = "L:Landlight_switch"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Lights_LANDING_retract ()

    LVarSet = "L:Landlight_switch"

    ipc.writeLvar(LVarSet, 0)
	ipc.control(66060)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Lights_LANDING_toggle ()

	if _t("LANDING") then
	
		Lights_LANDING_on ()
	
	else
	
		Lights_LANDING_off ()
	
	end

end


function Lights_TAXI_on ()

    LVarSet = "L:AB_TAXI_LT"

	ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Lights_TAXI_off ()

    LVarSet = "L:AB_TAXI_LT"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Lights_TAXI_takeoff ()

    LVarSet = "L:AB_TAXI_LT"

    ipc.writeLvar(LVarSet, 2)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Lights_TAXI_toggle ()

	if _t("TAXI") then
	
		Lights_TAXI_takeoff ()
	
	else
	
		Lights_TAXI_off ()
	
	end

end


function Sign_SEATBELTS_on ()

    LVarSet = "L:AB_OVH_SEATBELT"

	ipc.writeLvar(LVarSet, 50)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Sign_SEATBELTS_off ()

    LVarSet = "L:AB_OVH_SEATBELT"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:ASC_NOSMOKE-SEATBELTS", 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Sign_SEATBELTS_auto ()

    LVarSet = "L:AB_OVH_SEATBELT"

	ipc.writeLvar(LVarSet, 25)
	ipc.writeLvar("L:ASC_NOSMOKE-SEATBELTS", 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Sign_SEATBELTS_toggle ()

	if _t("SEATBELTS") then
	
		Sign_SEATBELTS_on ()
	
	else
	
		Sign_SEATBELTS_off ()
	
	end

end


function Sign_NOSMOKING_on ()

    LVarSet = "L:AB_OVH_NO_SMOKING"

	ipc.writeLvar(LVarSet, 50)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Sign_NOSMOKING_off ()

    LVarSet = "L:AB_OVH_NO_SMOKING"

    ipc.writeLvar(LVarSet, -1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)
	ipc.writeLvar("L:ASC_NOSMOKE-SEATBELTS", 1)

end

function Sign_NOSMOKING_auto ()

    LVarSet = "L:AB_OVH_NO_SMOKING"

	ipc.writeLvar(LVarSet, 25)
	ipc.writeLvar("L:ASC_NOSMOKE-SEATBELTS", 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Sign_NOSMOKING_toggle ()

	if _t("NOSMOKING") then
	
		Sign_NOSMOKING_on ()
	
	else
	
		Sign_NOSMOKING_off ()
	
	end

end


function Lights_EMER_on ()

    LVarSet = "L:AB_OVH_EMER_LT"

	ipc.writeLvar(LVarSet, 50)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Lights_EMER_off ()

    LVarSet = "L:AB_OVH_EMER_LT"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:ASC_NOSMOKE-SEATBELTS", 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Lights_EMER_armed ()

    LVarSet = "L:AB_OVH_EMER_LT"

	ipc.writeLvar(LVarSet, 25)
	ipc.writeLvar("L:ASC_NOSMOKE-SEATBELTS", 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Lights_EMER_toggle ()

	if _t("EMER") then
	
		Lights_EMER_on ()
	
	else
	
		Lights_EMER_off ()
	
	end

end



-- ## APU / Engines ###################################

function APU_MASTER_on ()

    LVarSet = "AB_OVH_APU_MASTER"


    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function APU_MASTER_off ()

    LVarSet = "AB_OVH_APU_MASTER"


    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function APU_MASTER_toggle ()

	if _t("APU_MAST") then
	
		APU_MASTER_on ()
	
	else
	
		APU_MASTER_off ()
	
	end

end

function APU_START_on ()

    LVarSet = "AB_OVH_APU_Start"


    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function APU_START_off ()

    LVarSet = "AB_OVH_APU_Start"


    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function APU_START_toggle ()

	if _t("APU_STRT") then
	
		APU_START_on ()
	
	else
	
		APU_START_off ()
	
	end
	
end

function APU_MASTER_START_toggle ()

	if _t("APU_BOTH") then
	
		APU_MASTER_on ()
		APU_START_on ()
	
	else
	
		APU_MASTER_off ()
		APU_START_off ()
	
	end

end

function APU_BLEED_on ()

    LVarSet = "L:AB_OVH_PNEUBLEEDAPU"


    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function APU_BLEED_off ()

    LVarSet = "L:AB_OVH_PNEUBLEEDAPU"


    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function APU_BLEED_toggle ()

	if _t("APU_BLD") then
	
		APU_BLEED_on ()
	
	else
	
		APU_BLEED_off ()
	
	end
	
end

function Autobrake_cycle ()

	auto_brk = auto_brk + 1
	
	if auto_brk > 4 then auto_brk = 1 end

	if auto_brk == 1 then
	
		 Autobrake_min ()
		 
	elseif auto_brk == 2 then
	
		Autobrake_med ()
	
	elseif auto_brk == 3 then

		Autobrake_max ()
	
	else
	
		Autobrake_off ()
	
	end
	
end

function Autobrake_min ()

    LVarSet = "L:Autobrake_position"

    ipc.writeLvar(LVarSet, 2)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autobrake_med ()

    LVarSet = "L:Autobrake_position"

    ipc.writeLvar(LVarSet, 3)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autobrake_max ()

    LVarSet = "L:Autobrake_position"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Autobrake_off ()

    LVarSet = "L:Autobrake_position"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Antiskid_toggle ()

	_ANTISKID_BRAKES_TOGGLE ()
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)
	
end

function TCAS_MODE_inc ()

    LVarSet = "L:Mod_Xponder_mode"

	LstateSet = ipc.ReadLvar(LVarSet) + 1

	if LstateSet > 5 then LstateSet = 5 end
		
	ipc.writeLvar(LVarSet, LstateSet)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function TCAS_MODE_dec ()

    LVarSet = "L:Mod_Xponder_mode"

	LstateSet = ipc.ReadLvar(LVarSet) - 1

	if LstateSet < 1 then LstateSet = 1 end
		
	ipc.writeLvar(LVarSet, LstateSet)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function TCAS_MODE_cycle ()

    LVarSet = "L:Mod_Xponder_mode"
	LstateSet = ipc.ReadLvar(LVarSet) + 1
	
	if LstateSet > 5 then LstateSet = 1 end
	
	if LstateSet == 1 then

		DspShow("TCAS", "Off")
	
	elseif LstateSet == 2 then
	
		DspShow("TCAS", "Stby")
	
	elseif LstateSet == 3 then

		DspShow("TCAS", "Test")

	elseif LstateSet == 4 then

		DspShow("TCAS", "On")

	else

		DspShow("TCAS", "TA")

	end

	ipc.writeLvar(LVarSet, LstateSet)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Engine1_MASTER_on ()

    LVarSet = "L:AB_PDS_Eng1Master"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Engine1_MASTER_off ()

    LVarSet = "L:AB_PDS_Eng1Master"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Engine1_MASTER_toggle ()

	if _t("E1MAST") then
	
		Engine1_MASTER_on ()
	
	else
	
		Engine1_MASTER_off ()
	
	end

end

function Engine2_MASTER_on ()

    LVarSet = "L:AB_PDS_Eng2Master"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Engine2_MASTER_off ()

    LVarSet = "L:AB_PDS_Eng2Master"

    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Engine2_MASTER_toggle ()

	if _t("E2MAST") then
	
		Engine2_MASTER_on ()
	
	else
	
		Engine2_MASTER_off ()
	
	end

end

function Ignition_on ()

    LVarSet = "L:AB_PDS_ignition"

    ipc.writeLvar(LVarSet, 2)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Ignition_off ()

    LVarSet = "L:AB_PDS_ignition"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Ignition_toggle ()

	if _t("IGN") then
	
		Ignition_on ()
	
	else
	
		Ignition_off ()
	
	end

end


-- ## ECAM display ############

function ECAM_ENG ()

    LVarSet = "L:ECAM_Mode"

    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)
	
	DspShow("ECAM", "ENG")

end

function ECAM_BLEED ()

    LVarSet = "L:ECAM_Mode"


    ipc.writeLvar(LVarSet, 2)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

	DspShow("ECAM", "BLED")

end

function ECAM_PRESS ()

    LVarSet = "L:ECAM_Mode"


    ipc.writeLvar(LVarSet, 3)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

	DspShow("ECAM", "PRES")

end

function ECAM_ELEC ()

    LVarSet = "L:ECAM_Mode"


    ipc.writeLvar(LVarSet, 4)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

	DspShow("ECAM", "ELEC")

end

function ECAM_HYD ()

    LVarSet = "L:ECAM_Mode"


    ipc.writeLvar(LVarSet, 5)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

	DspShow("ECAM", "HYD")

end

function ECAM_FUEL ()

    LVarSet = "L:ECAM_Mode"


    ipc.writeLvar(LVarSet, 6)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

	DspShow("ECAM", "FUEL")

end

function ECAM_APU ()

    LVarSet = "L:ECAM_Mode"


    ipc.writeLvar(LVarSet, 7)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

	DspShow("ECAM", "APU")

end

function ECAM_COND ()

    LVarSet = "L:ECAM_Mode"


    ipc.writeLvar(LVarSet, 8)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

	DspShow("ECAM", "COND")

end

function ECAM_DOOR ()

    LVarSet = "L:ECAM_Mode"


    ipc.writeLvar(LVarSet, 9)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

	DspShow("ECAM", "DOOR")

end

function ECAM_WHEEL ()

    LVarSet = "L:ECAM_Mode"


    ipc.writeLvar(LVarSet, 10)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

	DspShow("ECAM", "WHEL")

end

function ECAM_FCTL ()

    LVarSet = "L:ECAM_Mode"


    ipc.writeLvar(LVarSet, 11)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

	DspShow("ECAM", "FCTL")

end


function ECAM_MODE_next ()

	local ecam_mode = ipc.readLvar("L:ECAM_Mode") + 1
	
	if ecam_mode > 11 then ecam_mode = 11 end
	
	ECAM_show (ecam_mode)
	
end

function ECAM_MODE_prev ()

	local ecam_mode = ipc.readLvar("L:ECAM_Mode") - 1
	
	if ecam_mode < 1 then ecam_mode = 1 end
	
	ECAM_show (ecam_mode)
	
end

function ECAM_show (mode)

	if mode == 1 then
	
		ECAM_ENG ()
	
	elseif mode == 2 then
	
		ECAM_BLEED ()
	
	elseif mode == 3 then
	
		ECAM_PRESS ()
	
	elseif mode == 4 then
	
		ECAM_ELEC ()
	
	elseif mode == 5 then
	
		ECAM_HYD ()
	
	elseif mode == 6 then
	
		ECAM_FUEL ()
	
	elseif mode == 7 then
	
		ECAM_APU ()
	
	elseif mode == 8 then
	
		ECAM_COND ()
	
	elseif mode == 9 then
	
		ECAM_DOOR ()
	
	elseif mode == 10 then
	
		ECAM_WHEEL ()
	
	elseif mode == 11 then
		
		ECAM_FCTL ()
	
	end

end


function ECAM_ALL ()

    LVarSet = "L:ECAM_Mode"


    ipc.writeLvar(LVarSet, 12)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function ECAM_CLR ()

    LVarSet = "L:AB_ECAM_CLR"


    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function ECAM_RCL ()

    LVarSet = "L:AB_ECAM_CLR"


    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function ECAM_TO_CONFIG ()

    ipc.writeLvar("L:AB_ECAM_TOCFG", 1)
	ipc.writeLvar("L:AB_ECAM_TOconf", 1)
	ipc.writeLvar("L:AB_ECAM_TOconf_Hasbeentested", 1)
	ipc.writeLvar("L:AB_ECAM_RCL", 1)
	
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

	ipc.sleep(1500)
	ipc.writeLvar("L:AB_ECAM_TOCFG", 0)

end

function ECAM_DISPLAYS_on ()

    ipc.writeLvar("L:AB_PDS_RADIO_POWER", 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)
	ipc.sleep(50)

    ipc.writeLvar("L:AB_MPL_PFD_Power", 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)
	ipc.sleep(100)

    ipc.writeLvar("L:AB_MPL_ND_Power", 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)
	ipc.sleep(70)

    ipc.writeLvar("L:AB_MPL_ECAMU_Power", 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)
	ipc.sleep(50)

    ipc.writeLvar("L:AB_MPL_ECAML_Power", 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function ECAM_DISPLAYS_off ()

    ipc.writeLvar("L:AB_PDS_RADIO_POWER", 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)
	ipc.sleep(50)

    ipc.writeLvar("L:AB_MPL_PFD_Power", 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)
	ipc.sleep(100)

    ipc.writeLvar("L:AB_MPL_ND_Power", 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)
	ipc.sleep(70)

    ipc.writeLvar("L:AB_MPL_ECAMU_Power", 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)
	ipc.sleep(50)

    ipc.writeLvar("L:AB_MPL_ECAML_Power", 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end


-- ## Battaries ########

function Battery1_on ()

    LVarSet = "L:AB_OVH_ELECBAT1"


    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Battery1_off ()

    LVarSet = "L:AB_OVH_ELECBAT1"


    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Battery1_toggle ()

	if _t("BAT1") then
	
		Battery1_on ()
	
	else
	
		Battery1_off ()
	
	end

end


function Battery2_on ()

    LVarSet = "L:AB_OVH_ELECBAT2"


    ipc.writeLvar(LVarSet, 1)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Battery2_off ()

    LVarSet = "L:AB_OVH_ELECBAT2"


    ipc.writeLvar(LVarSet, 0)
	ipc.writeLvar("L:SmallOverheadPushButtons", 1)

end

function Battery2_toggle ()

	if _t("BAT2") then
	
		Battery2_on ()
	
	else
	
		Battery2_off ()
	
	end

end


function Battery_BOTH_on ()

	Battery1_on ()
	Battery2_on ()

end

function Battery_BOTH_off ()

	Battery1_off ()
	Battery2_off ()

end

function Battery_BOTH_toggle ()

	if _t("BATBOTH") then
	
		Battery_BOTH_on ()
	
	else
	
		Battery_BOTH_off ()
	
	end

end


-- ## Other #######

function Spoilers_ARM ()


end


-- ## Rotaries functions ##

function HDG_plus (a, b, c)

	LVarSet = "L:AB_AP_HDG_Select"

	if c == nil then

		LVarGet = ipc.readLvar(LVarSet)
		ipc.writeLvar(LVarSet, LVarGet + 1)
	
	else

		ipc.writeLvar(LVarSet, c)
	
	end
	
end

function HDG_plusfast (a, b, c)

	LVarSet = "L:AB_AP_HDG_Select"

	if c == nil then

		LVarGet = ipc.readLvar(LVarSet)
		ipc.writeLvar(LVarSet, LVarGet + 10)
	
	else

		ipc.writeLvar(LVarSet, c)
	
	end
	
end

function HDG_minus (a, b, c)
	
	LVarSet = "L:AB_AP_HDG_Select"

	if c == nil then

		LVarGet = ipc.readLvar(LVarSet)
		ipc.writeLvar(LVarSet, LVarGet - 1)
	
	else

		ipc.writeLvar(LVarSet, c)
	
	end
	
end

function HDG_minusfast (a, b, c)

	LVarSet = "L:AB_AP_HDG_Select"

	if c == nil then

		LVarGet = ipc.readLvar(LVarSet)
		ipc.writeLvar(LVarSet, LVarGet - 10)
	
	else

		ipc.writeLvar(LVarSet, c)
	
	end
	
end


function ALT_plus (a, b, c)

	LVarSet = "L:AB_AP_ALT_Select"

	if c == nil then

		LVarGet = ipc.readLvar(LVarSet)
		ipc.writeLvar(LVarSet, LVarGet + 100)
	
	else

		ipc.writeLvar(LVarSet, c * 100)
	
	end

end

function ALT_plusfast (a, b, c)

	LVarSet = "L:AB_AP_ALT_Select"

	if c == nil then

		LVarGet = ipc.readLvar(LVarSet)
		ipc.writeLvar(LVarSet, LVarGet + 1000)
	
	else

		ipc.writeLvar(LVarSet, c * 100)
	
	end
	
end
	
function ALT_minus (a, b, c)

	LVarSet = "L:AB_AP_ALT_Select"

	if c == nil then

		LVarGet = ipc.readLvar(LVarSet)
		ipc.writeLvar(LVarSet, LVarGet - 100)
	
	else

		ipc.writeLvar(LVarSet, c * 100)
	
	end
	
end

function ALT_minusfast (a, b, c)

	LVarSet = "L:AB_AP_ALT_Select"

	if c == nil then

		LVarGet = ipc.readLvar(LVarSet)
		ipc.writeLvar(LVarSet, LVarGet - 1000)
	
	else

		ipc.writeLvar(LVarSet, c * 100)
	
	end
	
end


function SPD_MACH_toggle ()

	if ipc.readLvar("L:AB_AP_SPDMACH") == 0 then
	
		-- mach
		
		ipc.writeLvar("L:AB_AP_SPDMACH", 1)
		
		DspSPD(ipc.readLvar("L:AB_AP_Mach_Select") * 100)
	
		ipc.writeLvar("L:SmallOverheadPushButtons", 1)

	else
	
		-- normal speed
		
		ipc.writeLvar("L:AB_AP_SPDMACH", 0)
		
		DspSPD(ipc.readLvar("L:AB_AP_SPEED_Select"))
	
		ipc.writeLvar("L:SmallOverheadPushButtons", 1)

	end
	
end

function SPD_plus (a, b, c)

	LVarSPD = ipc.readLvar("L:AB_AP_SPDMACH")

	if LVarSPD == 0 then
	
		if c == nil then c = ipc.readLvar("L:AB_AP_SPEED_Select") + 1 end
	
		if tonumber(c) > 399 then 
		
			c = 399 
			DspSPD(399) 
			
		end

		ipc.writeLvar("L:AB_AP_SPEED_Select", c)

	elseif LVarSPD == 1 then	

		if c == nil then c = ipc.readLvar("L:AB_AP_Mach_Select") * 100  + 1 end

		if tonumber(c) > 99 then 
		
			c = 99 
			DspSPD(99) 
			
		end
		
		ipc.writeLvar("L:AB_AP_Mach_Select", c/100)

	end

end

function SPD_plusfast (a, b, c)

	LVarSPD = ipc.readLvar("L:AB_AP_SPDMACH")

	if LVarSPD == 0 then

		if c == nil then c = ipc.readLvar("L:AB_AP_SPEED_Select") + 10 end

		if tonumber(c) > 399 then 
		
			c = 399 
			DspSPD(399) 
			
		end

		ipc.writeLvar("L:AB_AP_SPEED_Select", c)

	elseif LVarSPD == 1 then	

		if c == nil then c = ipc.readLvar("L:AB_AP_Mach_Select") * 100  + 10 end

		if tonumber(c) > 99 then 
		
			c = 99 
			DspSPD(99) 
			
		end

		ipc.writeLvar("L:AB_AP_Mach_Select", c/100)

	end
	
end

function SPD_minus (a, b, c)

	LVarSPD = ipc.readLvar("L:AB_AP_SPDMACH")

	if LVarSPD == 0 then

		if c == nil then c = ipc.readLvar("L:AB_AP_SPEED_Select") - 1 end
		
		if tonumber(c) < 100 then 
			
			c = 100 
			DspSPD(100) 
		
		end

		ipc.writeLvar("L:AB_AP_SPEED_Select", c)

	elseif LVarSPD == 1 then	

		if c == nil then c = ipc.readLvar("L:AB_AP_Mach_Select") * 100  - 1 end

		if tonumber(c) < 20 then 
		
			c = 20
			DspSPD(20) 
			
		end

		ipc.writeLvar("L:AB_AP_Mach_Select", c/100)

	end

end

function SPD_minusfast (a, b, c)

	LVarSPD = ipc.readLvar("L:AB_AP_SPDMACH")

	if LVarSPD == 0 then

		if c == nil then c = ipc.readLvar("L:AB_AP_SPEED_Select") - 10 end

		if tonumber(c) < 100 then 
			
			c = 100 
			DspSPD(100) 
		
		end

		ipc.writeLvar("L:AB_AP_SPEED_Select", c)

	elseif LVarSPD == 1 then	

		if c == nil then c = ipc.readLvar("L:AB_AP_Mach_Select") * 100  - 10 end

		if tonumber(c) < 20 then 
		
			c = 20
			DspSPD(20) 
			
		end

		ipc.writeLvar("L:AB_AP_Mach_Select", c/100)

	end

end


-- ## System functions   ## 

-- Initial info on MCP display
function InitDsp ()

	DspSPD(ipc.readLvar("L:AB_AP_SPEED_Select"))
	
	DspHDG(ipc.readLvar("L:AB_AP_HDG_Select"))
	
	DspALT(ipc.readLvar("L:AB_AP_ALT_Select") / 100)
	
end

-- Initial variables
function InitVars ()

	nd_mode = 1 -- default ND mode

	baro_mode = 1  -- default BARO mode is hPa

	auto_brk = 0
	
end
