-- Da20 Katana

-- ## Electricity ###########################################

function DA20_Battery_on ()

	ipc.writeLvar("SWITCH_BATTERY", 1)
end

function DA20_Battery_off ()

	ipc.writeLvar("SWITCH_BATTERY", 0)
end

function DA20_Avionics_on ()

	ipc.writeLvar("SWITCH_AVIONICS", 1)
end

function DA20_Avionics_off ()

	ipc.writeLvar("SWITCH_AVIONICS", 0)
end

function DA20_Generator_on ()

	ipc.writeLvar("SWITCH_GENERATOR", 1)
end

function DA20_Generator_off ()

	ipc.writeLvar("SWITCH_GENERATOR", 0)
end

function DA20_Devices_on ()

	ipc.writeLvar("ROTARY_GPS_MASTER", 50)
	_sleep(400, 1000)
	ipc.writeLvar("ROTARY_KX125.1_MASTER", 50)
end

function DA20_Devices_off ()

	ipc.writeLvar("ROTARY_GPS_MASTER", 0)
	_sleep(400, 1000)
	ipc.writeLvar("ROTARY_KX125.1_MASTER", 0)
end

function DA20_KX76A_rotary_on ()

	LVarSet = "ROTARY_KT76A.1_MODE"
	LVarVar = ipc.readLvar(LVarSet)
	LVarVar = LVarVar + 1
	if LVarVar > 4 then LVarVar = 4 end 
	ipc.writeLvar(LVarSet, LVarVar)
end

function DA20_KX76A_rotary_off ()

	LVarSet = "ROTARY_KT76A.1_MODE"
	LVarVar = ipc.readLvar(LVarSet)
	LVarVar = LVarVar - 1
	if LVarVar < 0 then LVarVar = 0 end 
	ipc.writeLvar(LVarSet, LVarVar)	
end


-- ## Fuel ###########################################

function DA20_FuelPump_on ()

	ipc.writeLvar("SWITCH_FUEL_PUMP", 1)
end

function DA20_FuelPump_off ()

	ipc.writeLvar("SWITCH_FUEL_PUMP", 0)
end

function DA20_Fuelvalve_on ()

	ipc.writeLvar("VALVE_FUEL", 1)
end

function DA20_Fuelvalve_off ()

	ipc.writeLvar("VALVE_FUEL", 0)
end


-- ## Lights ###########################################

function DA20_StrobeLight_on ()

	ipc.writeLvar("SWITCH_STROBE", 1)
end

function DA20_StrobeLight_off ()

	ipc.writeLvar("SWITCH_STROBE", 0)
end

function DA20_LandingLight_on ()

	ipc.writeLvar("SWITCH_LANDING_LIGHT", 1)
end

function DA20_LandingLight_off ()

	ipc.writeLvar("SWITCH_LANDING_LIGHT", 0)
end

function DA20_TaxiLight_on ()

	ipc.writeLvar("SWITCH_TAXI_LIGHT", 1)
end

function DA20_TaxiLight_off ()

	ipc.writeLvar("SWITCH_TAXI_LIGHT", 0)
end

function DA20_PositionLight_on ()

	ipc.writeLvar("SWITCH_POSITION_LIGHT", 1)
end

function DA20_PositionLight_off ()

	ipc.writeLvar("SWITCH_POSITION_LIGHT", 0)
end

function DA20_InstrumentLight_on ()

	ipc.writeLvar("SWITCH_INSTRUMENT_LIGHTING", 1)
end

function DA20_InstrumentLight_off ()

	ipc.writeLvar("SWITCH_INSTRUMENT_LIGHTING", 0)
end

function DA20_MapLight_on ()

	ipc.writeLvar("MAP_LIGHT", 1)
end

function DA20_MapLight_off ()

	ipc.writeLvar("MAP_LIGHT", 0)
end

function DA20_InstrumentLight_rotary_inc ()

	LVarSet = "KNOB_BRIGHTNESS"
	LVarVar = ipc.readLvar(LVarSet)
	LVarVar = LVarVar + 5
	if LVarVar > 50 then LVarVar = 50 end 
	ipc.writeLvar(LVarSet, LVarVar)
	DspShow("Lght", LVarVar*2)
end

function DA20_InstrumentLight_rotary_dec ()

	LVarSet = "KNOB_BRIGHTNESS"
	LVarVar = ipc.readLvar(LVarSet)
	LVarVar = LVarVar - 5
	if LVarVar < 0 then LVarVar = 0 end 
	ipc.writeLvar(LVarSet, LVarVar)
	DspShow("Lght", LVarVar*2)
end

function DA20_MapLight_on ()

	ipc.writeLvar("SWITCH_MAP_LIGHT", 1)
end

function DA20_MapLight_off ()

	ipc.writeLvar("SWITCH_MAP_LIGHT", 0)
end


-- ## Flaps ###########################################

function DA20_Flaps_inc ()

	LVarSet = "LEVER_FLAPS_POSITION"
	LVarVar = ipc.readLvar(LVarSet)
	LVarVar = LVarVar + 1
	if LVarVar > 2 then LVarVar = 2 end 
	ipc.writeLvar(LVarSet, LVarVar)
end

function DA20_Flaps_dec ()

	LVarSet = "LEVER_FLAPS_POSITION"
	LVarVar = ipc.readLvar(LVarSet)
	LVarVar = LVarVar - 1
	if LVarVar < 0 then LVarVar = 0 end 
	ipc.writeLvar(LVarSet, LVarVar)
end

function DA20_Flaps_up ()

	ipc.writeLvar("LEVER_FLAPS_POSITION", 0)
end

function DA20_Flaps_mid ()

	ipc.writeLvar("LEVER_FLAPS_POSITION", 1)
end

function DA20_Flaps_down ()

	ipc.writeLvar("LEVER_FLAPS_POSITION", 2)
end


-- ## Starting ###########################################

function DA20_Key_insert ()

	ipc.writeLvar("KEY", 0)
end

function DA20_Key_out ()

	ipc.writeLvar("KEY", 1)
end

function DA20_Key_toggle ()

        if _t("key") then
        DA20_Key_insert ()
        else
        DA20_Key_out ()
        end

	ipc.writeLvar(LVarSet, val)
end

function DA20_Magneto_inc ()

	LVarSet = "KEY_STARTER"
	LVarVar = ipc.readLvar(LVarSet)
	LVarVar = LVarVar + 1
	if LVarVar > 3 then LVarVar = 3 end 
	ipc.writeLvar(LVarSet, LVarVar)
end

function DA20_Magneto_dec ()

	LVarSet = "KEY_STARTER"
	LVarVar = ipc.readLvar(LVarSet)
	LVarVar = LVarVar - 1
	if LVarVar < 0 then LVarVar = 0 end 
	ipc.writeLvar(LVarSet, LVarVar)
end

function DA20_Starter_Start ()


	LVarSet = "KEY_STARTER"
	LVarVar = ipc.readLvar(LVarSet)
	if LVarVar == 3 then
	ipc.writeLvar("KEY_STARTER", 4)
	end
end

-- Key back to "both"
-- this should be assigned to "release button" to the switch with is assigned for "key starter start"

function DA20_Starter_back ()

	LVarSet = "KEY_STARTER"
	LVarVar = ipc.readLvar(LVarSet)
	if LVarVar == 4 then
	ipc.writeLvar("KEY_STARTER", 3)
	end
end


-- ## Carb Heat / Choke ###########################################

function DA20_CarbHeat_on ()

	ipc.writeLvar("LEVER_CARB_HEAT", 100)
end

function DA20_CarbHeat_off ()

	ipc.writeLvar("LEVER_CARB_HEAT", 0)
end

function DA20_Choke_on ()

	ipc.writeLvar("LEVER_CHOKE", 100)
end

function DA20_Choke_off ()

	ipc.writeLvar("LEVER_CHOKE", 0)
end

function DA20_Choke_toggle ()
	
	LVarSet = "LEVER_CHOKE"
	val = 0
 	LVarVar = ipc.readLvar(LVarSet)

	if LVarVar <= 5 then
	val = 100
	end

	ipc.writeLvar(LVarSet, val)
end


-- ## Canopy ###########################################

function DA20_CanopyOpen_inc ()

	Def = "L:CANOPY"
	Var = ipc.readLvar(Def)
 	
	if Var <= 100 then
	Var = Var + 5

	end

	ipc.writeLvar(Def, Var)
	DspShow("Cano", Var)

end

function DA20_CanopyOpen_dec ()

	Def = "L:CANOPY"
	Var = ipc.readLvar(Def)
 	
	if Var <= 100 then
	Var = Var - 5

	end

	ipc.writeLvar(Def, Var)
	DspShow("Cano", Var)

end

function DA20_CanopyLeft_Lock ()

	ipc.writeLvar("L:LOCK_CANOPY_LEFT", 1)
	DspShow("CanL", "Lock")

end

function DA20_CanopyLeft_UNLock ()

	ipc.writeLvar("L:LOCK_CANOPY_LEFT", 0)
	DspShow("CanL", "open")
end

function DA20_CanopyRight_Lock ()

	ipc.writeLvar("L:LOCK_CANOPY_RIGHT", 1)
	DspShow("CanR", "Lock")
end

function DA20_CanopyRight_UNLock ()

	ipc.writeLvar("L:LOCK_CANOPY_RIGHT", 0)
	DspShow("CanR", "open")
end


-- ## Extras ###########################################

function DA20_clock_Button1 ()

	LVarSet = "CLOCK_803_MODE_DISP.1"
	LVarVar = ipc.readLvar(LVarSet)
	LVarVar = LVarVar + 1
	if LVarVar >= 3 then LVarVar = 0 end 
	ipc.writeLvar(LVarSet, LVarVar)
end

function DA20_clock_Button2 ()

	LVarSet = "CLOCK_803_MODE_DISP.2"
	LVarVar = ipc.readLvar(LVarSet)
	LVarVar = LVarVar + 10
	if LVarVar >= 31 then LVarVar = 0 end 
	ipc.writeLvar(LVarSet, LVarVar)
end

function DA20_clock_Button3 ()

--	LVarSet = "CLOCK_803_MODE_DISP.3"
--	LVarVar = ipc.readLvar(LVarSet)
--	LVarVar = LVarVar + 1
--	if LVarVar >= 3 then LVarVar = 0 end 
--	ipc.writeLvar(LVarSet, LVarVar)
end

function DA20_HDGCalibration_Knob_inc ()

	LVarSet = "KNOB_HEADING_CALIBRATION"
	LVarVar = ipc.readLvar(LVarSet)
	LVarVar = LVarVar + 1
--	if LVarVar >= 3 then LVarVar = 0 end 
	ipc.writeLvar(LVarSet, LVarVar)

	HDGVar = math.floor(ipc.readLvar("COMPASS_CARD_HEADING"))
	-- DspShow("HDG", HDGVar)
	DspHDG(HDGVar)

end

function DA20_HDGCalibration_Knob_fastinc ()

	LVarSet = "KNOB_HEADING_CALIBRATION"
	LVarVar = ipc.readLvar(LVarSet)
	LVarVar = LVarVar + 5
--	if LVarVar >= 3 then LVarVar = 0 end 
	ipc.writeLvar(LVarSet, LVarVar)

	HDGVar = math.floor(ipc.readLvar("COMPASS_CARD_HEADING"))
	DspHDG(HDGVar)

end

function DA20_HDGCalibration_Knob_dec ()

	LVarSet = "KNOB_HEADING_CALIBRATION"
	LVarVar = ipc.readLvar(LVarSet)
	LVarVar = LVarVar - 1
--	if LVarVar >= 3 then LVarVar = 0 end 
	ipc.writeLvar(LVarSet, LVarVar)

	HDGVar = math.floor(ipc.readLvar("COMPASS_CARD_HEADING"))
	DspHDG(HDGVar)

end

function DA20_HDGCalibration_Knob_fastdec ()

	LVarSet = "KNOB_HEADING_CALIBRATION"
	LVarVar = ipc.readLvar(LVarSet)
	LVarVar = LVarVar - 5
--	if LVarVar >= 3 then LVarVar = 0 end 
	ipc.writeLvar(LVarSet, LVarVar)

	HDGVar = math.floor(ipc.readLvar("COMPASS_CARD_HEADING"))
	DspHDG(HDGVar)

end

-- ## Trim ###############

function DA20_Trim_show ()

    TrimVar = ipc.readLvar("TRIM_ELEVATOR_BIAS")
    DspShow("Trim", round(TrimVar))

end

function DA20_Trim_up ()

   ipc.writeLvar("SWITCH_ELEVATOR_TRIM", -1)
   DA20_Trim_show ()
end

function DA20_Trim_down ()

   ipc.writeLvar("SWITCH_ELEVATOR_TRIM", 1)
   DA20_Trim_show ()
end

function DA20_Trim_stop ()

   ipc.writeLvar("SWITCH_ELEVATOR_TRIM", 0)
   DA20_Trim_show ()
end


-- ## System functions #########

function InitVars ()

	-- uncomment to disable display
	 AutopilotDisplayBlocked ()
	
end

