
-- DodoSim 206 --


-- ## System functions ##

function InitVars ()

    -- uncomment to disable display
     AutopilotDisplayBlocked ()

end

-- ## Electrics ###############

function Dodo206_Gen_on ()

        if ipc.readLvar("DodoSim_GeneratorSwitchState") == 0 then
        ipc.control(66242)
        DspShow("Gen", " on ")
        end
end

function Dodo206_Gen_off ()

        if ipc.readLvar("DodoSim_GeneratorSwitchState") == 1 then
        ipc.control(66242)
        DspShow("Gen", " off")
        end
end

function Dodo206_Gen_toggle ()
    if _t("gen") then
       Dodo206_Gen_on ()
    else
       Dodo206_Gen_off ()
    end

end

function Dodo206_GenCBField_on ()

        if ipc.readLvar("DodoSim_GeneratorFieldCB") == 0 then
        ipc.control(66706)
        DspShow("GnCB", " on ")
        end
end

function Dodo206_GenCBField_off ()

        if ipc.readLvar("DodoSim_GeneratorFieldCB") == 1 then
        ipc.control(66706)
        DspShow("GnCB", " off")
        end
end

function Dodo206_GenCBField_toggle ()
    if _t("genCB") then
         Dodo206_GenCBField_on ()
    else
          Dodo206_GenCBField_off ()
    end
end

function Dodo206_GenAndGenCB_on ()
        Dodo206_Gen_on ()
        ipc.sleep(200)
        Dodo206_GenCBField_on ()
end

function Dodo206_GenAndGenCB_off ()
        Dodo206_Gen_off ()
        ipc.sleep(200)
        Dodo206_GenCBField_off ()
end

function Dodo206_GenAndGenCB_toggle ()
    if _t("genandcb") then
         Dodo206_GenAndGenCB_on ()
    else
         Dodo206_GenAndGenCB_off ()
    end
end


function Dodo206_GenCBReset_on ()

        if ipc.readLvar("DodoSim_GeneratorResetCB") == 0 then
        ipc.control(66705)
        DspShow("GRCB", " on ")
        end
end

function Dodo206_GenCBReset_off ()

        if ipc.readLvar("DodoSim_GeneratorResetCB") == 1 then
        ipc.control(66705)
        DspShow("GRCB", " off")
        end
end

function Dodo206_GenCBReset_toggle ()
    if _t("genCB") then
         Dodo206_GenCBReset_on ()
    else
          Dodo206_GenCBReset_off ()
    end
end


function Dodo206_AftFuelPumpCB_on ()

        if ipc.readLvar("DodoSim_AftFuelPumpCB") == 0 then
        ipc.control(66294)
        DspShow("AFCB", " on ")
        end
end

function Dodo206_AftFuelPumpCB_off ()

        if ipc.readLvar("DodoSim_AftFuelPumpCB") == 1 then
        ipc.control(66294)
        DspShow("AFCB", " off")
        end
end

function Dodo206_AftFuelPumpCB_toggle ()
    if _t("AftFuelCB") then
        Dodo206_AftFuelPumpCB_on ()
    else
        Dodo206_AftFuelPumpCB_off ()
    end

end



function Dodo206_FwdFuelPumpCB_on ()

        if ipc.readLvar("DodoSim_ForeFuelPumpCB") == 0 then
        ipc.control(66295)
        DspShow("FFCB", " on ")
        end
end

function Dodo206_FwdFuelPumpCB_off ()

        if ipc.readLvar("DodoSim_ForeFuelPumpCB") == 1 then
        ipc.control(66295)
        DspShow("FFCB", " off")
        end
end

function Dodo206_FwdFuelPumpCB_toggle ()
    if _t("forFuelCB") then
         Dodo206_FwdFuelPumpCB_on ()
    else
          Dodo206_FwdFuelPumpCB_off ()
    end

end

function Dodo206_BothFuelPumpCB_on ()

    Dodo206_AftFuelPumpCB_on ()
    ipc.sleep(200)
    Dodo206_FwdFuelPumpCB_on ()
end

function Dodo206_BothFuelPumpCB_off ()

    Dodo206_AftFuelPumpCB_off ()
    ipc.sleep(200)
    Dodo206_FwdFuelPumpCB_off ()
end

function Dodo206_BothFuelPumpCB_toggle ()

    Dodo206_AftFuelPumpCB_toggle ()
    ipc.sleep(200)
    Dodo206_FwdFuelPumpCB_toggle ()
end



function Dodo206_CautionLightCB_on ()

        if ipc.readLvar("DodoSim_EngineOutCB") == 0 then
        ipc.control(66535)
        DspShow("CLCB", " on ")
        end
end

function Dodo206_CautionLightCB_off ()

        if ipc.readLvar("DodoSim_EngineOutCB") == 1 then
        ipc.control(66535)
        DspShow("CLCB", " off")
        end
end

function Dodo206_CautionLightCB_toggle ()
    if _t("CLCB") then
        Dodo206_CautionLightCB_on ()
    else
        Dodo206_CautionLightCB_off ()
    end

end



-- ## Engine Start ###############

function Dodo206_IdleReleaseLatch_on ()

        if ipc.readLvar("DodoSim_IdleRelease") == 0 then
        ipc.control(65559)
        DspShow("Idle", " on ")
        end
end



function Dodo206_starter_on ()

        --if ipc.readLvar("DodoSim_StarterButton") == 0 then
        ipc.control(66300)
        DspShow("Strt", " on ")
        --end
end


-- ## Fuel ###############

function Dodo206_FuelValve_on ()

        if ipc.readLvar("DodoSim_FuelValve") == 0 then
        ipc.control(66494)
        DspShow("Fuel", " on ")
        end
end

function Dodo206_FuelValve_off ()

        if ipc.readLvar("DodoSim_FuelValve") == 1 then
        ipc.control(66494)
        DspShow("Fuel", " off")
        end
end

function Dodo206_FuelValve_toggle ()
    if _t("fuel") then
         Dodo206_FuelValve_on ()
    else
          Dodo206_FuelValve_off ()
    end

end


-- ## Hydraulic ###############

function Dodo206_Hydraulics_on ()

        if ipc.readLvar("DodoSim_HydraulicSwitch") == 0 then
        ipc.control(66384)
        DspShow("Hydr", " on ")
        end
end

function Dodo206_Hydraulics_off ()

        if ipc.readLvar("DodoSim_HydraulicSwitch") == 1 then
        ipc.control(66384)
        DspShow("Hydr", " off")
        end
end

function Dodo206_Hydraulics_toggle ()
    if _t("hydr") then
        Dodo206_Hydraulics_on ()
    else
        Dodo206_Hydraulics_off ()
    end

end

-- ## other ###############

function Dodo206_DirGyro_on ()

        if ipc.readLvar("DodoSim_DirGyroSwitch") == 0 then
        ipc.control(66244)
        DspShow("Gyro", " on ")
        end
end

function Dodo206_DirGyro_off ()

        if ipc.readLvar("DodoSim_DirGyroSwitch") == 1 then
        ipc.control(66244)
        DspShow("Gyro", " off")
        end
end

function Dodo206_DirGyro_toggle ()
    if _t("gyro") then
        Dodo206_DirGyro_on ()
    else
        Dodo206_DirGyro_off ()
    end

end


function Dodo206_WarningMute ()

          ipc.control(66541)
end

function Dodo206_OverTempTest ()

          ipc.control(66698)
end

function Dodo206_AnnLightsTest ()

          ipc.control(66391)
end