-- ## System functions ##

function InitVars ()

	-- uncomment to disable display
	 AutopilotDisplayBlocked ()

end

-- ## Lights ###############
function LVLD767_Panellight_on ()
    ipc.writeLvar("LVLDLightPanelSwitch", 1)
	ipc.writeLvar("LVLDLightPanelPower", 1)
end


function LVLD767_Panellight_off ()
    ipc.writeLvar("LVLDLightPanelSwitch", 0)
	ipc.writeLvar("LVLDLightPanelPower", 0)
end

function LVLD767_Instrlight_on ()
	ipc.writeLvar("LVLDLit", 1)
end


function LVLD767_Instrlight_off ()
	ipc.writeLvar("LVLDLit", 0)
end


function LVLD767_Floodlight_on ()

	ipc.writeLvar("LVLDLightOvrdSwitch", 1)
	ipc.writeLvar("LVLDLightOvrdPower", 1)
	ipc.writeLvar("LVLDLightPanelSwitch", 1)
	ipc.writeLvar("LVLDLightPanelPower", 1)

end

function LVLD767_Floodlight_off ()

	ipc.writeLvar("LVLDLightOvrdSwitch", 0)
	ipc.writeLvar("LVLDLightOvrdPower", 0)
	ipc.writeLvar("LVLDLightPanelSwitch", 0)
	ipc.writeLvar("LVLDLightPanelPower", 0)
end

function LVLD767_Navlight_on ()

	ipc.writeLvar("LVLDLightNavSwitch", 1)
	ipc.writeLvar("LVLDLightNavPower", 1)
end

function LVLD767_Navlight_off ()

	ipc.writeLvar("LVLDLightNavSwitch", 0)
	ipc.writeLvar("LVLDLightNavPower", 0)
end


function LVLD767_BCNlight_on ()

	ipc.writeLvar("LVLDLightBeaconSwitch", 1)
	ipc.writeLvar("LVLDLightBeaconPower", 1)
end

function LVLD767_BCNlight_off ()

	ipc.writeLvar("LVLDLightBeaconSwitch", 0)
	ipc.writeLvar("LVLDLightBeaconPower", 0)
end

function LVLD767_Strobelight_on ()

	ipc.writeLvar("LVLDLightStrobeSwitch", 1)
	ipc.writeLvar("LVLDLightStrobePower", 1)
end

function LVLD767_Strobelight_off ()

	ipc.writeLvar("LVLDLightStrobeSwitch", 0)
	ipc.writeLvar("LVLDLightStrobePower", 0)
end



function LVLD767_Taxilight_on ()

	ipc.writeLvar("LVLDLightTaxiSwitch", 1)
	ipc.writeLvar("LVLDLightTaxiPower", 1)
end


function LVLD767_Taxilight_off ()

	ipc.writeLvar("LVLDLightTaxiSwitch", 0)
	ipc.writeLvar("LVLDLightTaxiPower", 0)
end

function LVLD767_LLNoselight_on ()

	ipc.writeLvar("LVLDLightLLNoseSwitch", 1)
	ipc.writeLvar("LVLDLightLLNosePower", 1)
end

function LVLD767_LLNoselight_off ()

	ipc.writeLvar("LVLDLightLLNoseSwitch", 0)
	ipc.writeLvar("LVLDLightLLNosePower", 0)
end


function LVLD767_Turninglight_on ()

	ipc.writeLvar("LVLDLightTurnLSwitch", 1)
	ipc.writeLvar("LVLDLightTurnLPower", 1)

	ipc.writeLvar("LVLDLightTurnRSwitch", 1)
	ipc.writeLvar("LVLDLightTurnRPower", 1)
end

function LVLD767_Turninglight_off ()

	ipc.writeLvar("LVLDLightTurnLSwitch", 0)
	ipc.writeLvar("LVLDLightTurnLPower", 0)

	ipc.writeLvar("LVLDLightTurnRSwitch", 0)
	ipc.writeLvar("LVLDLightTurnRPower", 0)
end


function LVLD767_LLlight_on ()

	ipc.writeLvar("LVLDLightLLLeftSwitch", 1)
	ipc.writeLvar("LVLDLightLLLeftPower", 1)

	ipc.writeLvar("LVLDLightLLRightSwitch", 1)
	ipc.writeLvar("LVLDLightLLRightPower", 1)
end


function LVLD767_LLlight_off ()

	ipc.writeLvar("LVLDLightLLLeftSwitch", 0)
	ipc.writeLvar("LVLDLightLLLeftPower", 0)

	ipc.writeLvar("LVLDLightLLRightSwitch", 0)
	ipc.writeLvar("LVLDLightLLRightPower", 0)
end


function LVLD767_Displaylight_inc ()

	ipc.macro("leveld767:EADI +")
	ipc.macro("leveld767:EHSI +")
	ipc.macro("leveld767:EADI FO+")
	ipc.macro("leveld767:EHSI FO+")
	ipc.macro("leveld767:EICAS up+")
	ipc.macro("leveld767:EICAS low+")
end

function LVLD767_Displaylight_dec ()

	ipc.macro("leveld767:EADI -")
	ipc.macro("leveld767:EHSI -")
	ipc.macro("leveld767:EADI FO-")
	ipc.macro("leveld767:EHSI FO-")
	ipc.macro("leveld767:EICAS up-")
	ipc.macro("leveld767:EICAS low-")
end

-- ## Other ###############

function LVLD767_MasterWarn_out ()

	ipc.writeLvar("LVLDMaster", 0)
end

function LVLD767_EFIS_XPDR_inc ()
	ipc.macro("leveld767:XPDR inc")
end

function LVLD767_EFIS_XPDR_dec ()
	ipc.macro("leveld767:XPDR dec")
end

function LVLD767_EFIS_AutoBrk_inc ()

	LVarSet = "L:LVLDAutobrakes"


	i = ipc.readLvar(LVarSet)
   	if i <= 6 then
   	i = i + 1
    	end

 ipc.writeLvar(LVarSet, i)
end


function LVLD767_EFIS_AutoBrk_dec ()

	LVarSet = "L:LVLDAutobrakes"


	i = ipc.readLvar(LVarSet)
   	if i >= 1 then
   	i = i - 1
    	end

 ipc.writeLvar(LVarSet, i)
end


-- ## Autopilot ###############

function LVLD767_CaptFD_on ()

	ipc.writeLvar("LVLDCaptFD", 1)
end

function LVLD767_CaptFD_off ()

	ipc.writeLvar("LVLDCaptFD", 0)
end


function LVLD767_ATHR_on ()

	ipc.writeLvar("LVLDATSwitch", 1)
end

function LVLD767_ATHR_off ()

	ipc.writeLvar("LVLDATSwitch", 0)
end


function LVLD767_AP_N1 ()
	ipc.macro("leveld767:AP N1")
end

function LVLD767_AP_SPD ()
	ipc.macro("leveld767:AP SPD")
end

function LVLD767_AP_LNAV ()
	ipc.macro("leveld767:AP LNAV")
end

function LVLD767_AP_VNAV ()
	ipc.macro("leveld767:AP VNAV")
end

function LVLD767_AP_FLCH ()
	ipc.macro("leveld767:AP FLCH")
end

function LVLD767_AP_HDGhold ()
	ipc.macro("leveld767:AP HDG hold")
end

function LVLD767_AP_HDGSel ()
	ipc.macro("leveld767:AP HDG sel")
end

function LVLD767_AP_VS ()
	ipc.macro("leveld767:AP VS")
end

function LVLD767_AP_ALTHold ()
	ipc.macro("leveld767:AP ALT hold")
end

function LVLD767_AP_BCRS ()
	ipc.macro("leveld767:AP BCRS")
end

function LVLD767_AP_LOC ()
	ipc.macro("leveld767:AP LOC")
end

function LVLD767_AP_APP ()
	ipc.macro("leveld767:AP APP")
end

function LVLD767_AP_CMDL ()
	ipc.macro("leveld767:AP CMD L")
end

function LVLD767_AP_CMDC ()
	ipc.macro("leveld767:AP CMD C")
end

function LVLD767_AP_CMDR ()
	ipc.macro("leveld767:AP CMD R")
end




function LVLD767_AP_CRS_inc ()
	ipc.macro("leveld767:dial CRS +")
end

function LVLD767_AP_CRS_dec ()
	ipc.macro("leveld767:dial CRS -")
end

function LVLD767_AP_SPD_inc ()
	ipc.macro("leveld767:dial SPD +")
end

function LVLD767_AP_SPD_dec ()
	ipc.macro("leveld767:dial SPD -")
end

function LVLD767_AP_HDG_inc ()
	ipc.macro("leveld767:dial HDG +")
end

function LVLD767_AP_HDG_dec ()
	ipc.macro("leveld767:dial HDG -")
end

function LVLD767_AP_VS_inc ()
	ipc.macro("leveld767:dial VS +")
end

function LVLD767_AP_VS_dec ()
	ipc.macro("leveld767:dial VS -")
end

function LVLD767_AP_ALT_inc ()
	ipc.macro("leveld767:dial ALT +")
end

function LVLD767_AP_ALT_dec ()
	ipc.macro("leveld767:dial ALT -")
end

function LVLD767_AP_SPDMACH_toggle ()
	ipc.macro("leveld767:SPD MACH sel")
end

function LVLD767_AP_CRSAutoMan_toggle ()
	ipc.macro("leveld767:AP CRS AutoMan")
end


function LVLD767_AP_Master_toggle ()
	ipc.macro("leveld767:AP Master")
end

function LVLD767_AP_GoAround ()
	ipc.macro("leveld767:Go Around")
end

-- ## EFIS ###############

function LVLD767_EFIS_DH_inc ()
	ipc.macro("leveld767:EFIS DH +")
end

function LVLD767_EFIS_DH_dec ()
	ipc.macro("leveld767:EFIS DH -")
end

function LVLD767_EFIS_ND_inc ()
	ipc.macro("leveld767:EFIS ND +")
end

function LVLD767_EFIS_ND_dec ()
	ipc.macro("leveld767:EFIS ND -")
end

function LVLD767_EFIS_Zoom_inc ()
	ipc.macro("leveld767:EFIS Zoom +")
end

function LVLD767_EFIS_Zoom_dec ()
	ipc.macro("leveld767:EFIS Zoom -")
end

function LVLD767_EFIS_TFC ()
	ipc.macro("leveld767:EFIS TFC")
end

function LVLD767_EFIS_NAVAID ()
	ipc.macro("leveld767:EFIS NAVAID")
end

function LVLD767_EFIS_APRT ()
	ipc.macro("leveld767:EFIS APRT")
end

function LVLD767_EFIS_DATA ()
	ipc.macro("leveld767:EFIS DATA")
end

function LVLD767_EFIS_WPT ()
	ipc.macro("leveld767:EFIS WPT")
end

function LVLD767_EFIS_VOR1_sel ()

	ipc.writeLvar("LVLDRMICaptLSwitch", 1)
end

function LVLD767_EFIS_ADF1_sel ()

	ipc.writeLvar("LVLDRMICaptLSwitch", 0)
end

function LVLD767_EFIS_VOR2_sel ()

	ipc.writeLvar("LVLDRMICaptRSwitch", 1)
end

function LVLD767_EFIS_ADF2_sel ()

	ipc.writeLvar("LVLDRMICaptRSwitch", 0)
end






-- ## Fuel ###############

function LVLD767_FuelL_toggle ()

	ipc.macro("leveld767:Fuel L")

end


function LVLD767_FuelR_toggle ()

	ipc.macro("leveld767:Fuel R")
end

-- ## Ignition ###############

function LVLD767_LeftIGN_dec ()
	ipc.macro("leveld767:LeftIGN dec")
end

function LVLD767_RightIGN_dec ()
	ipc.macro("leveld767:RightIGN dec")
end
