-- PMDG MD11

-- ## Autopilot controls #####################################
function Autopilot_MASTER_toggle ()

	   	ipc.control(66587,71001)

end

function Autopilot_MASTER_on ()


	   ipc.control(66587, 71002)
	   ipc.control(66587, 71003)

end

function Autopilot_MASTER_off ()


	   ipc.control(66587, 71002)
	   ipc.control(66587, 71003)
end

function Autopilot_NAV ()

	   ipc.control(66587,71032)

end

function Autopilot_PROF ()

	   ipc.control(66587,71050)
	
end

function Autopilot_APR_mode ()

	   	ipc.control(66587,71000)

end

function Autopilot_VSFPA ()

	   	ipc.control(66587,71044)
        
end

function Autopilot_ALT_hold ()

	ipc.control(66587,71034)
	
end

function Autopilot_ALTSEL_mode ()

		ipc.control(66587,71035)

end

function Autopilot_HDG_mode ()

	   	ipc.control(66587,71017)

end

function Autopilot_HDGSEL_mode ()


	   	ipc.control(66587,71018)

	   	ipc.sleep(40)

end

function Autopilot_AIRSPEED_sel ()

	   	ipc.control(66587,71005)

	   	ipc.sleep(40)

end

function Autopilot_AIRSPEED_hold ()

	   	ipc.control(66587,71006)

	   	ipc.sleep(40)

end

function Autopilot_STBY_mode ()

	_Autopilot_STBY_mode ()

end

function Autopilot_FMSSPD_hold ()

	   	ipc.control(66587,71015)

end

function Autopilot_TOGA_mode ()

	_AP_TOGA_on ()

end

function Autopilot_TOGA_off ()

	_AP_TOGA_off ()

end

function Autopilot_ATHR_softoff ()

	   	ipc.control(66587,73152)

end

function Autopilot_AP_softoff ()

	   	ipc.control(66587,75010)

end

-- ## EFIS controls #####################################

function EFIS_BARO_toggle ()

	   	ipc.control(66587,71100)
   Altimeter_BARO_MODE_toggle ()
end

function EFIS_FEETMTR ()

	   	ipc.control(66587,71033)

end

function EFIS_TRFC ()

	   	ipc.control(66587,71126)

end

function EFIS_DATA ()

	   	ipc.control(66587,71127)

end

function EFIS_WPT ()

	   	ipc.control(66587,71128)

end

function EFIS_VORNDB ()

	   	ipc.control(66587,71129)

end

function EFIS_ARPT ()

	   	ipc.control(66587,71130)

end

function EFIS_MAGTRU ()

	   	ipc.control(66587,71131)

end

function EFIS_MAP ()

	   	ipc.control(66587,71132)

end

function EFIS_PLAN ()

	   	ipc.control(66587,71133)

end

function EFIS_VOR ()

	   	ipc.control(66587,71134)

end

function EFIS_APPR ()

	   	ipc.control(66587,71135)

end

function EFIS_TCAS ()

	   	ipc.control(66587,71136)

end

function EFIS_Range_inc ()

	   	ipc.control(66587,71141)

end

function EFIS_Range_dec ()

	   	ipc.control(66587,71142)

end

function EFIS_Mode_inc ()

		NDcount = ipc.get("NDvar") 		
		if NDcount == nil then
		NDcount = 71132
		elseif NDcount == 71137 then
		NDcount = 71132
		end


		if NDcount <= 71136 then

		NDcount = NDcount + 1
		end
		ipc.set("NDvar", NDcount)


		ipc.control(66587, NDcount)

end

function EFIS_Mode_dec ()

		NDcount = ipc.get("NDvar") 		
		if NDcount == nil then
		NDcount = 71132
		elseif NDcount == 71131 then
		NDcount = 71136
		end

		if NDcount >= 71132 then
		NDcount = NDcount - 1
		end
		ipc.set("NDvar", NDcount)


		ipc.control(66587, NDcount)

end

function EFIS_ADF1 ()

	   	ipc.control(66587,71139)

end

function EFIS_VOR1 ()

	   	ipc.control(66587,71137)

end

function EFIS_ADF2 ()
	   	ipc.control(66587,71140)

end

function EFIS_VOR2 ()

	   	ipc.control(66587,71138)

end

function MD11_Minimums_inc ()

	   	ipc.control(66587,80023)
end

function MD11_Minimums_dec ()

	   	ipc.control(66587,80024)
end

-- ## Lights/Signs controls ###################################

function Lights_PANEL_FLOOD_on ()

		i = 0
		while i < 50 do
	   	ipc.control(66587,80031)
		ipc.control(66587,80041)
		ipc.control(66587,80037)
		i = i + 1
		end

end

function Lights_PANEL_FLOOD_off ()

	   	i = 100
		while i > 0 do
	   	ipc.control(66587,80032)
		ipc.control(66587,80042)
		ipc.control(66587,80038)
		i = i - 1
		end
end

function Lights_DOME_toggle ()

	   	ipc.control(66587,74457)
end

function Lights_THUNDER_toggle ()

	   	ipc.control(66587,74458)
end

function Lights_PANEL_FLOOD_inc ()

	   	ipc.control(66587,80031)
		ipc.control(66587,80041)
		ipc.control(66587,80037)

end

function Lights_PANEL_FLOOD_dec ()

	   	ipc.control(66587,80032)
		ipc.control(66587,80042)
		ipc.control(66587,80038)

end

function Lights_BACKLIGHT_on ()

		i = 0
		while i < 100 do
	   	ipc.control(66587,80033)
		ipc.control(66587,80039)
		ipc.control(66587,80035)
		i = i + 1
		end

end

function Lights_BACKLIGHT_off ()

	   	i = 100
		while i > 0 do
	   	ipc.control(66587,80034)
		ipc.control(66587,80040)
		ipc.control(66587,80036)
		i = i - 1
		end

end

function Lights_BACKLIGHT_inc ()

	   	ipc.control(66587,80033)
		ipc.control(66587,80039)
		ipc.control(66587,80035)

end

function Lights_BACKLIGHT_dec ()

	   	ipc.control(66587,80034)
		ipc.control(66587,80040)
		ipc.control(66587,80036)

end

function Lights_DISPLAY_L_inc ()

	   	ipc.control(66587,80091)
		ipc.control(66587,80093)
	   	ipc.control(66587,80095)

end

function Lights_DISPLAY_L_dec ()

	   	ipc.control(66587,80092)
		ipc.control(66587,80094)
	   	ipc.control(66587,80096)

end

function Lights_DISPLAY_R_inc ()

		ipc.control(66587,80097)
	   	ipc.control(66587,80099)
		ipc.control(66587,80101)

end

function Lights_DISPLAY_R_dec ()

		ipc.control(66587,80098)
	   	ipc.control(66587,80100)
		ipc.control(66587,80102)

end

function Lights_BEACON_toggle ()

	   	ipc.control(66587,74466)

end

function Lights_STROBE_toggle ()

	   	ipc.control(66587,74467)

end

function Lights_LOGO_toggle ()

	   	ipc.control(66587,74464)

end

function Lights_NAVandLOGO_toggle ()

	   	ipc.control(66587,74464)
		ipc.sleep(150)
	   	ipc.control(66587,74465)
end

function Lights_NAV_toggle ()

	   	ipc.control(66587,74464)

end

function Lights_LANDING_on ()

	   	ipc.control(66587,74400)
		ipc.sleep(150)
	   	ipc.control(66587,74400)
		ipc.sleep(150)
	   	ipc.control(66587,74405)
		ipc.sleep(150)
	   	ipc.control(66587,74405)
end

function Lights_LANDING_off ()

	   	ipc.control(66587,74406)
		ipc.sleep(150)
	   	ipc.control(66587,74406)
		ipc.sleep(150)
	   	ipc.control(66587,74401)
		ipc.sleep(150)
	   	ipc.control(66587,74401)
end

function Lights_LANDING_left_on ()

	   	ipc.control(66587,74400)
		ipc.sleep(150)
	   	ipc.control(66587,74400)
end

function Lights_LANDING_left_off ()

	   	ipc.control(66587,74401)
		ipc.sleep(150)
	   	ipc.control(66587,74401)
end

function Lights_LANDING_right_on ()

	   	ipc.control(66587,74405)
		ipc.sleep(150)
	   	ipc.control(66587,74405)
end

function Lights_LANDING_right_off ()

	   	ipc.control(66587,74406)
		ipc.sleep(150)
	   	ipc.control(66587,74406)
end

function Lights_Nose_on ()

	   	ipc.control(66587,74410)
		ipc.sleep(150)
	   	ipc.control(66587,74410)
end

function Lights_Nose_off ()

	   	ipc.control(66587,74411)
		ipc.sleep(150)
	   	ipc.control(66587,74411)
end

function Lights_WING_runwayLR_toggle ()

	   	ipc.control(66587,74462)
		ipc.sleep(150)
	   	ipc.control(66587,74463)

end


-- ## Overhead controls ###################################

function Battery_toggle ()

	   	ipc.control(66587,74350)
		ipc.sleep(250)
		ipc.control(66587,74350)	
end

function APU_toggle ()

	   	ipc.control(66587,74578)
end

function APU_ElecAir_toggle ()

	   	ipc.control(66587,74313)
		ipc.sleep(250)
		ipc.control(66587,74101)
end

function SMOKE_sign_on ()
	   	ipc.control(66587,74420)
		ipc.sleep(150)
		ipc.control(66587,74420)
end

function SMOKE_sign_off ()
	   	ipc.control(66587,74421)
		ipc.sleep(150)
		ipc.control(66587,74421)
end

function SEAT_sign_on ()
	   	ipc.control(66587,74425)
		ipc.sleep(150)
		ipc.control(66587,74425)
end

function SEAT_sign_off ()
	   	ipc.control(66587,74426)
		ipc.sleep(150)
		ipc.control(66587,74426)
end

function Ignition_A_toggle ()

	   	ipc.control(66587,74618)
	
end

function Ignition_B_toggle ()

	   	ipc.control(66587,74619)

end


-- ## Pedestal ######################

function DIALaFlap_inc ()

	   	ipc.control(66587,80082)
	
end

function DIALaFlap_dec ()

	   	ipc.control(66587,80081)
	
end

function Autopilot_TOGA_toggle  ()

	   	ipc.control(66587,73151)
	
end

function Engine1_start ()

	   	ipc.control(66587,73002)
	
end

function Engine2_start ()

	   	ipc.control(66587,73007)
	
end

function Engine3_start ()

	   	ipc.control(66587,73012)
	
end

function Engine1_Fuel_on ()

	   	ipc.control(66587,73021)
	
end

function Engine1_Fuel_off ()

	   	ipc.control(66587,73022)
	
end

function Engine2_Fuel_on ()

	   	ipc.control(66587,73026)
	
end

function Engine2_Fuel_off ()

	   	ipc.control(66587,73027)
	
end

function Engine3_Fuel_on ()

	   	ipc.control(66587,73031)
	
end

function Engine3_Fuel_off ()

	   	ipc.control(66587,73032)
	
end

function AutoBrake_inc ()

	   	ipc.control(66587,73111)
	
end

function AutoBrake_dec ()

	   	ipc.control(66587,73110)
	
end

function TCAS_test ()

	   	ipc.control(66587,73606)
	
end


-- ## Other controls ######################

function Transponder_MODE_inc ()

	   	ipc.control(66587,73602)

end

function Transponder_MODE_dec ()

	   	ipc.control(66587,73601)

end

function Toggle_System_Display ()

		SDcount = ipc.get("SDvar") 		
		if SDcount == nil then
		SDcount = 73390
		varSD = SDcount
		end
	

		if SDcount <= 73397 then
		varSD = SDcount + 1
		end

		if SDcount == 73398 then
		SDcount = 73390
		varSD = SDcount
		end

		ipc.sleep(100)
		ipc.set("SDvar", varSD)
		ipc.control(66587, ipc.get("SDvar"))

end

function Master_Caution () --(red)

	   	ipc.control(66587,72200)

end

function Master_warn () --(yellow)

	   	ipc.control(66587,72201)

end

function GWPS_Inhibit () 

	   	ipc.control(66587,72202)

end


-- ## Radio functions ######################

function Radio_ident ()

	   	ipc.control(66587,73509)

end

function Radio_ADF1_ident ()

	ipc.control(66587, 73523)

	var = ipc.readLvar("AUDIO_CAPT_VOL_ADF2_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73524)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_VOR1_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73519)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_VOR2_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73520)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_ILS1_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73521)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_ILS2_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73522)
	end


end

function Radio_ADF2_ident ()

	ipc.control(66587, 73524)

	var = ipc.readLvar("AUDIO_CAPT_VOL_ADF1_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73523)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_VOR1_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73519)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_VOR2_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73520)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_ILS1_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73521)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_ILS2_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73522)
	end

end

function Radio_VOR1_ident ()

	ipc.control(66587, 73519)

	var = ipc.readLvar("AUDIO_CAPT_VOL_ADF2_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73524)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_ADF1_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73523)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_VOR2_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73520)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_ILS1_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73521)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_ILS2_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73522)
	end

end

function Radio_VOR2_ident ()

	ipc.control(66587, 73520)

	var = ipc.readLvar("AUDIO_CAPT_VOL_ADF2_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73524)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_VOR1_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73519)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_ADF1_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73523)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_ILS1_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73521)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_ILS2_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73522)
	end

end

function Radio_ILS1_ident ()

	ipc.control(66587, 73521)

	var = ipc.readLvar("AUDIO_CAPT_VOL_ADF2_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73524)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_VOR1_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73519)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_VOR2_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73520)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_ADF1_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73523)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_ILS2_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73522)
	end

end

function Radio_ILS2_ident ()

	ipc.control(66587, 73522)

	var = ipc.readLvar("AUDIO_CAPT_VOL_ADF2_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73524)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_VOR1_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73519)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_VOR2_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73520)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_ILS1_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73521)
	end

	var = ipc.readLvar("AUDIO_CAPT_VOL_ADF1_Knob_var")
	if var >= 81 then
	ipc.control(66587, 73523)
	end

end

function Radio_MRK_toggle ()

	ipc.control(66587, 73525)
end


-- ## Rotaries functions #########

function HDG_plus (a, b, c)

	ipc.control(66587,80003)
	
end

function HDG_plusfast (a, b, c)

   	ipc.control(66587,80003) 
    
end

function HDG_minus (a, b, c)
	
	ipc.control(66587,80004)
	
end

function HDG_minusfast (a, b, c)

	ipc.control(66587,80004)
	
end

function ALT_plus (a, b, c)

	ipc.control(66587,80005)    

end

function ALT_plusfast (a, b, c)

	ipc.control(66587,80005)
	
end
	
function ALT_minus (a, b, c)

	ipc.control(66587,80006)
	
end

function ALT_minusfast (a, b, c)

	ipc.control(66587,80006)
	
end

function VVS_plus ()

   	ipc.control(66587,80008)

end

function VVS_minus ()

   	ipc.control(66587,80007)

end

function SPD_plus (a, b, c)

	ipc.control(66587,80001)
	
end

function SPD_plusfast (a, b, c)

	ipc.control(66587,80001)
	
end

function SPD_minus (a, b, c)

	ipc.control(66587,80002)

end

function SPD_minusfast (a, b, c)

   	ipc.control(66587,80002)

end
-- ## Cockpit preparing ###############

function MD11_Cockpit_preparing ()
ipc.display("Preparing Cockpit")
ipc.sleep(1000)
ipc.display("Preparing Cockpit\nHide Yokes")
ipc.sleep(500)
ipc.writeLvar("L:pmdg_hide_yoke", 0)
ipc.writeLvar("L:pmdg_hide_yoke", 1)

ipc.display("Preparing Cockpit\nHide Yokes\nHide Overhead Switches")
ipc.sleep(500)
ipc.writeLvar("L:HIDE_OVERHEAD_SWITCHES_var", 1)
ipc.display("Preparing Cockpit\nHide Yokes\nHide Overhead Switches\nReset Lights")
ipc.sleep(500)
ipc.control(65574)	-- all lights on
ipc.sleep(200)
ipc.control(65574)	-- all lights off
ipc.display("Preparing Cockpit\nHide Yokes\nHide Overhead Switches\nReset Lights\nChange IN in QNH")
ipc.sleep(500)
ipc.control(66587,71100) -- IN in QNH
ipc.display("Preparing Cockpit\nHide Yokes\nHide Overhead Switches\nReset Lights\nChange IN in QNH\nReset signs")
ipc.sleep(500)
	   	ipc.control(66587,74421)--smoke sign
		ipc.sleep(50)
		ipc.control(66587,74421)

	   	ipc.control(66587,74426)--seat sign
		ipc.sleep(50)
		ipc.control(66587,74426)
ipc.display("Preparing Cockpit\nFinished!")
ipc.sleep(500)
ipc.display("")
end




-- ## System functions #########

function InitDsp ()

	DspSPD(0)
	DspHDG(0)
	DspALT(0)

end

function InitVars ()

	AutopilotDisplayBlocked ()
	
end


